<?php

class Curl
{
	protected static $tmpfile=null;
	protected static $curl=null;

	protected function getHttpResponse($url,&$response_status,&$response_fields,$method='GET',$params=null)
	{
		if(self::$tmpfile == null ) self::$tmpfile = '/tmp/esia_api_'.sha1($url);

		if(self::$curl == null)
		{
			$ch = curl_init();
			curl_setopt($ch,CURLOPT_FOLLOWLOCATION,false);
			curl_setopt($ch,CURLOPT_COOKIESESSION, true);
			curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);
			curl_setopt($ch,CURLOPT_NOSIGNAL,true);
			curl_setopt($ch,CURLOPT_FRESH_CONNECT,true);
			curl_setopt($ch,CURLOPT_COOKIEJAR,self::$tmpfile);  // Sauvegarde la session dans un cookie
			curl_setopt($ch,CURLOPT_COOKIEFILE,self::$tmpfile);  // Lit le cookie
			curl_setopt($ch,CURLOPT_SSL_VERIFYPEER,FALSE); // Ne verifira pas les certif
			curl_setopt($ch,CURLOPT_SSL_VERIFYHOST,FALSE);

			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT ,0); //Seconds to wait while trying to connect. Use 0 to wait indefinitely.
			curl_setopt($ch, CURLOPT_TIMEOUT, 10); //timeout in seconds
			self::$curl=$ch;
		}
		else
		{
			$ch = self::$curl;
		}

		curl_setopt($ch,CURLOPT_CUSTOMREQUEST,$method);

		if($method == 'POST')
		{
			$postdata = http_build_query($params);
			curl_setopt($ch,CURLOPT_POSTFIELDS,$postdata);
		}
		curl_setopt($ch,CURLOPT_URL,$url);
		$content = curl_exec($ch);
		if($content === FALSE) throw new HttpCurlException(curl_error($ch));
		//if(!is_file(self::$tmpfile)) echo "FILE no exist : ".self::$tmpfile;

		$response_fields = curl_getinfo($ch);
		$response_status = $response_fields['http_code'];

		return 	$content;
	}
}
?>
