<?php
//inclusion des fichiers principaux
$path = $_SERVER['DOCUMENT_ROOT'];
$smarty_fullscreen=0;
if(!empty($_GET['link'])&& !isset($_SESSION['session_id']))
{
	session_start();
	include_once $path.'/esia.conf.php';
	//include $path.'/Model_adm.php';
	include_once USR_CLASS;
	include_once MVCMODEL;
	include_once $path.'/Model_adm.php';
	//connection à la base de donnée
	try
	{
		$dbconnection = new PDO('pgsql:host='.DB_HOST.';port='.DB_PORT.';dbname='.DB_NAME, DB_USERNAME, DB_PWD);
		$dbconnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
	}
	catch(Exception $e)
	{
		echo 'PDO SQL ERROR: '.$e->getMessage().'<br />';
		echo 'N° : '.$e->getCode();
	}
	$link = Model_adm::getDashboardPublicLink($dbconnection,null,$_GET['link']);
	if(preg_match('#\-1#',$link['linkid']))
	{
		$smarty_fullscreen=1;
		$ESIA_WIDGET_NOTREE=true;
	}
	elseif(preg_match('#\-2#',$link['linkid']))
	{
		$smarty_fullscreen=1;
		//listes les accès autorisée (via regex) d'après la variable $_SERVER['SCRIPT_NAME']
		$_SESSION['dashboard_only']=array('#^\/dashboard#',
										  '#^\/display_common#',
 										  '#^\/gen_graph#',
										  '#^\/display_ts#',
										  '#\/widgets\/#',
										  '#^\/plugin\/plan\/display_img#',
										  '#^\/plugin\/plan\/control_img#',
				                          '#^\/plugin\/plan\/control_rack#',
		);
		$ESIA_WIDGET_NOTREE=true;
	}
	$_GET['id']=$link['id'];
	$user = new User($dbconnection);
	$user =  Model_esia::InstanceUser($dbconnection,$link['userid']);
	$user->generateSessionID();
}
include_once $path.'common.php';
if($smarty_fullscreen==1)
{
	$smarty->assign('dashboard_full',1);
}
if(isset($_GET['action'])&&!empty($_GET['action']))
{
	$action=$_GET['action'];
}
else
{
	$action = 'view';
}
if(isset($_GET['createsuccess']))
{
	$smarty->assign('l_success',$lang['ADD_DASHBOARD_SUCCESS']);
	if(!$user->isFinishingTutoriel(6))
	{
		$smarty->assign('seeTutos',6);
	}
}
elseif(isset($_GET['deletesuccess']))
{
	$smarty->assign('l_success',$lang['DELETE_DASHBOARD_SUCCESS']);
}
elseif(isset($_GET['updatesuccess']))
{
	$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);;
}
session_write_close();
$smarty->assign('action',$action);
if($action =="addTile")
{
    $dashboard = Model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
	$dashboard = array_pop($dashboard);
	//Si il n'est pas partagé. J'ai le droit de le modifié
	if(empty($dashboard['share']) && isset($dashboard['id']))
	{
		include_once $path.'/Model_adm.php';
		$tile = json_decode($_GET['dashjson']);
		$id = Model_adm::insertTileDashboard($dbconnection, $tile->position, $tile->heigh,$tile->width, $dashboard['id']);
		echo json_encode($id,true);
		exit(0);
	}
}
elseif($action =="addWidget")
{
	$dashboard = Model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
	//$dashboard = array_pop($dashboard);
	//Si il n'est pas partagé. J'ai le droit de le modifié
	if(!empty($_POST['view']) && isset($_POST['view']))
	{
		include_once $path.'/Model_adm.php';
		$tile = json_decode($_GET['dashjson']);
		$dashboard = Model_esia::getdasboardView($dbconnection,$_POST['view']);
		$dashboard = array_pop($dashboard);
		$id = Model_adm::insertWidget($dbconnection, $_GET['id'],$dashboard['id'],$lang[$dashboard['name']]);
	}
	$action='updatetitle';
}
elseif($action=='savewidgetorder')
{
	if(isset($_POST['idtile']) && is_numeric($_POST['idtile']) )
	{
		try
		{
			include_once $path.'/Model_adm.php';
			Model_adm::updateWidgetOrder($dbconnection, json_decode($_POST['widgetjson'],true));
			$smarty->assign('l_success',$lang['DASHBOARD_WIDGET_ORDER_SUCCESS']);
			$smarty->assign('action','updatetitle');
		}
		catch (EsiaDbException $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
	}
	$action='updatetitle';
}
elseif($action =="deleteWidget")
{
	$smarty->assign('adm_tile','yes');
	$widget = Model_esia::getWidget($dbconnection,$_GET['id'],$user->getId());
	$widget = $widget[0];
	$smarty->assign('adm_widget',$widget);
	//$dashboard = array_pop($dashboard);
	//Si il n'est pas partagé. J'ai le droit de le modifié
	if(!empty($_POST['id']) && isset($_POST['id']))
	{
		try
		{
			include_once $path.'/Model_adm.php';
			$_GET['id'] = $widget['tile'];
			$tile = json_decode($_GET['dashjson']);
			$id = Model_adm::deleteWidgetDashboard($dbconnection, $_POST['id']);
			$smarty->assign('l_success',$lang['DASHBOARD_WIDGET_DELETE_SUCCESS']);
			$smarty->assign('action','updatetitle');

		}
		catch (EsiaDbException $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
	}

	$action='updatetitle';
}
elseif($action =="create")
{

	include_once $path.'/Model_adm.php';
	try
	{
		$dashid = Model_adm::insertDashboard($dbconnection, $lang['DASHBOARD'],'', '/dashboard/default.php?id=:dashid', $user->getId());
		$url = '/dashboard/default.php?action=edit&createsuccess=1&id='.$dashid;
		header("Location: $url");
	}
	catch (EsiaDbException $e)
	{
		$smarty->assign('l_error',$e->getMessage());
	}
}
elseif($action=='delete')
{
	if(isset($_POST['id']) && is_numeric($_POST['id']))
	{
		include_once $path.'/Model_adm.php';
		try
		{
			Model_adm::deleteDashboard($dbconnection, $_POST['id']);
			header("Location: /dashboard/default.php?deletesuccess=1");
		}
		catch (EsiaDbException $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
	}
	elseif(isset($_GET['id']) && is_numeric($_GET['id']))
	{
		$dashboard = Model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
		if(!empty($dashboard))
		{
			$dashboard = array_pop($dashboard);
			$smarty->assign('dashboard',$dashboard);
		}
	}
}
elseif($action=='copy')
{
	include_once $path.'/Model_adm.php';
	if(isset($_POST['id']) && is_numeric($_POST['id']))
	{
		try
		{
			$dashid = Model_adm::insertDashboard($dbconnection, 'COPY','', '/dashboard/default.php?id=:dashid', $user->getId());
			//Update du dashboard
			$userRightView =Model_adm::getUserShareDashboard($dbconnection, $dashid);
			$userRightWrite =Model_adm::getUserShareDashboard($dbconnection, $dashid,true);
			//on ne peut pas se baser le vide ou si la variable est settée car si l'utilisateur n'a pas les droits de partage. Les valeurs ne sont pas initialisée/setté
			//si l'utilisateur a les drois mais qu'il n'a rien mis on est dans le même cas
			if($user->getAccess($dbconnection, 'esia_user_share_dashboard')==1)
			{
				$userRightWrite = $_POST["dashshareWrite"];
				$userRightView = $_POST["dashshare"];
			}

			if(!empty($userRightWrite))
			{
				$userRightView = array_diff($userRightView,$userRightWrite);
			}
			model_adm::updateDashboard($dbconnection,$dashid,$_POST['dashname'],$_POST['dashdescription'],$userRightView,$userRightWrite,$user->getId());
			model_adm::duplicateDashboard($dbconnection,$_POST['id'],$dashid,$user->getId());
			$url = '/dashboard/default.php?action=edit&createsuccess=1&id='.$dashid;
			header("Location: $url");

		}
		catch (EsiaDbException $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
	}
	elseif(isset($_GET['id']) && is_numeric($_GET['id']))
	{
		$dashboard = Model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
		if(!empty($dashboard))
		{
			$dashboard = array_pop($dashboard);
			$smarty->assign('dashboard',$dashboard);
			$shareuser =Model_adm::getUserShareDashboard($dbconnection, $dashboard['id']);
			$smarty->assign('shareuser',$shareuser);
			$writeuser =Model_adm::getUserShareDashboard($dbconnection, $dashboard['id'],true);
			$smarty->assign('writeuser',$writeuser);
			$list_user=Model_adm::searchUser($dbconnection,null);
			$smarty->assign('list_user',$list_user);
		}
	}
}
elseif($action =="deletetile")
{
	$smarty->assign('adm_tile','yes');
	if(isset($_POST['id']) && is_numeric($_POST['id']))
	{
		include_once $path.'/Model_adm.php';
		try
		{
			Model_adm::deleteTileDashboard($dbconnection, $_POST['id']);
			$_GET['id']=null;

			$smarty->assign('action','deletetile');
			$smarty->assign('l_success',$lang['DASHBOARD_TILE_DELETE_SUCCESS']);
		}
		catch (EsiaDbException $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
	}
	else
	{
		$widgets = Model_esia::getTiles($dbconnection,$_GET['id']);
		$smarty->assign('deletetile',$_GET['id']);
			//$smarty->assign('l_error',$lang['DASHBOARD_TILE_INVALID']);

	}
}
elseif($action=='generateUri')
{
    $smarty->assign('action',$action);
    if($user->getAccess($dbconnection, 'esia_user_share_dashboard')==1)
    {
        try
        {
        	include_once $path.'/Model_adm.php';
        	if(!empty($_POST['dashuserAccess']) && !empty($_POST['dashboardid']))
        	{
        		$userid = $_POST['dashuserAccess'];
        		$only="";
        		if(!empty($_POST['check_fullscreen']))
        		{
        			$only='1';
        		}
        		if(!empty($_POST['check_only']))
        		{
        			$only='2';
        		}
        		$link = Model_adm::generateDashboardPublicLink($dbconnection, $_POST['dashboardid'], $userid,$only);
        		$smarty->assign('dashboard_link_success',$lang['DASHBOARD_LINK_SUCCESS']);
        	}
            $dashboard = Model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
            $dashboard = array_pop($dashboard);
            $list_user=Model_adm::searchUser($dbconnection,null);
            $arr = array();
            foreach($list_user as $u)
            {
            	if(!in_array('root', $u['group']))
            	{
            		foreach($u['group'] as $grp )
            		{
            			$priv = Model_adm::getGroupPrivilege($dbconnection,$grp);
            			$privname = array_column($priv,'name');
            			if(!in_array('esia_administration', $privname))
            			{
            				$arr[]=$u;
            			}
            		}
            	}
            }
            //print_r($list_user);
            $smarty->assign('list_user',$arr);
            $smarty->assign('dashboard_id',$_GET['id']);
            $link = Model_adm::getDashboardPublicLink($dbconnection,$_GET['id']);
            if(preg_match('#\-1#',$link['linkid']))
            {
            	$smarty->assign('dashboard_full',1);
            }
            elseif(preg_match('#\-2#',$link['linkid']))
            {
            	$smarty->assign('dashboard_full',1);
            	$smarty->assign('dashboard_only',1);
            }
            $smarty->assign('dashboard_link',$link);
        }
        catch (Exception $e)
        {
            $smarty->display('no_access.html');
            exit(0);
        }
    }
    else
    {
        $smarty->display('no_access.html');
        exit(0);
    }
}
elseif($action=='deleteUri')
{
	$smarty->assign('action',$action);
	if($user->getAccess($dbconnection, 'esia_user_share_dashboard')==1)
	{
		try
		{
			include_once $path.'/Model_adm.php';
			if(!empty($_POST['dashboardid']))
			{
				//suppression
				$link = Model_adm::deleteDashboardPublicLink($dbconnection, $_POST['dashboardid']);
				$smarty->assign('dashboard_link_success',$lang['DASHBOARD_LINK_DELETE_SUCCESS']);
			}
			$dashboard = Model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
			$dashboard = array_pop($dashboard);
			$link = Model_adm::getDashboardPublicLink($dbconnection,$dashboard['id']);
			$smarty->assign('dashboard_id',$dashboard['id']);
		}
		catch (Exception $e)
		{
			$smarty->display('no_access.html');
			exit(0);
		}
	}
	else
	{
		$smarty->display('no_access.html');
		exit(0);
	}
}
if($action=="edit")
{
	include_once $path.'/Model_adm.php';
	if(isset($_POST['dashjson'])&&!empty($_POST['dashjson']))
	{
		$tiles = json_decode($_POST['dashjson']);
		$dashboard = Model_esia::getDashboards($dbconnection,$_POST['dashboardid'],$user->getId());
		$dashboard = array_pop($dashboard);
		//Si il n'est pas partagé. J'ai le droit de le modifié
		if(empty($dashboard['share']) && isset($dashboard['id']))
		{
			//Update du dashboard
		    $userRightView =Model_adm::getUserShareDashboard($dbconnection, $dashboard['id']);
		    $userRightWrite =Model_adm::getUserShareDashboard($dbconnection, $dashboard['id'],true);
		    //on ne peut pas se baser le vide ou si la variable est settée car si l'utilisateur n'a pas les droits de partage. Les valeurs ne sont pas initialisée/setté
		    //si l'utilisateur a les drois mais qu'il n'a rien mis on est dans le même cas
		    if($user->getAccess($dbconnection, 'esia_user_share_dashboard')==1)
		    {
		        $userRightWrite = $_POST["dashshareWrite"];
		        $userRightView = $_POST["dashshare"];
		    }

			if(!empty($userRightWrite))
			{
				$userRightView = array_diff($userRightView,$userRightWrite);
			}
			model_adm::updateDashboard($dbconnection,$dashboard['id'],$_POST['dashname'],$_POST['dashdescription'],$userRightView,$userRightWrite,$user->getId());
			foreach($tiles as $tile)
			{
				try
				{
					$tile->heigh =(int) preg_replace('#px#', '', $tile->heigh);
					$tile->width = preg_replace('#\%#', '', $tile->width);
					if($tile->action=='update')
					{
						Model_adm::updateTileDashboard($dbconnection, $tile->id, $tile->position, $tile->heigh,$tile->width, $dashboard['id']);
					}
				}
				catch (EsiaDbException $e)
				{
					$smarty->assign('l_error',$e->getMessage());
				}
			}
			$smarty->assign('action','view');
			if(!isset($_POST["source"])) {
				//$url = '/dashboard/default.php?updatesuccess=1&id='.$dashboard['id'];
				//header("Location: $url");
			}
		}
		$_GET['id'] = $dashboard['id'];
	}
	if($user->getAccess($dbconnection, 'esia_user_share_dashboard')==1)
	{
		$dashboard = Model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
		$dashboard = array_pop($dashboard);
		$list_user=Model_adm::searchUser($dbconnection,null);
		$smarty->assign('list_user',$list_user);
		$smarty->assign('dash_share','yes');
		$shareuser =Model_adm::getUserShareDashboard($dbconnection, $dashboard['id']);
		$smarty->assign('shareuser',$shareuser);
		$writeuser =Model_adm::getUserShareDashboard($dbconnection, $dashboard['id'],true);
		$smarty->assign('writeuser',$writeuser);
	}
	$action = 'view';
}
elseif ($action == 'updatetitle')
{
	$widgets = Model_esia::getTiles($dbconnection,$_GET['id']);
	$widgets = $widgets[$_GET['id']];
	$tileWidget=array();
	$smarty->assign('adm_tileid',$_GET['id']);
	foreach($widgets['widget'] as $wid)
	{
		$tileWidget[] = array('id'=>$wid['id'],'name'=>$wid['name'], 'path'=>$wid['path'].'&action=update','during'=>$wid['during'],'description'=>$wid['description'],
			'option'=>$wid['option'],
		    'group'=>$wid['group_name'],
			'view_name'=>$wid['view_name']);
	}
	$views = Model_esia::getdasboardView($dbconnection);
	$listview =array();
	foreach($views as $view)
	{
		if(array_key_exists ( $view['name'],$lang))
		{
			$view['name'] = $lang[$view['name']];
		}
		if(array_key_exists ( 'DASHBOARD_WIDGET_GROUP_'.$view['group_name'],$lang))
		{
		    $view['group_name'] = $lang['DASHBOARD_WIDGET_GROUP_'.$view['group_name']];
		}
		$listview[]=array('id'=>$view['id'],'name'=>$view['name'],'group'=>$view['group_name']);
	}
	$smarty->assign('adm_view',$listview);
	$smarty->assign('adm_widgets',$tileWidget);
	$smarty->assign('adm_tile','yes');
}
if($action =='view')
{
	if(isset($_GET['id']) && is_numeric($_GET['id']))
	{
		$dashboard = Model_esia::getDashboards($dbconnection,$_GET['id'],$user->getId());
		if(!empty($dashboard))
		{
			$dashboard = array_pop($dashboard);
            if(strpos($dashboard['name'],'LANG_')!==false)
            {
            	$key = preg_replace('#LANG_#','',$dashboard['name']);
            	$dashboard['name'] = $lang[$key];
            }

			$smarty->assign('dashboard',$dashboard);
			$tiledashs = $dashboard['tile'];
			$tileWidget = array();
			foreach($tiledashs as $tile)
			{
				$widgets = Model_esia::getTiles($dbconnection,$tile['id']);
				if(!empty($widgets[$tile['id']]))
				{
					$widgets = $widgets[$tile['id']];
					foreach($widgets['widget'] as $wid)
					{
						$param =$wid['option'];
						$tileWidget[$tile['id']][] = array('id'=>$wid['id'], 'path'=>$wid['path'],'during'=>$wid['during'],'tileid' =>$tile['id'] );
					}
				}
			}
			$smarty->assign('dash_widget',json_encode($tileWidget,true));
		}
	}
	else
	{
		$smarty->assign('nodash','');
	}
}
$smarty->display($path.'/dashboard/template/default.html');

?>
