<?php
include("./common_widget.php");
$params=$widget['option'];

if($action=='update')
{
	if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
    {
        try
        {
            $widget = getPostDefaultParams($widget,$_POST);
            $params = $widget['option'];
            
            $params['type'] = $_POST['type'];
            if(isset($_POST['check_blink']))
            {
                $params['blink']='blink';
            }
            else
            {
                $params['blink']='none';
            }
            $params['interval']=$_POST['number_day'];
            $params['line']=$_POST['number_line'];
            Model_esia::updateWidget($dbconnection, $widget['id'], $widget['name'], $widget['description'], $widget['during'], $params);
            $smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
            $widget['option']=$params;
            $smarty->assign('widget',$widget);
        }
        catch(Exception $e)
        {
            $smarty->assign('l_error',$e->getMessage());
        }
    }
    if(empty($params['interval']))
    {
    	$params['interval']=1;
    	$smarty->assign('parameter',$params);
    }
    if(empty($params['line']))
    {
    	$params['line']=2;
    	$smarty->assign('parameter',$params);
    }
    //recupération des styles
    $title = getWidgetStyle($params['title']['style'],14,'left','#575759');
    $description = getWidgetStyle($params['description']['style'],12,'left','#575759');
    $smarty->assign('titlestyle',$title);
    $smarty->assign('descriptionstyle',$description);
    $smarty->assign('type',$params['type']);
	$height = $tile['height']-$descsize-$titlesize;
    $smarty->assign('height',$height);
	
	
	
}

elseif($action =='getInfos')
{
	if(empty($parameters['interval']))
    {
    	$parameters['interval']=1;
    }
    if(empty($parameters['line']))
    {
    	$parameters['line']=2;
    	$smarty->assign('parameter',$parameters);
    }
	$cronList = Model_esia::getCronActiveTasks($dbconnection,null,null,null,null,$parameters['interval']);
	foreach($cronList as $task)
	{
		$status = "";
		widgetTranslateNameDescription($widget,$smarty,$lang);
		if(is_null($task['status']))
		{
			$task['status'] = 'unknown';
		}
		
		$keyLang = 'INVENTORY_' . strtoupper($task['status']) . '_TASK';
		if(array_key_exists($keyLang, $lang))
		{
			$stateLang = $lang[$keyLang];
		}
		else
		{
			$stateLang = ucfirst($task['status']);
		}
					
		$task['status'] = strtolower($task['status']);
		switch($task['status'])
		{
			case 'error':
			case 'failed':
				$stateClass = 'EventCritical';
				$status = 'critical';
				break;
			case 'ok':
			case 'terminated':
				$stateClass = 'EventOK';
				$status = 'ok';
				break;
			case 'pending':
			case 'new':
			case 'process':
			case 'processing':
				$stateClass = 'EventPending';
				$status = 'pending';
				break;
			default:
				$stateClass = 'EventUnknown';
				$status = 'unknown';
				break;
		}
		
		if($status == $_GET['status'])
		{
			$taskList[$task['id']] = array(
			'id' =>	$task['id'],
			'name' => $lang[$task['name']],
			'status_lang' => $stateLang,
			'status_class' => $stateClass,
			'last_exec' => $task['last_exec'],
			);
		}
		
	}
	
	$smarty->assign('cronsList',$taskList);
}
elseif($action=='getInfoDonut')
{
	
}
else
{
	$parameters = $widget['option'];
	
	$state['ok']=0;
	$state['warning']=0;
    $state["critical"]=0;
    $state["unknown"]=0;
    $state["pending"]=0;
    if(empty($parameters['interval']))
    {
    	$parameters['interval']=1;
    }
    if(empty($parameters['line']))
    {
    	$parameters['line']=2;
    	$smarty->assign('parameter',$parameters);
    }
    widgetTranslateNameDescription($widget,$smarty,$lang);
    $cronList = Model_esia::getCronActiveTasks($dbconnection,null,null,null,null,$parameters['interval']);
	
	foreach($cronList as $task)
	{			
		$task['status'] = strtolower($task['status']);
		switch($task['status'])
		{
			case 'error':
			case 'failed':
				$state["critical"]++;
				break;
			case 'ok':
			case 'terminated':
				$state['ok']++;;
				break;
			case 'pending':
			case 'new':
			case 'process':
			case 'processing':
				$state["pending"]++;
				break;
			default:
				$state["unknown"]++;
				break;
		}	
	}
	
	$smarty->assign('state',$state);
	
}
$smarty->display($path.'/dashboard/template/view_cron_4state.html');


?>