<?php
/*DESCRIPTION: inclus les variables habituelles pour la gestion d'une widget et vérifie les droits d'accès
 *APRES l'inclusion du common_widget les variables suivantes sont créées:
 *PHP:
 *      $action l'action passé dans l'url ou 'view'
 *      $widget un tableau associatif reprenant les paramètre de la widget
 * SMARTY
 *      $widget les informations de la widget
 *      $parameter les parametre de la widget (JSON)
 *      $action l'action passé dans l'url ou 'view'
 */
$webplugin_path = $_SERVER['DOCUMENT_ROOT'];
include "./common_widget.php";
require_once '/usr/local/esia/public_html/plugin/egidescan/model_egidescan.php';
include_once '/usr/local/esia/public_html/plugin/egidescan/common_egidescan.php';
// $smarty->assign('view_type',$_GET['type']);
if($action =='update')
{
	//Code permettant l'administration du bloc
	$nodes = Model_esia::getNodeList($dbconnection, $user->getId(), NULL, Model_esia::NODE_ASSOC);
	$nodesList = array();
	foreach($nodes as $node)
	{
		$nodesList[] = array('id' => $node['id'], 'name' => $node['name']);
	}
	$smarty->assign('adm_list_node', $nodesList);
	
	$parameters = $widget['option'];

	//pouvoir garder les derniers valeurs rentrer sur le formulaire
	if(!empty($_POST))
	{
		$smarty->assign('my_affiche_NODE',$_POST['NODE']);
	}
	elseif($parameters['affiche_NODE']==NULL)
	{
		$smarty->assign('my_affiche_NODE',$parameters['affiche_NODE']);
	}
	elseif($parameters['affiche_NODE']==true)
	{
		$smarty->assign('my_affiche_NODE','on');
	}
	else
	{
		$smarty->assign('my_affiche_NODE','on');
	}

	if(!empty($_POST))
	{
		$smarty->assign('my_affiche_TYPE',$_POST['TYPE']);
	}
	elseif($parameters['affiche_TYPE']==NULL)
	{
		$smarty->assign('my_affiche_TYPE',$parameters['affiche_TYPE']);
	}
	elseif($parameters['affiche_TYPE']==true)
	{
		$smarty->assign('my_affiche_TYPE','on');
	}
	else
	{
		$smarty->assign('my_affiche_TYPE','on');
	}
	
	if(!empty($_POST))
	{
		$smarty->assign('my_affiche_SCORING',$_POST['SCORING']);
	}
	elseif($parameters['affiche_SCORING']==NULL)
	{
		$smarty->assign('my_affiche_SCORING',$parameters['affiche_SCORING']);
	}
	elseif($parameters['affiche_SCORING']==true)
	{
		$smarty->assign('my_affiche_SCORING','on');
	}
	else
	{
		$smarty->assign('my_affiche_SCORING','on');
	}
	
	if(!empty($_POST))
	{
		$smarty->assign('my_affiche_MAX_SCORING',$_POST['MAX_SCORING']);
	}
	elseif($parameters['affiche_MAX_SCORING']==NULL)
	{
		$smarty->assign('my_affiche_MAX_SCORING',$parameters['affiche_MAX_SCORING']);
	}
	elseif($parameters['affiche_MAX_SCORING']==true)
	{
		$smarty->assign('my_affiche_MAX_SCORING','on');
	}
	else
	{
		$smarty->assign('my_affiche_MAX_SCORING','on');
	}
	
	if(!empty($_POST))
	{
		$smarty->assign('my_affiche_NBR_CVE',$_POST['NBR_CVE']);
	}
	elseif($parameters['affiche_NBR_CVE']==NULL)
	{
		$smarty->assign('my_affiche_NBR_CVE',$parameters['affiche_NBR_CVE']);
	}
	elseif($parameters['affiche_NBR_CVE']==true)
	{
		$smarty->assign('my_affiche_NBR_CVE','on');
	}
	else
	{
		$smarty->assign('my_affiche_NBR_CVE','on');
	}

	
	$my_seuil_node = $_POST['seuil_node'];
	if(!empty($_POST['seuil_node']))
	{
		$smarty->assign('my_seuil_node',$my_seuil_node);
	}
	elseif(!empty($parameters['seuil_node'])) 
	{
		$smarty->assign('my_seuil_node',$parameters['seuil_node']);
	}
	else 
	{
		$smarty->assign('my_seuil_node',0);
	}
	
	$my_seuil_max_node = $_POST['seuil_max_node'];
	if(!empty($_POST['seuil_max_node']))
	{
		$smarty->assign('my_seuil_max_node',$my_seuil_max_node);
	}
	elseif(!empty($parameters['seuil_max_node'])) 
	{
		$smarty->assign('my_seuil_max_node',$parameters['seuil_max_node']);
	}
	else
	{
		$smarty->assign('my_seuil_max_node',0);
	}
	
	if(!empty($_POST['score_average_or_max']))
	{
		$smarty->assign('my_score_average_or_max',$_POST['score_average_or_max']);
	}
	elseif(!empty($parameters['score_average_or_max']))
	{
		$smarty->assign('my_score_average_or_max',$parameters['score_average_or_max']);
	}
	else
	{
		$smarty->assign('my_score_average_or_max',"score_average");
	}
	
	$smarty->assign('param',$parameters);
	if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
	{
		//on traite le formulaire
		try
		{
			//traite les données post pour le style du titre et de la description
			$widget = getPostDefaultParams($widget,$_POST);
			$parameters = $widget['option'];
			$parameters['affiche_NODE']=$_POST['NODE'];
			$parameters['affiche_TYPE']=$_POST['TYPE'];
			if($widget['view_name']=='DASHBOARD_EGIDE_NODE_SCORE')
			{
				$parameters['affiche_SCORING']='on';
			}
			else
			{
				$parameters['affiche_SCORING']=$_POST['SCORING'];
			}
			$parameters['affiche_MAX_SCORING']=$_POST['MAX_SCORING'];
			if($widget['view_name']=='DASHBOARD_EGIDE_NODE_NBR_CVE')
			{
				$parameters['affiche_NBR_CVE']='on';
			}
			else 
			{
				$parameters['affiche_NBR_CVE']=$_POST['NBR_CVE'];
			}
			
			$parameters['nbr_node']=$_POST['nbr_node'];
			
			$parameters['score_average_or_max']=$_POST['score_average_or_max'] ;
			
			$parameters['seuil_node']=$_POST['seuil_node'];
			$parameters['seuil_max_node']=$_POST['seuil_max_node'];
			//traitement des variable POST
			$paramSave = json_encode($parameters);
			
			Model_esia::updateWidget($dbconnection,$widget['id'], $widget['name'], $widget['description'], $widget['during'], $parameters);
			//la variable l_success est affichée en rouge dans le smarty
			$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
		}
		catch (EsiaDbException $e)
		{
			//la variable l_error est affichée en rouge dans le smarty
			$smarty->assign('l_error',$e->getMessage());
		}
		catch (Exception $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
	}
	//récupération des styles:
	$title = $parameters['title']['style'];
	$description = $parameters['description']['style'];
	$title = getWidgetStyle($title,14,'left','#575759');
	$description = getWidgetStyle($description,12,'left','#575759');
	$smarty->assign('titlestyle',$title);
	$smarty->assign('descriptionstyle',$description);

}
else
{
	$parameters = $widget['option'];
	//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    $topX = $parameters['nbr_node'] ;
    $arr=array();
    $treeview_ifaceslist = Model_egidescan::getIFacesList($dbconnection,$user->getId(),'root','root');
    $nodeInfo = Model_egidescan::getNodesStats($dbconnection,$user->getId(),$treeview_ifaceslist,NULL,TRUE); 

    foreach($nodeInfo as $node)
    {
    	if((($parameters['score_average_or_max']=='score_average') && ($node['averageVulnerabilityScoring']>=$parameters['seuil_node'])) || (($parameters['score_average_or_max']=='score_max') && ($node['maxVulnerabilityScoring']>=$parameters['seuil_max_node'])))
		{
            $arr[]=array('id' => $node['id'],
			                'name' => $node['name'],
			                'type' => $node['type'],
			                'scoring' => $node['averageVulnerabilityScoring'],
			                'vul_number' => $node['numberVulnerability'],
			                'score_max' => $node['maxVulnerabilityScoring'],
                            'css'=> getCSSClassByscore($node['averageVulnerabilityScoring']),
                            'css_max'=> getCSSClassByscore($node['maxVulnerabilityScoring'])
		                );
        }
        if($parameters['affiche_NODE']!='on')
        {
        	unset($arr[count($arr)-1]["name"]);
        }
        if($parameters['affiche_TYPE']!='on')
        {
        	unset($arr[count($arr)-1]["type"]);
        }
        if($parameters['affiche_SCORING']!='on')
        {
        	unset($arr[count($arr)-1]["css"]);
        	unset($arr[count($arr)-1]["scoring"]);
        }
        if($parameters['affiche_MAX_SCORING']!='on')
        {
        	unset($arr[count($arr)-1]["score_max"]);
        	unset($arr[count($arr)-1]["css_max"]);
        }
        if($parameters['affiche_NBR_CVE']!='on')
        {
        	unset($arr[count($arr)-1]["vul_number"]);
        }
    }
	
    if($widget['view_name']=='DASHBOARD_EGIDE_NODE_NBR_CVE')
    {
    	$sort_arr  = array_column($arr, 'vul_number');
    }
    elseif($widget['view_name']=='DASHBOARD_EGIDE_NODE_SCORE')
    {
    	$sort_arr  = array_column($arr, 'scoring');
    }
    arsort($sort_arr) ;
    foreach($sort_arr as $key => $node)
    {
    	$arr1[] = $arr[$key] ;
    	if(count($arr1)==$topX)
    	{
    		break ;
    	}
    }
    $smarty->assign('nodeTop10MaxScorring',$arr1);
}

$smarty->display($webplugin_path.'dashboard/template/egidescan_node.html');

?>
