<?php
$path = $_SERVER['DOCUMENT_ROOT'];
$ESIA_WIDGET_NOTREE=true;
include_once $path.'common.php';
include_once $path.'/model_tablesort.php';

//gestion de pase du table sorteur
$params['page'] = 0;
// Gestion du table sorter
if (isset($_GET['page']) && ! empty($_GET['page']))
{
	$params['page'] = $_GET['page'];
}
if (isset($_GET['size']) && ! empty($_GET['size']))
{
	if ($_GET['size'] == 'all')
	{
		$_GET['size'] = 100;
	}
	$params['size'] = $_GET['size'];
}
//Gestion des langues du système / utilisateur pour les données traduite.
$lang_abre =LANG;
$lang_bck = $lang;
if($user->getLang()!="")
{
	//configuration de la langue de l'application
	$lang_abre = $user->getLang();
}
$path = rtrim ($_SERVER['DOCUMENT_ROOT'],'/');
$lang_path = $path.'/lang/'.$lang_abre.'/';
if(file_exists($lang_path.$lang_abre.'.php'))
{
	include $path.'/lang/'.$lang_abre.'/'.$lang_abre.'.php';
}
$lang_error_type = array('warning'=>$lang['LGD_WARN'],
						 'critical'=>$lang['LGD_CRI'],
						'unknown'=>$lang['LGD_UNKNOWN'],
						'maintenance'=>$lang['LGD_MAINTENANCE']);
$lang='';
if(file_exists($path.'/data/lang/'.$lang_abre.'.php'))
{
	include $path.'/data/lang/'.$lang_abre.'.php';
}
if(file_exists($lang_path.'/common_plugin_name.php'))
{
	include $lang_path.'/common_plugin_name.php';
}
$lang_plugin=array();
foreach($lang as $key => $value)
{
	//echo $key .'=>'.$value.'<br />';
	if(preg_match('#^[MAN|CORR|TRAP]\_.*#',$key))
	{
		$lang_plugin[$key]=$value;
	}
	else
	{
		$lang_plugin['CHECK_'.$key]=$value;
		$lang_plugin['GESA_'.$key]=$value;
	}
}
$lang = $lang_bck;

$params = array('filters'=>$_REQUEST['filters'],
			 	 'order'=> $_REQUEST['cols'],
				 'size'=>$_GET['size'],
				 'paging'=>$_GET['page']);

$errors = array();
try
{
	if($_GET['action']=='history')
	{
		$time=1;
		if(isset($_GET['time'])&& is_numeric($_GET['time']))
		{
			$time = $_GET['time'];
		}
		//print_R($params);
		$errors = Model_TableSort::ts_getHistoricErrors($dbconnection,$user->getId(),$time,$params,$lang_error_type,$lang_plugin);
	}
	elseif($_GET['action']=='acquitteerror')
	{
		$errors = Model_TableSort::ts_getPendingAcquittErrors($dbconnection,$user->getId(),$params,$lang_error_type,$lang_plugin);
	}
	elseif($_GET['filters'][5]=='OK')
	{
		$errors = Model_TableSort::ts_getOKService($dbconnection,$user->getId(),$params,$lang_error_type,$lang_plugin);
	}
	else
	{
		$hier = true;
		if($_GET['hierarch'] == 'false')
		{
			$hier = false;
		}
		$errors = Model_TableSort::ts_getActiveErrors($dbconnection,$user->getId(),$params,$lang_error_type,$lang_plugin,$hier);
	}
	$arr = array();
	$json_array['headers']=array();
	$json_array['rows']=array();
	$json_array['total_rows']=0;
	if(!empty($errors['listid']))
	{
		foreach($errors['rows'] as $err)
		{
			$name="";
			if( $err['page_control'] != '')
			{
				$name = '<a id="linkn'.$err['id'].'" href="'.$err['page_control'].'">'.$err['name'].'</a>';
			}
			$errtype ="";
			switch($err['type_error'])
			{
				case 'critical' :
					$errtype = '<td class="EventCritical alignCenterTab"><p>'.$lang['LGD_CRI'].'</p></td>';
					break;
				case 'warning' :
					$errtype = '<td class="EventWarning alignCenterTab"><p>'.$lang['LGD_WARN'].'</p></td>';
					break;
				case 'unknown' :
					$errtype = '<td class="EventUnknown alignCenterTab"><p>'.$lang['LGD_UNKNOWN'].'</p></td>';
					break;
				case 'maintenance' :
					$errtype = '<td class="EventPending alignCenterTab"><p>'.$lang['LGD_MAINTENANCE'].'</p></td>';
					break;
				case 'waiting' :
					$errtype = '<td class="EventNone alignCenterTab"><p>'.$lang['LGD_PENDING'].'</p></td>';
					break;
				case 'acquitte' :
					$errtype = '<td class="EventPending alignCenterTab"><p>'.$lang['ACQUIT'].'</p></td>';
					break;
				default :
					$errtype = '<td class="EventOK alignCenterTab"><p>'.$lang['LGD_OK'].'</p></td>';
					break;
			}
			$common_name = Model_esia::getCommonName($lang, $err['service_name'], $err['check_plugin_name']);
			$common = '<p class="alignCenterTab servicesEnAlerte" title="'.$err['service_name'].'">'.$common_name.'</p>';
			$plugin = '<p class="alignCenterTab servicesEnAlerte">'.$err['service_name'].'</p>';
			$out = preg_replace('#\|.*#',"",$err['last_stdout']);
			$out = trim($out);
			$out =  nl2br($out);
			$line = array(
				$lang['ADM_NAME'] => "$name",
				$lang['ADM_ADDR_IP'] => $err['ip_addr'],
				$lang['ADM_NODE_TYPE'] => $err['type'],
				$lang['ADM_DESCRIPTION'] =>nl2br(htmlEntities($err['description'], ENT_QUOTES),true),
				$lang['GROUPS'] => $err['device_group'],
				$lang['ALERT_MENU'] => "$errtype",
				$lang['SERVICES']=>"$common",
				$lang['SERVICE_TECHNICAL_NAME']=>"$plugin",
				$lang['MESSAGES']=>"$out"
			);

			if($_GET['action']=='history' || $_GET['action']=='acquitteerror')
			{
				$line[$lang['DATE_START']] =$err['time'];
				$end_time ="";
				if(!empty($err['time_acquitte']))
				{
					$end_time=$err['time_acquitte'];
				}

				$line[$lang['DATE_END']] =$end_time;
			}
			else
			{
				$line[$lang['DATE']] =$err['time'];
			}
			$arr[] = $line;
		}
		//Count
		$json_array['headers']=array_keys($arr[0]);
		$json_array['rows']=$arr;
		$json_array['total_rows']=$errors['total'];
	}
	echo json_encode($json_array);
}
catch (Exception $e)
{
	echo $e->getMessage();
}
?>
