<?php
/*****************************/
/* Projet Esia 						  */
/*											  */
/*Biersart Nicolas Janvier 2011 */
/*****************************/
$smarty->assign('adm_group', 'adm_group');
$smarty->assign('l_groupname',$lang['ADM_GROUPNAME']);
$smarty->assign('l_create_group',$lang['ADM_CREATE_GROUP']);
$smarty->assign('l_list_group',$lang['ADM_LIST_GROUP']);
$smarty->assign('l_description', $lang['ADM_DESCRIPTION']);
if(isset($_GET['action']))
{
	$action = $_GET['action'];
}
else
{
	$action = 'list';
}
array_push($_SESSION['navbar'],array('name'=> $lang['GROUPS'],'link'=>'/administration.php?admin=groups&amp;action=list'));
//ajout d'un nouveau groupe
if($action=="create")
{
	if(isset($_POST['groupname'])&&!empty($_POST['groupname']))
	{
		try
		{
			//on ajoute le groupe dans la DB
			$groupid = Model_adm::addGroup($dbconnection,  $_POST['groupname'],  $_POST['groupdesc']);
			$esialog->write('ESIA GROUP', 'add '.$_POST['groupname'].' success');
			$smarty->assign('l_adm_create_group_success', $lang['ADM_CREATE_GROUP_SUCCESS']);
			$action = "view";
			$_GET['group']=$groupid;
			$_POST['groupname']=null;
		}
		catch(EsiaDbException $e)
		{
			$esialog->write('ESIA GROUP', 'ADD FAILED '.$e->getMessage());
			$ERROR[]=array('name'=>'GROUP ADD','message'=>$e->getMessage());
		}
	}
	else
	{
		//affichage du formulaire d'ajout de groupe
		$smarty->assign('adm_group_create', 'create');
		$smarty->assign('l_add', $lang['ADD']);
	}
}
//mise à jour des droit d'accès et matériels d'un groupe.
elseif($action == "maj")
{
    $grp = Model_adm::getGroup($dbconnection,$_GET['group']);
    $grp=$grp[$_GET['group']];
	if(isset($_POST['privilege_access']) && !empty($_POST['privilege_access']))
	{
		if(isset($_GET['group'])&&!empty($_GET['group']))
		{
			try
			{
				//on récupère la liste des acccès (c'est un tableau d'integer)
				$listeSelecDroit= $_POST['privilege_access'];
				sort($listeSelecDroit);
				//on récupère le groupe					
				Model_adm::UpdateGroupGrantAccess($dbconnection,$grp['id'],$listeSelecDroit);
				$esialog->write('ESIA GROUP', 'UPDATE ACCESS '.$grp['name']);
				//$smarty->assign('l_adm_update_group_access_success', $lang['ADM_UPDATE_GROUP_ACCESS_SUCCESS']);
				$action = "view";
			}
			catch(EsiaDbException $e)
			{
				$esialog->write('ESIA GROUP', 'UPDATE ACCESS FAILED '.$e->getMessage());
				$ERROR[]=array('name'=>'GROUP UPDATE','message'=>$e->getMessage());
			}
		}
	}
	if(isset($_POST['node_access_json']) && !empty($_POST['node_access_json']))
	{
		if(isset($_GET['group'])&&!empty($_GET['group']))
		{
			try
			{
				//on récupère la liste des switchs (c'est un tableau d'integer)
			    $listeSw= json_decode($_POST['node_access_json']);
				$listeSw = array_unique($listeSw);
				sort($listeSw);
				Model_adm::UpdateGroupNodeAccess($dbconnection,$grp['id'],$listeSw);
				$esialog->write('ESIA GROUP', 'UPDATE NODE ACCESS '.$grp['name']);
				//$smarty->assign('l_adm_update_group_sw_success',$lang['ADM_UPDATE_GROUP_DEV_SUCCESS']);
				$action = "view";
			}
			catch(EsiaDbException $e)
			{
				$esialog->write('ESIA GROUP', 'UPDATE NODE ACCESS FAILED '.$e->getMessage());
				$ERROR[]=array('name'=>'GROUP UPDATE','message'=>$e->getMessage());
			}
		}
	}
	$smarty->assign('l_adm_update_success',$lang['ADM_UPDATE_GROUP_SUCCESS']);
}
//mise à jour d'accès au noeud
/*elseif($action =="majsw")
{
	if(isset($_GET['group'])&&!empty($_GET['group']))
	{
		try
		{
			//on récupère la liste des switchs (c'est un tableau d'integer)
			$listeSw= $_POST['listeSelectSw'];
			$listeSw = array_unique ($listeSw);
			sort($listeSw);
			$grp = Model_adm::getGroup($dbconnection,$_GET['group']);
			$grp=$grp[$_GET['group']];
			Model_adm::UpdateGroupNodeAccess($dbconnection,$grp['id'],$listeSw);
			$esialog->write('ESIA GROUP', 'UPDATE NODE ACCESS '.$grp['name']);
			$smarty->assign('l_adm_update_group_sw_success',$lang['ADM_UPDATE_GROUP_DEV_SUCCESS']);
			$action = "view";
		}
		catch(EsiaDbException $e)
		{
			$esialog->write('ESIA GROUP', 'UPDATE NODE ACCESS FAILED '.$e->getMessage());
			$ERROR[]=array('name'=>'GROUP UPDATE','message'=>$e->getMessage());
		}
	}
}*/
elseif($action =="supprimer")
{
	if(isset($_POST['group']) && !empty($_POST['group']))
	{
		try
		{
			$grp = Model_adm::getGroup($dbconnection,$_POST['group']);
			$grp= $grp[$_POST['group']];
			Model_adm::deleteGroup($dbconnection,$grp['id']);
			$smarty->assign('l_adm_delete_group_success',$lang['ADM_DEL_GROUP_SUCCESS']);
			$esialog->write('ESIA GROUP', 'DELETE '.$grp['name'].'success');
			$action="";
		}
		catch(EsiaDbException $e)
		{
			$ERROR[]=array('name'=>'GROUP DELETE','message'=>$e->getMessage());
			$esialog->write('ESIA GROUP', 'DELETE FAILED FAILED '.$e->getMessage());
		}
	}
	else
	{
		$smarty->assign('adm_group_delete','test');
		$grp = Model_adm::getGroup($dbconnection,$_GET['group']);
		$grp=$grp[$_GET['group']];
		$smarty->assign('l_adm_del_group_confirm',$lang['ADM_DEL_GROUP_CONFIRM']);
		$smarty->assign('group',$grp);
	}
}
//liste tout les groupes
if($action == "list")
{
	if(!isset($_POST['groupname']))
	{
		$_POST['groupname']=null;
	}
	$smarty->assign('adm_group_list', 'list');
	$list_grp = Model_adm::getGroup($dbconnection,$_POST['groupname']);
	$smarty->assign('list_grp', $list_grp);
	//variable de langue
	$smarty->assign('l_groups',$lang['ADM_GROUPNAME']);
	$smarty->assign('l_adm_action', $lang['ACTION']);
}
//affiche les informations d'un groupe en particulier
elseif($action == "view")
{
	try
	{
		$smarty->assign('adm_group_view', 'list');
		$grp = Model_adm::getGroup($dbconnection,$_GET['group']);
		$grp=$grp[$_GET['group']];
		//on récupère les droits non alloué au groupe
		$list_access = Model_adm::getGroupNotPrivilege($dbconnection,$grp['id']);
		//liste les droits alloués au groupe
		$list_auth=Model_adm::getGroupPrivilege($dbconnection,$grp['id']);

		//Liste les noeuds disponible n'étant pas relié au groupe
		$list_device_dispo=Model_adm::getGroupNoAccessNode($dbconnection,$grp['id']);
		ksort($list_device_dispo);
		//noeuds relié au groupes
		$list_device_auto=Model_adm::getGroupAccessNode($dbconnection,$grp['id']);
		/*echo '<pre>';
		print_r($list_device_auto);
		echo '</pre>';*/

		ksort($list_device_auto);
		$smarty->assign('adm_groupid', $grp['id']);
		$smarty->assign('adm_groupname', $grp['name']);
		$smarty->assign('adm_groupdesc', $grp['description']);
		$smarty->assign('l_adm_del_group', $lang['ADM_DEL_GROUP']);
		$smarty->assign('l_adm_access_available', $lang['ADM_GROUP_ACCESS_AVAILABLE']);
		$smarty->assign('l_adm_access_auth', $lang['ADM_GROUP_ACCESS_AUTH']);
		$smarty->assign('l_adm_access_update', $lang['ADM_GROUP_ACCESS_UPDATE']);
		$smarty->assign('l_adm_dev_available', $lang['ADM_GROUP_DEV_AVAILABLE']);
		$smarty->assign('l_adm_dev_auth', $lang['ADM_GROUP_DEV_AUTH']);
		$smarty->assign('adm_group_list_access', $list_access);
		$smarty->assign('adm_group_list_auth', $list_auth);
		$smarty->assign('adm_group_list_dev_dispo', $list_device_dispo);
		$smarty->assign('adm_group_list_dev_auto', $list_device_auto);
	}
	catch(EsiaDbException $e)
	{
		$ERROR[]=array('name'=>'GROUP VIEW','message'=>$e->getMessage());
		$esialog->write('ESIA GROUP', 'VIEW FAILED '.$e->getMessage());
	}
}

?>
