<?php
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
		'DAY_MON' => 'Monday',
		'DAY_TUE' => 'Tuesday',
		'DAY_WED' => 'Wednesday',
		'DAY_THU' => 'Thuesday',
		'DAY_FRI' => 'Friday',
		'DAY_SAT' => 'Saturday',
		'DAY_SUN' => 'Sunday',
		'CONFIG_TEST_BUTTON' => 'Test',
		'HELLO'		=> 'Hello',
		'NODE_LIST'		=> 'Nodes List',
		'NODE_VISUAL_VIEW'		=> 'Visual View',
		'NODE_GENERAL_INFO'		=> 'General Informations',
		'NODE_REDUCE_PANEL'		=> 'Reduce Panel',
		'NODE_BIG_PANEL'		=> 'Unscroll Panel',
		'NODE_CHARGES'		=> 'Load',
		'NODE_STATE'	=> 'Status of',
		'NODE_LIST_VIEW'=> 'View the complete list of nodes',
		'PROFIL'		=> 'My account',
		'REFRESH'		=> 'Refresh',
		'INDEX'         =>'Home',
		'ADMIN'         =>'Administration',
		'DEVICE'        =>'Node',
		'USERS'         =>'Users',
		'ACCESS'        =>'Rights',
		'GROUPS'        =>'Groups',
		'HIERARCH'		=> 'Hierarchisation',
		'HIERARCH_DESC'	=> 'Services hierarchisation',
		'PLUGINS'     =>'Plugins',
		'PLUGIN'     =>'Plugin',
		'PATTERN' => 'Pattern',
		'SEARCH'        =>'Search',
		'RETURN'		=>'Return',
		'DATA_BASE'  =>'Database',
		'DATA_BASE_SYS'  =>'Database system',
		'NEXT'		=>'Next',
		'ADD'           =>'Add',
		'DUPLICATE'     =>'Duplicate',
		'APPLY'           =>'Apply',
		'HELP'           =>'Help',
		'FAQ'           =>'FAQ',
		'WIKI'           =>'Wiki',
		'ESIADROID'           =>'Esiadroid',
		'DELETE'        =>'Delete',
		'MODIF'         =>'Modify',
		'CHANGE'         =>'Change',
		'CANCEL'        =>'Cancel',
		'YES'           =>'Yes',
		'NO'            =>'No',
		'LOGIN'         =>'User',
		'PASSWORD'      =>'Password',
		'NODE'      	  =>'Node',
		'NODES'      	  =>'Nodes',
		'NAME'      	  =>'Name',
		'NAME_DISK'		  =>'Disk Name',
		'ACCOUNT'      	  =>'My account',
		'LAST_UPDATE'      	  =>'Hour of the last update',
		'INFORMATIONS'   =>'Informations',
		'PERM'   =>'Permissions',
		'MORE_INFORMATION'   =>'More informations',
		'INFORMATION_NODE'=>'Information',
		'ABOUT'=>'About',
		'ACQUIT'=>'Acquit',
		'ACQUIT_CANCEL' => 'Cancel acquittement',
		'TOTAL'=>'Total',
		'STATISTIC'=>'Statistics',
		'SERVICE_STATE'=>'Services State',
		'NODES_STATE'=>'Nodes State',
		'SERVICE_STATE_CHECK_PASSIF'=>'Services State (check + passive)',
		'CONNECTION'    =>'Connection',
		'LOGOUT'        =>'Log Out',
		'LOGIN_SUCCESS' =>'Login succeeded, you will be redirected in a few seconds',
		'LOGIN_FAILED' =>'Wrong User Name or Password',
		'ALERT_MENU' => 'Alerts',
		'ALERTS'	=> 'Alerts',
		'LGD_TITLE'      =>'Legend',
		'LGD_OK'         =>'OK',
		'LGD_DOWN'       =>'Down',
		'LGD_UNKNOWN'    =>'Unknown',
		'LGD_WARN'       =>'Alert',
		'LGD_CRI'        =>'Critical',
		'LGD_PENDING'	 	=>'Waiting for treatment',
		'LGD_HOST'	 =>'Host',
		'LGD_PORT'	 =>'Port',
		'LEVEL'            =>'Level',
		'DAY'            =>'day',
		'DAYS'            =>'days',
        'WEEK'           =>'week',
		'HOUR'           =>'hours',
		'MINUTE'         =>'minutes',
		'SECOND'         =>'seconds',
		'MONTH'         =>'months',
		'NODE_NUMBER'=>'Number of nodes ',
		'NODE_NUMBER_DIFFERENT'=>'Number of different nodes',
		'NUMBER_TOTAL_SERVICE'=>'Total number of services',
		'HISTORIC'=>'Historic',
		'ERROR'=>'Error',
		'DATE'=>'Date',
		'DATE_START'=>'Start Date',
		'DATE_END'=>'End Date',
		'DURATION'=>'Duration',
		'MESSAGE'=>'Message',
		'MESSAGES'=>'Messages',
		'SERVICE'=>'Service',
		'SERVICES'=>'Services',
		'SERVICE_INVOICE'=>'Activated Services',
		'STATUS'=>'Status',
		'LAST_EXEC'=>'Last execution',
		'NEXT_EXEC'=>'Next execution',
		'ACTION'=>'Action',
		'BACK_HOME'=>'Back Home',
		'SEARCH_NO_FOUND'=>'Search Not Found',
		'SHOW_POURCENT_AVAILABLE'=>'Show the % of availability since ',
		'SHOW_HISTORIC_SERVICE'=>'Historic of the service',
		'SYSDESCRIPTION'=>'sysDescription',
		'SYSNAME'=>'sysName',
		'SYSUPTIME'=>'sysUptime',
		'SYSLOCATION'=>'sysLocation',
		'SYSCONTACT'=>'sysContact',
		'ACTION_GROUPED'=> 'Bundled action',
		'SHOW_SERVICE'=>'Services States',
		'SERVICE_AVAILABILITY'=>'Service Availability',
		'SHOW_GRAPH'=>'Graphics',
		'SHOW_HIDE_GRAPH'=>'Show This Graph',
		'SHOW_HISTORIC'=>'Historic',
		'NO_GRAPH'=>'No Graph For This Node',
		'NO_ACCES'=>'You don\'t have the access rights for this node',
		'BAD_ACCES'=>'You don\'t have the access rights. Contact your system administrator.',
		'DASHBOARD'=>'Dashboard',
		'CACTI_SRV_ACCESS'=>'Reach cacti server',
		'GRAPH_UP'=>'Top of Page',
		'GRAPH_PAGE'=>'Pages',
		'SEARCH_DESC'           =>'Plug/description',
		'SEARCH_INFO_DESC'			=> 'Example: &lt;br /> B138: search a plug named B138 &lt;br />',
		'SEARCH_IP'             =>'Mac address/IP',
		'SEARCH_INFO_IP'			  => 'Mac Address example: &lt;br />0019 &lt;br />00:19:BB:49:8A:EB &lt;br />00:19:bb:49:8a:eb &lt;br />0019.BB49.8AEB &lt;br />0019BB498AEB &lt;br />&lt;br />Example IP: &lt;br />192.168.1.1 &lt;br/> 192.1',
		'SEARCH_PERSON'         =>'Person',
		'SEARCH_INFO_PERSON'	  => 'Search on the first name, the last name or the login',
		'NETWORK_STATE'         =>'Network Status',
		'LAST_EVENT'            =>'Last events',
		'NO_ACCESS'             => 'You don\'t have the access rights to reach this page <br />Please contact your network administrator to get the access rights',
		'ADM_WELCOME_MESSAGE'=>'Welcome in the administration interface of ESIA',
		'ADM_LAST_EXEC_PLUGIN'=>'Last Plugins executed',
		'ADM_LAST_DAEMON_MESSAGE'=>'Last messages from the scheduling engine',
		'ADM_LAST_TRAPD_MESSAGE'=>'Last messages from the trap dispatcher',
		'ADM_INVALID_ACTION'       =>'Invalid Action ',
		'ADM_PLUGIN_PATTERN'      =>'Plugins',
		'ADM_PLUGIN_TAB' => 'Plugin',
		'ADM_PLUGIN_RRD_TAB' => 'Graphics',
		'ADM_PLUGIN_LINKED_PATTERN' => 'Pattern',
		'ADM_PLUGIN_SERVICES_LIST' => 'Assigned services list',
		'ADM_PLUGIN_SERVICES_SELECT_ALL' => 'Select all services',
		'ADM_SERVICE_PARAMS_ORIGIN' => 'Parameters source',
		'ADM_PATTERN_TAB'      =>'Pattern',
		'ADM_PATTERN'      =>'Patterns',
		'ADM_PATTERN_NODE_LIST' => 'Assigned nodes list',
		'ADM_PATTERN_NAME'      =>'Name of the service pattern',
		'ADM_PATTERN_INCLUDE_NODE' => 'Link the services of this node to the new pattern',
		'ADM_PATTERN_DESCRIPTION'      =>'Pattern Description',
		'ADM_PATTERN_ADD_SERVICE'      =>'Add a service',
		'ADM_PATTERN_SERVICE_ADD'      =>'Add a pattern',
		'ADM_PATTERN_SERVICE_MAKE'      =>'Create pattern',
		'ADM_PATTERN_SERVICE_UPDATE'      =>'Update pattern',
		'ADM_PATTERN_SERVICE_LIST'     =>'List Patterns',
		'ADM_PATTERN_SERVICE'      =>'Services Pattern',
		'ADM_PATTERN_AVAILABLE'=>'Services Pattern available',
		'ADM_PATTERN_APPLIED'=>'Applicated Pattern',
		'ADM_PATTERN_UNASSIGN_CONFIRMED_1'=>'Do you really want to dissociate the pattern ',
		'ADM_PATTERN_UNASSIGN_CONFIRMED_2'=>' of the node ',
		'ADM_PATTERN_NODE_ASSIGN_SUCCESS'=>'Pattern successfully applicated',
		'ADM_PATTERN_NODE_UNASSIGN_SUCCESS'=>'Pattern successfully dissociated',
		'ADM_PATTERN_DELETE'=>' Delete the pattern',
		'ADM_PATTERN_DELETE_SUCCESS'=>'Pattern successfully deleted',
		'ADM_PATTERN_DELETE_SERVICE_MESSAGE1'=>'Do you really want to delete the service',
		'ADM_PATTERN_DELETE_SERVICE_MESSAGE2' =>'of the pattern',
		'ADM_PATTERN_DELETE_SERVICE_MESSAGE3' =>'All related services will be deleted',
		'ADM_PATTERN_DELETE_MESSAGE1'=>'Do you really want to delete the pattern',
		'ADM_PATTERN_DELETE_MESSAGE2' =>'All related services will be deleted',
		'ADM_PATTERN_UPDATE_SUCCESS' =>'The pattern has been successfully updated',
		'ADM_PATTERN_ADD_SUCCESS' =>'The Service Pattern has been successfully added',
		'ADM_PATTERN_UNLINK_MSG_CONFIRM' => "Do you want to unlink the pattern '%s' from node '%s'",
		'ADM_PATTERN_UNLINK_DELETE_SERVICES' => "Also delete services ?",
		'ADM_PATTERN_REFRESH_NODES'				=> 'Update nodes',
		'ADM_PATTERN_STATE_NOTHING'				=> 'OK',
		'ADM_PATTERN_MSG_INCLUDED_SERVICES'		=> 'included services',
		'ADM_PATTERN_STATE_UPDATE_POSSIBLE' 	=> 'update available',
		'ADM_PATTERN_MSG_NOTINCLUDED_SERVICES'  => 'not included services',
		'ADM_PATTERN_MSG_DIFFERENT_SERVICES'	=> 'differents services',
		'ADM_PATTERN_STATE_WARNING'				=> 'warning',
		'ADM_PATTERN_MSG_DUPLICATED_SERVICES'	=> 'duplicated services',
		'ADM_DESCRIPTION'          =>'Description',
		'ADM_USERNAME'             =>'Username',
		'ADM_USER_UPDATE'          =>'User modification',
		'ADM_DELETE_USER'          =>'Delete user',
		'ADM_LIST_USER'            =>'List users',
		'ADM_CREATE_USER'          =>'Add a user',
		'ADM_DEFAULT_GROUP'        =>'Group by default',
		'ADM_INSCRIPTION_TIME'     =>'Subscription date',
		'ADM_EMAIL'                =>'E-mail address',
		'ADM_BAD_EMAIL'            =>'Invalid e-mail address',
		'ADM_PASSWORD'             =>'Password',
		'ADM_CONFIRMED_PASSWORD'   =>'Confirm the password',
		'ADM_BAD_PASSWORD'         =>'Passwords must be the same',
		'ADM_LANG'                 =>'Default Language',
		'ADM_CREATE_USER_SUCCESS'  =>'User successfully created',
		'ADM_CREATE_USER_FAIL'     =>'An error occured during the creation of the user',
		'ADM_DEL_USER'             =>'Do you want to delete the user',
		'ADM_DEL_USER_SUCCESS'     =>'User successfully deleted',
		'ADM_USER_ADD_GRP'         =>'Add the user in a group',
		'ADM_USER_ADD_GRP_SUCCESS' =>'User added inside the group ',
		'ADM_USER_DEL_GRP_1'       =>'Do you want to remove the user',
		'ADM_USER_DEL_GRP_2'       =>'from the group',
		'ADM_USER_DEL_GRP_SUCESS'  =>'User successfully removed from the group',
		'ADM_GROUPNAME'                   =>'Group Name',
		'ADM_CREATE_GROUP'                =>'Create a group',
		'ADM_CREATE_GROUP_SUCCESS'        =>'Group successfully created',
		'ADM_UPDATE_GROUP_ACCESS_SUCCESS' =>'Successful update of group access',
		'ADM_UPDATE_GROUP_DEV_SUCCESS'     =>'Successful update of the equipment access',
		'ADM_LIST_GROUP'                  =>'List groups',
		'ADM_DEL_GROUP'                   =>'Delete groupe',
		'ADM_DEL_GROUP_CONFIRM'           =>'Do you want to delete the group',
		'ADM_DEL_GROUP_SUCCESS'           =>'Group successfully deleted',
		'ADM_GROUP_ACCESS_AVAILABLE'      =>'Access Available',
		'ADM_GROUP_DELETE'      =>'Delete the group',
		'ADM_GROUP_ACCESS_AUTH'           =>'Access assigned to the group',
		'ADM_GROUP_ACCESS_UPDATE'         =>'Update of authorizations',
		'ADM_GROUP_DEV_AVAILABLE'         =>'Available equipment',
		'ADM_GROUP_DEV_AUTH'              =>'Equipments assigned to the group',
		'ADM_ACCESSNAME'             =>'Access Name',
		'ADM_ACCESS_SITE'            =>'Access Site',
		'ADM_CREATE_ACCESS'          =>'Create Access',
		'ADM_CREATE_ACCESS_SUCCESS'  =>'Access successfully created',
		'ADM_LIST_ACCESS'            =>'Show access',
		'ADM_ACCESS_DEL'             =>'Do you want to delete the access ',
		'ADM_USER_UPDATE_SUCCESS'    =>'Update successful',
		'ADM_USER_NO_GROUP'    =>'No default group ',
		'ADM_USER_RESET_PASSWORD'    =>'Reset the user\'s password ',
		'ADM_USER_RESET_PASSWORD_CONF'=>'Do you want to reset the user\'s password ',
		'ADM_USER_INSERT_FAILED'     =>'Insertion of the user failed ',
		'ADM_USER_EMAIL_SUBJECT'     =>'New password',
		'ADM_USER_EMAIL_MESSAGE'     =>'Your new password: ',
		'ADM_UPDATE_GROUP_SUCCESS'		=> 'Updating Rights and Success Stories',
		'ADM_ADD_DEV'         =>'Add a node',
		'ADM_ADD_GESA'         =>'Add a Unity',
		'ADM_UPDATE_SUCCESS'    =>'Update successful',
		'ADM_LIST_DEV'        =>'List nodes',
		'ADM_ADD_PLUGIN'      =>'Add a service',
		'ADM_LIST_PLUGIN'      =>'List services',
		'ADM_GRAPHIC'      =>'Graphic',
		'ADM_GRAPHIC_EXEMPLE'  =>'Example d\'url: <br /> for cacti: http://cacti.esia.local/cacti/graph_view.php?action=tree&amp;tree_id=1&amp;leaf_id=8 <br /> for munin: http://munin.esia.local/munin/esia.local/munin.esia.local/index.html' ,
		'ADM_GRAPHIC_URL'      =>'URL',
		'ADM_NODE_ADD'       =>'Add a node',
		'ADM_NAME'            =>'Node Name',
		'ADM_NODE_TYPE'       =>'Type of nodes',
		'ADM_ADDR_IP'         =>'IP Address',
		'ADM_NODE_SERVICE'		=>'Number of services',
		'ADM_LOGIN'           =>'Login',
		'ADM_PWD'             =>'Password',
		'ADM_SNMP_VERSION'    =>'SNMP Version',
		'ADM_SNMP_TIMEOUT'    =>'SNMP Timeout (in ms) ',
		'ADM_COMMUNITY_V1'    =>'snmp v1-v2c Community',
		'ADM_SNMP3_USER'      =>'SNMP v3 user',
		'ADM_SNMP3_SEC_LVL'   =>'Security Level',
		'ADM_SNMP3_AUTH_PROT' =>'Authentification Protocol',
		'ADM_SNMP3_AUTH_KEY'  =>'Password or authentification key',
		'ADM_SNMP3_PRIV_KEY'  =>'Cryptography key',
		'ADM_SNMP3_PRIV_PROT' =>'Cryptography Protocol',
		'ADM_CONNECTION_TYPE' =>'Connection Protocol',
		'ADM_GRP'             =>'Group',
		'ADM_IP_VERSION'      =>'Version of the IP protocol',
		'ADM_NODE_GROUP'       =>'Groups of nodes',
		'ADM_NODE_GROUP_ADD'       =>'Add a group of nodes',
		'ADM_NODE_GROUP_SELECT_TIPS'       =>'Select the group(s) to which the node belongs',
                'ADM_NODE_PATTERN_SELECT_TIPS'       =>'Select the pattern(s) to add',
		'ADM_NODE_GROUP_SEARCH_NOFOUND'    =>'Search Not Found',
		'ADM_NODE_GROUP_UPDATE'       =>'Group of nodes update',
		'ADM_NODE_GROUP_PARENT'       =>'Parent group',
		'ADM_NODE_GROUP_UPDATE_SUCCESS'       =>'Group successfully updated',
		'ADM_NODE_COMPLEXE' => 'Complexs Nodes',
		'ADM_NODE_SIMPLE'=>'Simples Nodes',
		'ADM_NODE_CONSUMPTION' =>'CONSUMPTION NODE',
		'ADM_NODE_UNITY'=>'Unity',
		'ADM_CONFIRM_DEL'     =>'Do you want to delete: ',
		'ADM_ERR_EMPTY_FORM'  =>'Fields in red are mandatory',
		'ADM_ERR_PING_FAILED' =>'Node unreachable by ping',
		'ADM_ERR_SNMP_FAILED' =>'Node unreachable by SNMP',
		'ADM_ERR_NAME_FAILED' =>'No match (Either the name of a group is wrong or there is a DNS problem) for nslookup',
		'ADM_ERR_INSERT_FAILED'  =>'Error during the insertion inside the database',
		'ADM_INSERT_SUCCESS'  =>'Node successfully added',
		'ADM_DELETE_SUCCESS'  =>'Node successfully deleted',
		'ADM_NODE_UPDATE_SUCCESS'  =>'Node successfully updated',
		'ADM_NODE_MODIF' => 'Edit node',
		'ADM_NODE_DUPLICATE' => 'Node duplication',
		'DUPLICATE_ALSO' => 'Duplicate also',
		'DUPLICATE_ALSO_ADV_CONF' => 'Advanced configurations',
		'DUPLICATE_ALSO_ACCESS_GROUP' => 'User group access to device',
		'DUPLICATE_ALSO_SRV_PATTERNS' => 'Services andpatterns',
		'DUPLICATE_ALSO_ALERT' => 'Services alerts',
		'DUPLICATE_ERROR_DEVICE_NAME_UNIQ' => 'This node name already exist. You must choose another name.',
		'ADM_PLUGIN_TITLE'    =>'Adding a service for ',
		'ADM_PLUGIN_SERVICE'  =>'Service Name',
		'ADM_PLUGIN_NAME'     =>'Plugin Name',
		'ADM_PLUGIN_PARAMETER'=>'Parameters',
		'ADM_PLUGIN_ADVANCED_SETTING'=>'Advance parameter',
		'ADM_PLUGIN_DEFAULT_PARAMETER'=>'Default parameters',
		'ADM_PLUGIN_MANUFACTURER' => 'Manufacturer',
		'ADM_PLUGIN_EXEC_FILE' => 'Executable file',
		'ADM_PLUGIN_PATH' =>'Access path',
		'ADM_PLUGIN_PATH_MESSAGE' =>'The executable must be in the repertory /usr/local/esia/plugins/ (Check that the file is executable)',
		'ADM_PLUGIN_INTERVAL' => 'Interval (in seconds)',
		'ADM_PLUGIN_PRIORITY' => 'Priority',
		'ADM_INTERVAL'=>'Interval',
		'ADM_PLUGIN_DEFAULT_INTERVAL' => 'Interval by default between 2 executions (in seconds)',
		'ADM_PLUGIN_OID' =>'OID of the SNMP trap',
		'ADM_PLUGIN_ADD_SUCCESS'=>'Service added',
		'ADM_PLUGIN_UPDATE_SUCCESS'=>'Service successfully updated',
		'ADM_PLUGIN_DEL_SUCCESS'=>'Service removed',
		'ADM_PLUGIN_SOFTWARE_ALERTING' => 'Alert program',
		'ADM_PLUGIN_LIST' => 'List plugins',
		'ADM_PLUGIN_ADD' => 'Add a plugin',
		'ADM_PLUGIN_MODIF' => 'Update plugin',
		'ADM_PLUGIN_CLONE' => 'Duplicate plugin',
		'ADM_PLUGIN_SERVICES_MODIF' => 'Update service(s)',
		'ADM_PLUGIN_SERVICES_MODIF_TITLE' => 'Update selected service(s)',
		'ADM_PLUGIN_SERVICE_DELETE_TITLE' => 'Delete service',
		'ADM_PLUGIN_TYPE' => 'Type',
		'ADM_PLUGIN_INTERVALL_MESSAGE' => 'The interval must be an integer >0',
		'ADM_PLUGIN_DELETE' => 'Delete a plugin',
		'ADM_PLUGIN_DELETE_MESSAGE1' =>'Do you want to delete the plugin',
		'ADM_PLUGIN_DELETE_MESSAGE2' =>'There is(are) still ',
		'ADM_PLUGIN_DELETE_MESSAGE3' =>' service(s) using it',
		'ADM_PLUGIN_DELETE_SUCCESS' =>'plugin deleted ',
		'ADM_PLUGIN_ADD_SUCCESS'=>'Plugin added',
		'ADM_PLUGIN_UPDATE_SUCCESSD'=>'Plugin successfully modified',
		'ADM_PLUGIN_ERR' => 'Plugin error',
		'ADM_NODE_GOTO'=>"Go to node page.",
		'ADM_NODEGROUP_GOTO' => "Go to group page.",
		'NODE_NO_ACCESS'   =>'You don\'t have the access to reach the node (',
		'NODE_NO_ACCESS_1'   =>') Please contact your network administrator',
		'PAGE_EXE'   =>'Page executed in',
		'PAGE_EXE_TI'=>'seconds',
		'ERROR_ESIA_NOT_START'=>'Error Esia program is not started',
		'ERROR_ESIA_MUST_RELOAD'=>'It\'s necessary to reload the ESIA demon<br /> /etc/init.d/esia reload',
		'ERROR_ESIA_MUST_RESTART'=>'It\'s necessary to restart the ESIA demon<br /> /etc/init.d/esia restart',
		'GESA_INFO'=>'Warning, the node name must be equal to either the IPv4 address or the DNS name (Dynamic DNS compatible) <br /> otherwise the keyword $NRPE_HOST will not be treated and the link will not be effective.',
		'GESA_CONNECTED_TO'=>'Connected behind the Unity: ',
		'REPORT'  =>'Report',
		'REPORTS'  =>'Reports',
		'WEBP_REPORT'  =>'Report',
		'WEBP_LOCATION'=>'Location',
		'WEBP_IMPORT'=>'Import',
		'LOCATION'=>'Location',
		'IMPORT'=>'Import',
		'AVAILABILITY_MONTH'  =>'Availability during the month of ',
		'AVAILABILITY_YEAR'  =>'Availability during the last 12 months ',
		'LOADING'  =>'Loading',
		'ADM_CONFIGURATION'=>'Configuration',
		'ADM_CONFIGURATION_NAME'=>'Name',
		'ADM_CONFIGURATION_SEND_TEST_MAIL'=>'Send test mail',
		'ADM_CONFIGURATION_SEND_MAIL_SUCCES'=>'Mail sent successfully',
		'ADM_CONFIGURATION_VALUE'=>'Value',
		'ADM_CONFIGURATION_DESCRIPTION'=>'Description',
		'EXPORT_IMG'=>'Export to png image format',
		'EXPORT_CSV'=>'Export to csv format',
		'EXPORT'=>'Export',
		'REPORT_GRAPH_LABEL'=>'Availability in %',
		'REPORT_TIPS'=>'Tips',
		'REPORT_TIPS1'=>'Click on the service name, located in the legend below the graph to remove the corresponding line',
		'REPORT_TIPS2'=>'You can "zoom in" by selecting a precise area with the mouse. To return to the initial state, double click on the center of the graph',
		'REPORT_TIPS3'=>'Once the report formated as you want, you can export it using export buttons in csv or png',
		'REPORT_TOOLS'=>'Tools',
		'REPORT_ZOOMOUT'=>'Reset of the zoom',
		'REPORT_SELECTALL'=>'Select all datas',
		'REPORT_UNSELECTALL'=>'Deselect all datas',
		'REPORT_WIKI'=>'Explanation of the exportation system',
		'SEARCH_NODE'=>'Nodes',
		'ACQUITTE_ERROR'=>'Acquitted errors',
		'CONNECTED'=>'Connected to ',
		'MACADDRESS'=>'MAC address',
		'VIEW_ALL_CONNECTION'=>'Show others connections',
		'GESA_UNITY'=> 'UNITY' ,
		'GESA_LAST_PARAMETER'=> 'Last parameters' ,
		'GESA_CONFIGURE'=> 'Configuration of' ,
		'GESA_NEW_CONNECTION'=> 'There is $HERE new Unity box(es) connected',
		'GESA_HERE' => 'here',
		'GESA_LIST_NEW_CONNECTION'=> 'Which Unity do you want to install ?',
		'GESA_BAD_NODENAME'=> 'This nodename is already used',
		'GESA_CHANGE_IP'=> 'If you want, you can change the Unity\'s IP address by clicking $HERE (Warning: Only works in the same local area network (LAN))',
		'GESA_ADD_UNITYSUCCESS'=> 'The Unity system is properly connected to the system.<br /> You can add a node or make a SNMP scan now.',
		'GESA_ADD_CONGRATULATIONS'=> 'Congratulations !',
		'GESA_SELECT_PLUGIN'=> 'You have selected a Unity Plugin whereas the node is not linked to a Unity box. ',
		'ADM_RELOAD_NODE'=> 'Reload services' ,
		'SAVE'        =>'Save',
		'NAME'        =>'Name',
		'DESCRIPTION' =>'Description',
		'ADD_TILE'    =>'Add a tile',
		'MY_DASHBOARD'   		   =>'My dashboards',
		'DASH_GENERAL_INFOS'   		   =>'General modifications',
		'ADD_DASHBOARD'   		   =>'Add a dashboard',
		'ADD_WIDGET'   		   =>'Add a widget',
		'DELETE_DASHBOARD'   		   =>'Delete',
		'WIDGET_ADMIN'    =>'widgets\' administration',
		'WIDGET_ADDED'    =>'Widgets added',
		'ADD_DASHBOARD_SUCCESS'    =>'Dashboard created',
		'UPDATE_DASHBOARD_SUCCESS' =>'Saved successfully',
		'FONT_SIZE' =>'Font size',
		'FONT_ALIGN' =>'Align',
		'FONT_ALIGN_LEFT' =>'Left',
		'FONT_ALIGN_CENTER' =>'Center',
		'FONT_ALIGN_RIGHT' =>'Right',
		'DONUTS' =>'Donuts',
		'TABLE' =>'5 squares',
		'ABREVIATION' =>'Abbreviation',
		'TOKEN' =>'Token',
		'RECTANGLE' =>'Rectangle',
		'FONT_ALIGN_RIGHT' =>'Right',
		'FONT_COLOR' =>'Font color',
		'NODES'      	  =>'Nodes',
		'WIDGET_DURING'   =>'Widget display time',
		'GESA_FAST_SCAN'=> 'Quick scan' ,
		'ABOUT_INFO_VERSION' => 'Version information',
		'ABOUT_MAIL_ADDRESS' => 'E-mail address',
		'ABOUT_ONLINE_DATE' => 'Date of Online Publication : ',
		'ABOUT_GENERAL_INFORMATION' => 'General Informations',
		'ADM_ADD_NODE_SNMP' => 'SNMP Informations',
		'ADM_ADD_NODE_CONNEXION' => 'Connection information',
		'ABOUT_COMPANY' => 'Society : ',
		'ABOUT_WEB_SITE' => 'Web Site : ',
		'ABOUT_LOCATION' => 'Address : ',
		'PLUS_BUTTON_ZONE' => 'Show/Hide list of zones',
		'PLUS_BUTTON_NODE' => 'Show/Hide list of nodes',
		'INPROGRESS' => 'In progress',
		'GESA_ADVANCED_SCAN'=> 'Advanced Scan' ,
		'SEARCH_INT_DESCRIPTION' => 'Description of the interface',
		'SEARCH_INT_MAC_ADDRESS' => 'MAC address',
		'SEARCH_INT_PLUG' => 'Network socket',
		'SEARCH_PLACEHOLDER' => 'What are you looking for ?',
		'SEARCH_NEW' => 'Launch a new search',
		'SEARCH_RESULTS' => 'Results of your search',
		'REPORT_CANEVAS'	=> 'Canvas',
		'GRAPH_DAY' => '24h',
		'GRAPH_WEEK' => '1 week',
		'GRAPH_MONTH' => '1 month',
		'GRAPH_YEAR' => '1 year',
		'EXAMPLE' => 'Example',
		'DASHBOARD_DELETE'=>'Do you really want to delete the dashboard:',
		'DELETE_DASHBOARD_SUCCESS'=>'Dashboard successfully deleted',
		'DASHBOARD_OK'         =>'OK',
		'DASHBOARD_UNKNOWN'    =>'INC',
		'DASHBOARD_WARN'       =>'ALR',
		'DASHBOARD_CRI'        =>'CRIT',
		'DASHBOARD_PENDING'	 =>'ATT',
		'SEARCH_NONE'	 =>'No result',
		'DASHBOARD_SELECT_NODE'	 =>'Select the node(s)',
		'DASHBOARD_SELECT_GROUP_NODE'	 =>'Select the group(s) of node(s)',
		'DASHBOARD_SELECT_ONE_GROUP_NODE' => 'Select the group of nodes',
		'DASHBOARD_SELECT_PLAN' => 'Select a plan',
		'DASHBOARD_RRD_SELECT_NODE'	 =>'Select the node',
		'DASHBOARD_RRD_PERIOD'	 =>'Period',
		'DASHBOARD_RRD_PERIOD_UNITY'=>'(in minute)',
		'DASHBOARD_RRD_SELECT_SERVICE'	 =>'Select the service',
		'DASHBOARD_RRD_SELECT_VALUE'	 =>'Select the value',
		'DASHBOARD_RRD_SELECT_PLUGIN'	=> 'Select the plugin',
		'DASHBOARD_RRD_EMPTY' => 'No value currently returned',
		'DASHBOARD_NODE_STATE' =>'View linked to nodes',
		'DASHBOARD_GROUPNODE_STATE' =>'View linked to group of nodes',
		'DASHBOARD_SERV_STATE' =>'View linked to services',
		'DASHBOARD_PLUGIN_STATE' =>'View linked to plugins',
		'DASHBOARD_VIEW_VALUE' =>'View value of a service',
		'DASHBOARD_BACKUP_TABLE' =>'Backups view',
		'DASHBOARD_GOOGLEMAP'=>'Google MAP',
		'DASHBOARD_ALARM'=>'Alert in progress',
		'DASHBOARD_MAP_FLOOR' =>'Locations picture',
		'DASHBOARD_PLAN' => 'View linked to a plan',
		'DASHBOARD_SELECT_VIEW' =>'Choose a view',
		'DASHBOARD_UPDATE_TILE' =>'Modify a tile',
		'DASHBOARD_DELETE_TILE' =>'Delete a Tile',
		'DASHBOARD_APPLICATIVE_VIEW'=>'Applicative view',
		'DASHBOARD_TILE_DELETE'=>'Do you really want to delete the tile?',
		'DASHBOARD_WIDGET_DELETE'=>'Do you really want to delete the widget:',
		'DASHBOARD_WIDGET_EMPTY'=>'The widget is empty',
		'DASHBOARD_WIDGET_EMPTY_APPLICATIVE'=>'A missing element',
		'DASHBOARD_TILE_INVALID'=>'Invalid Tile',
		'DASHBOARD_TILE_DELETE_SUCCESS'=>'Tile successfully deleted',
		'DASHBOARD_WIDGET_DELETE_SUCCESS'=>'Widget successfully deleted',
		'DASHBOARD_TITLE_WIDGET' =>'Title',
		'DASHBOARD_DESC_WIDGET' =>'Description',
		'DASHBOARD_NODE_LINKED' =>'Linked nodes',
		'DASHBOARD_GROUP_NODE_LINKED' =>'Group of linked nodes',
		'DASHBOARD_UNITY' =>'Unity',
		'DASHBOARD_REDUCE' =>'Reduce',
		'DASHBOARD_SHARE_WITH' =>'Share the dashboard with (read)',
		'DASHBOARD_SELECT_USER' =>'Select users',
		'DASHBOARD_SHARE' =>'Shared',
		'DASHBOARD_RRD_SELECT' =>'Displayed value',
		'DASHBOARD_WIDGET_ORDER' =>'Save display order',
		'DASHBOARD_WIDGET_ORDER_SUCCESS' =>'Widgets order successfully saved',
		'DASHBOARD_EGIDE_SEVERITY' =>'Distribution of severities',
		'DASHBOARD_EGIDE_SEVERITY_GN' =>'Distribution of severities for group of nodes',
		'DASHBOARD_EGIDE_NODE_NBR_CVE' =>'TOP nodes with the most vulnerability ',
		'DASHBOARD_EGIDE_NODE_SCORE' =>'TOP nodes with the highest score',
		'DASHBOARD_FAST_LINK' => 'Prompt link',
		'DASHBOARD_TITLE_LINK' => 'Link',
		'DASHBOARD_FAST_LINK_ADD' => 'Add link',
		'DASHBOARD_FAST_LINK_NO_ICON' => 'No icon',
		'DASHBOARD_FAST_LINK_NEW_LINK' => 'New link',
		'DASHBOARD_ICON'=>'Icon',
		'DASHBOARD_LABEL'=>'Label',
		'DASHBOARD_PATH'=>'Path',
		'SERVICE_TECHNICAL_NAME' =>'Complete Name',
		'CONFIG_MAIL'=>'Mail settings',
		'ADM_DEVICE_GROUP_ERROR_TOOLONG'=>'Error : Group name too long (Max 25)',
		'DASHBOARD_GRAPHIC_SE'=>'Services graph',
		'DASHBOARD_LINK' =>'Element of the chain',
		'HELP_HOME_MENU' => "Browse the application using the sidebar",
		'HELP_HOME_NODE_OVERVIEW' => "Keep an eye on all your nodes and services",
		'HELP_SEARCH' => "Easily find datas in ESIA.",
		'HELP_MENU_DASH' => "Use our dashboards for a quick overview.",
		'HELP_MENU_TREEVIEW' => "Use the treeview to navigate from node to node.",
		'HELP_UNITY_PLUGGED' => "Start by adding your Unity box by clicking here.",
		'HELP_UNITY_NOT_PLUGGED' => "No Unity box detected. Plug it in and you'll have the ability to scan your network.",
		'HELP_UNITY_LIST' => "Find here the list of detected Unity boxes. Choose one to configured it.",
		'HELP_UNITY_NAME' => "You can give a name to your box to identify it faster.",
		'HELP_UNITY_ADD_GROUP' => "Add a group of nodes to classify your nodes. (Example : Customer 1 / Customer 2 / etc.)",
		'HELP_SCAN_FORM' => "Use this form to launch a scan of your network.",
		'HELP_SCAN_LINE' => "Your scans are displayed here. You can verify the status of the different scans and make actions.",
		'HELP_SCAN_BUTTON' => "The icon turns and indicates that you have one or more scans in progress. You'll be notified when the different scans are completed.",
		'HELP_SCAN_RESULT_FILTERS' => "This framework allows you to apply parameters to multiple nodes at once.",
		'HELP_SCAN_RESULT_A_NODE' => "Each node is represented by a frame with the info that Esia found.",
		'HELP_SCAN_RESULT_A_NODE_PARAMETER' => "Click on settings to configured your node as you want it",
		'HELP_SCAN_RESULT_SEND' => "Select one or more nodes and you can add them via this button.",
		'HELP_DASHBOARD_EDIT' => "You can rename or share the dashboard by clicking here.",
		'HELP_DASHBOARD_ADD_TILE' => "Add as many tiles as you want. Each tile can contains several blocks.",
		'HELP_DASHBOARD_ADD_DASH' => "You can add as many dashboards as you want.",
		'HELP_REPORT_CANEVAS' => "Manage your report canvas. Define blocks as well as the client and the sending frequency.",
		'HELP_REPORT_HISTORIC' => "Find, display, export all of your previews reports.",
		'HELP_REPORT_CREATE_CANEVAS' => "To start, create a canvas and define your preferences.",
		'RESET_TUTORIAL' => "Reset the tutorialss",
		'FIRST_FIVE_ERRORS'	=> '5 first errors',
		'ADM_DEFAULT_BANNER' => "Banner by default",
		'ADM_DEFAULT_SESSION_TIME' => "Session maximum time",
		'ADM_IMG_DIRECTORY' => "Pictures directory",
		'ADM_IMG_MAX_SIZE' => "Pictures maximum size",
		'ADM_MAIL_FORMAT_MESSAGE' => "Mail template",
		'ADM_MAIL_FORMAT_SUBJECT' => "Topics template",
		'ADM_MAIL_SMTP_PORT' => "SMTP Port",
		'MAP_IMG_TAILLE_MAX' => "MAP Plugin pictures maximum size",
		'ADM_SMS_HOUR_START' => "SMS sending start time",
		'ADM_SMS_HOUR_STOP' => "SMS sending stop time",
		'ADM_SMS_MAX_PER_DAY' => "Maximum amount SMS by day",
		'ADM_DEFAULT_BANNER_FONTCOLOR' => "Banner font color",
		'ADM_SRV_CPU_LOAD' => "CPU plugins",
		'ADM_SRV_HDD_LOAD' => "Disk Plugins",
		'ADM_SRV_INT_LOAD' => "Interface Plugins",
		'ADM_SRV_RAM_LOAD' => "MEM Plugins",
		'ADM_USER_KEY' 	=> "Encryption passphrase",
		'ADM_USER_KEY_TOO_SMALL' => 'The encryption passphrase is too small. Must be greater or equal to 4 characters',
		'ADM_NODE_PATTERN_DETECTED' =>'Add the detected pattern',
		'ADM_NODE_ADD_PATTERN' =>'Add a pattern',
		'ADM_PLUGIN_PARAMETER_PATTERN'=>'Service Settings',
		'ADM_NODE_ADD_SERVICE' =>'Add a service',
		'ADM_NODE_SUCCESS_REDIRECT' =>'Do you want to add a pattern (preconfigured services set) to this node or add a specific service.<br /> Click on one of the buttons to be redirected.',
		'ADM_MAP_SELECT_NODE' => "Add a node or a container",
		'ADM_MAP_NODE_ADDED' => "Nodes already added.",
		'LGD_COMMUNITY'        =>'SNMP Community',
		'LGD_WAR_MEM'		=> 'Memory alert',
		'LGD_CRI_MEM'		=> 'Critical memory',
		'LGD_WAR_LOAD'		=> 'CPU Alert',
		'LGD_CRI_LOAD'		=> 'CPU critical',
		'LGD_WAR_LAT'		=> 'Latency Alert',
		'LGD_CRI_LAT'		=> 'Critical Latency',
		'LGD_WAR_LOST'		=> 'Loss alert',
		'LGD_CRI_LOST'		=> 'Critical loss',
		'LGD_DISK'			=> 'Disk name',
		'LGD_STOCK'			=> 'Storage',
		'LGD_PROCESS'		=> 'Process Name',
		'ADM_EMPTY_USER'           =>'Please choose a login.',
		'ADM_EMPTY_GROUP'		   =>'Please choose a name for the group.',
		'ADM_PLUGIN_PARAM_ALERTING' => 'Alert settings',
		'ADM_ADD_CONTAINER' => 'Add a container',
		'ADM_CONFIGURATION_SEND_MAIL_TEST_SUBJECT'=>'ESIA : Test mail',
		'GRAPH' => 'Graph',
		'GAUGE'=>'gauge',
		'WIDGET_DURING_UNITY'=>'(in second)',
		'DASHBOARD_LINK_IMPACT' =>'What is the impact ?',
		'DASHBOARD_LINK_IMG' =>'Choose a picture',
		'EVENT_NUMBER'	=> "Number of events",
		'LOG_NAME'	=> "Log name",
		'LOG_SEVERITY' =>"Severity",
		'ADM_INSERT_DEVICE_FAILED_DUPLICATE_NAME' => "Can not add this node because its name is already used",
		'MAIL_SUBJECT' => 'mail subject',
		'MAIL_CONTENT' => 'mail content',
		'MAIL_SENDER' => 'Sender',
		'MAIL_SINCE' => 'Since',
		'MAIL_MATCH_OK' => 'word(s) to match for success (separated by comma ",")',
		'MAIL_MATCH_WARN' => 'word(s) to match for warning (separated by comma ",")',
		'MAIL_MATCH_CRI' => 'word(s) to match for failing (separated by comma ",")',
		'MAIL_EMPTY_MAX' => '(empty = max)',
		'MAIL_ANALYZE' => 'Analyze',
		'MAIL_ERROR_TYPE' => 'Error type if no match found',
		'MAIL_DIRECTORY' => 'Directory',
		'MAIL_DIRECTORY_INFO' => 'Directory to search (default : inbox)',
		'TAB'=>'Board',
		'ACTIVE_NODES' => 'Active nodes',
		'DEAD_NODES' => 'Dead nodes',
		'DOWN_LINKS' => 'Down links',
		'STATUS_OK' => 'OK status',
		'STATUS_WARN' => 'Warning status',
		'STATUS_CRI' => 'Critical status',
		'STATUS_UKN' => 'Unknown status',
		'STATUS_IGN' => 'Ignored status',
		'SEPARETED_COMA' => '(separated by comma ",")',
		'CREATE_VIRTUAL_NODE' => 'Create a virtual node',
		'GESA_SPEEDTEST_UPLOAD'=>'Upload',
		'GESA_SPEEDTEST_DOWNLOAD'=>'Download',
		'REPLACE_UNITY'=>'Replace Unity',
		'ADM_PRINT_BOARD'=>'Print this table',
		'ADM_SHOW_HIDDEN_COLUMN'=>'Show / hide columns',
		'RDP' => 'Remote desktop',
		'RDP_NOW' => 'Remote desktop now',
		'RDP_CONTROL_CHOSEN'=>'Software remote control',
		'RDP_INFO' => 'REMOTE CONTROL INFORMATIONS',
		'RDP_SOFTWARE' => 'Software',
		'RDP_ID'=>'Login',
		'RDP_VERIFY_INPUT'=>'Please fill in the field',
		'RDP_ID_URL'=>'ID / URL',
		'RDP_VALIDATE'=>'Validate',
		'RDP_UNAVAILABLE_LINUX'=>'Unavailable from Linux OS',
		'LGD_MAINTENANCE'=>'Maintenance',
		'MAINTENANCE'=>'Enable maintenance mode',
		'MAINTENANCE_INTERVAL'=>'Period between each maintenance',
		'MAINTENANCE_SELECT_SERVICE'=>'Select services to set in maintenance mode',
		'MAINTENANCE_SELECT_ALL'=>'Select all',
		'MAINTENANCE_CYCLIC_TABLE'=>'Cyclic maintenance',
		'MAINTENANCE_MODE'=>'Configure maintenance mode',
		'MAINTENANCE_TYPE'=>'Maintenance mode type',
		'MAINTENANCE_TYPE_EXPLAIN'=>'NOEXECUTION : It disables the execution of the service during the period<br />NOALERT: It disables the alert system while the service is still running (the service keep the status OK).<br />FIRSTERROR : The service switches to the maintenance mode type NOALERT at the first error detected.',
		'MAINTENANCE_MENU_PLAN'=>'Schedule a maintenance',
		'MAINTENANCE_DATE_START'=>'Date & time of the beginning of the maintenance',
		'MAINTENANCE_DURING'=>'Maintenance duration',
		'MAINTENANCE_CYCLIC'=>'Cyclic maintenance ?',
		'MAINTENANCE_PLAN'=>'Schedule a maintenance',
		'MAINTENANCE_PLAN_SUCCESS'=>'Maintenance scheduled with success',
		'MAINTENANCE_PLAN_DELETE_SUCCESS'=>'Maintenance deleted with success',
		'MAINTENANCE_CYCLIC_DELETE_SUCCESS'=>'Cyclic maintenance deleted with success',
		'MAINTENANCE_CYCLIC_NEXT_SUCCESS'=>'Cyclic maintenance modified with success',
		'MAINTENANCE_PLAN_FUTUR'=>'Next maintenance',
		'MAINTENANCE_PLAN_EXPLAIN'=>'Cyclic maintenances are scheduled 1 hour before its beginning. <br />It\'s not possible to delete a maintenance during the 10 minutes before its beginning because the ESIA daemon already saved its settings',
		'MAINTENANCE_TECHNICAL_NAME'=>'Technical name',
		'MAINTENANCE_PASS'=>'Skip next maintenance',
		'MAINTENANCE_FIRSTERROR_DURING'=>'Time of the error',
		'FILTERS'=>'Filters',
		'SEND_MAIL'=>'Mail',
		'SEND_SMS'=>'SMS & Mail',
		'EXAMPLE_PROGR_ALERT_MAIL'=>'Example : address1@mail.com,address2@mail.com',
        'EXAMPLE_PROGR_ALERT_SMS'=>'Example : 0032XXXXXX,0032XXXXXX',
		'EXAMPLE_PROGR_ALERT'=>'Explication message',
		'TELEPHONE_NUMBER'=>'Telephone number',
		'WARNING_SEUIL'=>'Alert Threshold',
		'CRITICAL_SEUIL'=>'Critical Threshold',
		'CUSTOMIZATION' => 'Bloc customization',
		'CUSTOMIZATION_COL' => 'Which columns do you want to display?',
		'EXECUTE_SERVICE' => 'Execute service',
		'ADM_MAP_IMG_TAILLE_MAX' => 'Max size location picture',
		'EXECUTE_NOW' => 'Execute now',
		'ADD_SERVICES' => 'Add service(s)',
		'GRAPH_NO_DATA' => 'No data to graph for this service',
		'DASHBOARD_SHARE_WRITE' =>'Share the dashboard with (write)',
		'ALL_NODES'=>'All nodes',
		'ALL_SERVICES'=>'All services',
		'ADM_NODE_PRINTER'=>'printer(s)',
		'ADM_ESIA_CONSUMPTION'=>'Consumption',
		'HOME_PAGE'=>'Home page',
		'ESIA_ADM_DEFAULT'=>'By default',
		'SELECT_DASHBOARD'=>'Select a dashboard',
		'URL_EXEMPLE_USER'=>'Example : /plugin/enterprise/enterprise_control.php?id=152',
		'ADM_LG_FRENCH'=>'French',
		'ADM_LG_ENGLISH'=>'English',
		'ADM_DELETE_GROUP_NODE'=>'Delete only the node group.',
		'ADM_DELETE_GROUP_NODE_ALL'=>'Delete the node group and everything it contains (node and node group).',
		'ADM_DELETE_GESA_NODE_ALL'=>'Also remove all nodes related to this unity ?',
		'DASHBOARD_MESSAGE'=>'Communication message',
		'DASHBOARD_MESSAGE_SELECTED'=>'Message type',
		'DASHBOARD_MESSAGE_NO_READ'=>'The number of unread message',
		'READ'=>'Message read',
		'MSG_NOT_READ'=>'Unread message(s)',
		'ADM_MSG_DELETE'=>'Delete message',
		'ADM_MSG_DELETE2'=>'Do you want delete this message ?',
		'ADM_MSG_DELETE_RIGHT'=>'Admin right required',
		'ADM_MSG_DELETE_OK'=>'Message deleted with succes',
		'ADM_MSG_READ_MSG'=>'Mark as read',
		'DASHBOARD_MESSAGE_TAB'=>'Table of messages',
		'DASHBOARD_IMAGE'=>'Logo',
		'DASHBOARD_UPL_IMG' => 'Upload new pictures',
		'DASHBOARD_ASK_DELETE_IMAGE_TEXT'=>'Do you want to delete this pictures ?',
		'DASHBOARD_DELETE_IMAGE_TEXT'=>'Picture successfully deleted',
		'GIVE_A_NAME' => 'Give a name please',
		'RDP_CONF' => 'Remote desktop configuration',
		'ALERT'=>'Alerts',
		'ADM_ADVANCE_NODE_ADD'=>'Add an advance config',
		'ADM_ADVANCE_NODE_ADD_SUCCESS'=> 'add advance configuration: success',
		'ADM_ADVANCE_NODE_ADD_FAILED'=> 'add advance configuration: failed',
		'ADM_ADVANCE_NODE_DELETE'=> 'Do you want to delete this advance configuration: ',
		'ADM_ADVANCE_NODE_DELETE_SUCCESS'=> 'delete advance configuration: success',
		'ADM_ADVANCE_NODE_DELETE_FAILED'=> ' delete advance configuration failed : ',
		'ADM_PLUGIN_SOFTWARE_ALERTING_SIMPLE'=>'Simple name',
		'ADM_PLUGIN_SOFTWARE_ALERTING_ACTION_GROUPED'=>'Action groups, select services and next update parameter',
		'ADM_PLUGIN_SOFTWARE_ALERTING_SELECT_ALL'=>'Select all',
		'ADM_PLUGIN_SOFTWARE_ALERTING_UPGRADE'	=> 'Upgrade',
		'ADM_PLUGIN_SOFTWARE_ALERTING_UPDATE_FAILED'=> 'Upgrade alerting software failed' ,
		'TYPE'=> 'Type' ,
		'TAG'=> 'Tag' ,
		'ADM_NODE_MODIF_ADVANCE'=> 'Advance parameter',
		'ADM_NODE_ADD_SERVICE_BYNAME'=>'By name',
		'ADM_NODE_ADD_SERVICE_BYTYPE'=>'By plugin type',
		'ADM_NODE_ADD_SERVICE_BYMANUFACTURER'=>'By manufacturer',
		'ADM_NODE_ADD_SERVICE_BYTAG'=>'By tag',
		'ADM_NODE_ADD_SERVICE_CHECKBOX_GESA'=>'Unity (gesa)',
		'ADM_NODE_ADD_SERVICE_CHECKBOX_SRV'=>'check',
		'ADM_NODE_ADD_SERVICE_CHECKBOX_TRAP'=>'trap SNMP',
		'ADM_NODE_ADD_SERVICE_CHECKBOX_MAN'=>'Management',
		'ADM_NODE_ADD_SERVICE_CHECKBOX_CORR'=>'Correlate',
		'ADM_NODE_ADD_SERVICE_TIPS'=>'Use the search fields to find the plugins associated with your nodes. <br /> For example: type "windows" to display plugins related to Microsoft Windows or select HP in the manufacturers. ',
		'ADM_NODE_ADD_SERVICE_FAST'=>'Quick add',
		'ADM_NODE_ADD_SERVICE_CONFIGURE'=>'Configure',
		'ADM_NODE_ADD_SERVICE_FAILED'=>'Service add failed',
		'ADM_RELOAD_NODE_SUCCESS'=> 'service reload success' ,
		'ADM_NODE_ADD_SERVICE_EXECUTE_SERVICE'=> 'Execute service' ,
		'ADM_NODE_ADD_SERVICE_EXECUTE_OUTPUT'=> 'Output' ,
		'ADM_NODE_UPDATE_SERVICE'=> 'service modification' ,
		'ADM_NODE_UPDATE_SERVICE_GENERAL'=> 'General information' ,
		'PLAN_DISPLAY_ICONS' => 'Icons show',
		'LOG' => 'Log',
		'GDPR_REGISTER' => 'GDPR register',
		'GDPR_ADD_NODE' => 'Add node: ',
		'GDPR_ADD_USER' => 'Add user: ',
		'GDPR_ADD_NODE_FINALITY' => 'Ensure supervision and condition of the equipment and applications present.',
		'GDPR_ADD_USER_FINALITY' => 'Create the access account allowing the user to connect in the future',
		'GDPR_DELETE_USER' => 'user delete ',
		'GDPR_DELETE_USER_FINALITY' => 'Remove user access and prevent it from connecting in the future',
		'GDPR_ADD_SERVICE' => 'Add monituring service: ',
		'GDPR_ADD_SERVICE_FINALITY' => 'Monitoring of service to have performance data and service status for technical diagnostic purposes',
		'GDPR_DELETE_SERVICE' => 'service monitoring delete: ',
		'GDPR_DELETE_SERVICE_FINALITY' => 'Performance data and error history have been removed',
		'GDPR_ACTION' => 'Action',
		'GDPR_TYPE' => 'Type of data',
		'GDPR_DESCRIPTION' => 'Description',
		'GDPR_FINALITY' => 'Treat ',
		'GDPR_REGISTER_ID' => 'Identifier',
		'GDPR_DELETE_NODE'=>'delete node: ',
		'GDPR_DELETE_NODE_FINALITY'=>'Delete of all service data, errors, graph, location and access to identified nodes',
		'ADM_NODE_RDP_ADVISE'=>"Warning, don't forget the 'http://' or 'https://' if you choose an URL",
		'ADM_PATTERN_UNLINK'      =>'Unlink',
		'ADM_PATTERN_UNLINK_CONFIRMED_1'=>'Do you want unlink the pattern ',
		'ADM_PATTERN_UNLINK_CONFIRMED_2'=>" of the node (this operation don't delete services) ?",
		'ADM_PATTERN_UNLINK_SUCCESS'=>'Pattern unlink successfull',
		'ADM_PATTERN_UNLINK_WITHSERVICES_SUCCESS'=>'Pattern unlink and services deleted successfull',
		'ADM_PATTERN_MOVE_NODES_MESSAGE'		=> 'You could choose multipes nodes to move into new pattern',
		'ADM_PATTERN_EXPORT_SERVICES_MESSAGE'	=> 'Select the services to add in the new pattern',
		'DASHBOARD_SELECT_SERVER'=>'Esia Server',
		'GROUP'			=> 'Group',
		'GROUPNODE_ROOT'=>'Root',
		'REALTIME_NEXTEXEC'=>'Next exec at',
		'REALTIME_SNMP_COUNTER_ALERT'=>'Warning, below 20 secondes any SNMP values can be bad',
		'REALTIME_START'=>'Starting real time exec',
		'REALTIME_START_VALUE'=>'Values all at ',
		'REALTIME_STOP'=>'Stop',
		'REALTIME_TOOLTIP'=>'2 or 3 exec are sometimes needed to see the graph',
		'DASHBOARD_WIDGET_GROUP_OTHER'=>'Other',
        'DASHBOARD_WIDGET_GROUP_STATE'=>'4 states',
        'DASHBOARD_WIDGET_GROUP_APPLICATIVE'=>'Applicative',
        'DASHBOARD_WIDGET_GROUP_SERVICE'=>'Service',
        'DASHBOARD_WIDGET_GROUP_TAB'=>'Table',
		'DASHBOARD_WIDGET_GROUP_ESIA_CRON'=>'EsiaCRON',
        'DASHBOARD_WIDGET_NODE_TYPE_4STATUS'=>'Show the following states,',
        'DASHBOARD_WIDGET_NODE_TYPE_OTHER'=>'Other display',
        'DASHBOARD_WIDGET_NODE_TYPE_STATUS'=>'Show only the state',
        'DASHBOARD_NODE_TYPE_TAB'=>'State - nodes type',
        'DASHBOARD_API_ALARM'=>'Esia API - Alert',
        'NETWORK_GIGUE'=>'Network IP of the MAC address',
        'GIGUE_WARNING'=>'Gigue Alert',
        'GIGUE_CRITICAL'=>'Gigue Critical',
		'SENSOR'=>'Sensor',
		'CONTACT_NORMAL_STATE'=>'Contact normally',
		'OPEN'=>'Open',
		'CLOSED'=>'Closed',
		'ALERT_TYPE'=>'Alert type',
		'WARNING_LOW'=>'Low warning',
		'WARNING_HIGH'=>'High warning',
		'CRITICAL_LOW'=>'Low critical',
		'CRITICAL_HIGH'=>'High critical',
		'FORM_RESET'=>'Reset form',
		'DASHBOARD_WIDGET_ALERT_SHOW_COLUMN'=>'Display columns:',
		'SUB_PORT'=>'Sub-port',
		'MODULE'=>'Module',
		'DEFAULT_TIME_FORMAT' => 'H:i:s',
		'DEFAULT_DATE_FORMAT' => 'd/m/Y',
		'DEFAULT_DATETIME_fORMAT' => 'H:i:s d/m/Y',
		'PROCESS' => 'Process',
		'LIMIT' => 'limit',
		'THREADS_SETTINGS_NUMBER' => 'Threads settings number',
		'ROUTER' => 'Router',
		'LAST_SEND' => 'Last send date',
		'TASK_CLEAN' => 'Task clean',
		'TASK_SIZE' => 'Task size',
		'CONNECTED_UNITY' => 'Connected unitys',
		'UNITY_LIST' => 'Unitys list',
		'ECATP_SYSTEM' => 'ECATP system',
		'SERVICE_TASKS' => 'Service tasks',
		'NEW_UNITY'     => 'New',
		'RUNNING'     => 'Running',
		'HALTED'     => 'Halted',
		'FULL_SCREEN' => 'Full Screen',
		'FULL_SCREEN_REDUCE' => 'Reduce Screen',
		'DASHBOARD_FLAG_NODE_STATE' => 'View linked to nodes',
		'DASHBOARD_FLAG_GROUPNODE_STATE' => 'View linked to group nodes',
		'DASHBOARD_FLAG_SERVICE_STATE' => 'View linked to services',
		'DASHBOARD_FLAG_PLUGIN_STATE' => 'View linked to plugins',
		'DASHBOARD_TOP_NODE_ERROR' => 'Top of node errors',
		'DASHBOARD_CONFIGURATION_WIDGET' => 'General settings',
		'DASHBOARD_DESC_STYLE' => 'Style',
		'DASHBOARD_PLUGIN_LINKED' => 'Linked plugins',
		'DASHBOARD_WIDGET_GROUP_FLAG' => '1 statut',
		'PIE' => 'Pie',
		'ERROR_LICENCE' => 'License not found. click $HERE$ to add a license file',
		'ERROR_LICENCE_OTHER' => 'Click $HERE$ to add a license file',
		'ERROR_LICENCE_HERE' => 'here',
		'UPLOAD_LICENCE_FILE' => 'Upload license file',
		'UPLOAD_LICENCE_FILE_ERR' => 'upload error',
		'UPLOAD_LICENCE_FILE_EXPIRED' => 'License expired',
		'UPLOAD_LICENCE_NOT_FOUND' => 'License file not found',
		'UPLOAD_LICENCE_UPLOAD_SUCCESS' => 'License loaded and activated successfully.<br /> The system will start in 5 minutes.',
		'LICENCE_WILL_EXPIRE' => 'Your license will expire on ',
		'LICENCE_EXPIRED' => 'License expired',
		'LICENCE_ID' => 'License ID',
		'LICENCE_TYPE' => 'License type',
		'LICENCE_NODE_NUMBER' => 'Number of nodes',
		'LICENCE_PARTNERS' => 'Resellers partners',
		'LICENCE_EXPIRE' => 'Expiration date',
		'LICENCE_INFORMATION' => 'License information',
		'LICENCE_ACTIVATED_FAILED' => 'The license could not be activated',
		'LICENCE_INSTALL_CORRUPT' => 'The installation of your server is not compliant contact support.',
		'LICENCE_MAXIMUN' => 'Supervisable node limit almost reached.',
		'LICENCE_MAXIMUN_EXCEEDED' => 'Node limit is exceeded',
		'GESA_STATUS' => 'Statut',
		'GESA_CONNECTED' => 'Connected',
		'GESA_DISCONNECTED' => 'Disconnected',
		'NODE_INDEX_NO_SCREEN_GROUPNODE' => 'Vision is not available for node groups',
		'LOCAL_INSTANCE' => 'Local instance',
		'REMOTE_INSTANCE_MERCURY' => 'Nodes on Mercury - client',
		'REMOTE_INSTANCE' => 'remote instance',
		'ADM_ACCESS_GLOBAL' => 'Global',
		'ADM_ACCESS_NODE' => 'Node',
		'ACCESS_ESIA_ADMINISTRATION' => 'Global access to the Esia administration interface',
		'ACCESS_ESIA_DEVICE' => 'Allows creation, modification of nodes and addition of service',
		'ACCESS_ESIA_GROUPS' => 'Management of user groups (creation/modification/deletion)',
		'ACCESS_ESIA_USERS' => 'Management of user (creation/modification/deletion)',
		'ACCESS_ESIA_ACCESS' => 'Management of access (obsolete)',
		'ACCESS_DEVICE_VIEW' => 'Read permission to node status',
		'ACCESS_ACQUIT_ACCESS' => 'Authorizes to acknowledge services in error',
		'ACCESS_ESIA_MAINTENANCE' => 'Authorize maintenance of nodes/services',
		'ACCESS_ESIA_USER_SHARE_DASHBOARD' => 'Allow dashboard sharing',
		'RING' => 'Ring',
		'SQUARE' => 'Square',
		'DIAMOND' => 'Diamond',
		'DASHBOARD_SHOW_UNKNOWN' => 'Display unknowns, maintenances and acknowledged errors',
		'DASHBOARD_BLINK' => 'Blink Errors',
		'DASHBOARD_GRAPHIC_SERV_GAUGE' => 'Service gauge',
		'MINIMUN' => 'Minimum value',
		'MAXIMUN' => 'Maximum value',
		'DASHBOARD_TAB_SERVICE' => 'Status service (page: control)',
		'DASHBOARD_LINK_SHARE_GENERATE' => 'Generate',
		'DASHBOARD_LINK_SHARE_REGENERATE' => 'Regenerate',
		'DASHBOARD_LINK_SHARE_MASK_USER' => 'Hidden user',
		'DASHBOARD_USER_TIPS' => 'The user who accesses via the link will have the same access rights as the specified user.<br /> Users of the root group or with the "esia_administration" right cannot be selected.',
		'DASHBOARD_USER_TIPS2' => '<br />Create a user in the "default_read_access" group for access to all read nodes',
		'DASHBOARD_LINK_GENERATE' => 'Here is the public dashboard access link',
		'DASHBOARD_LINK_USER_UNAVAILABLE' => 'No user has the required rights.',
		'DASHBOARD_LINK_COPY' => 'Copy link',
		'DASHBOARD_LINK_SHARE' => 'Share with public link',
		'DASHBOARD_LINK_DEL' => 'Delete link',
		'DASHBOARD_LINK_SUCCESS' => 'Link generated successfully',
		'DASHBOARD_LINK_DELETE' => 'Do you want to remove access to the dashboard by public link?',
		'DASHBOARD_LINK_DELETE_SUCCESS' => 'Link deleted successfully',
		'WIDGET_TOP_NODE_ERROR_INTERVAL' => 'Number of days taken into account',
		'WIDGET_TOP_NODE_ERROR_LIMIT' => 'Number of node displayed',
		'WIDGET_TOP_NODE_ERROR_NUMBER' => 'Number of errors',
		'DASHBOARD_WIDGET_VALUE_FONTSIZE' => 'Font size (in px)',
		'DASHBOARD_WIDGET_VALUE_FONTSIZE_INFO' => '0 for automatic mode. <br />If the value is less than 10, Esia automatically returns 0',
		'GRAPH_DATE_START' => 'Start date',
		'GRAPH_DATE_END' => 'End date',
		'GRAPH_SELECT_SERVICE' => 'Select the services to display',
		'GRAPH_SELECT_PARAMETER' => 'Graphics setting',
		'DASHBOARD_SHIELD' => 'View Shield',
		'DASHBOARD_SHIELD_TOP_LEFT' => 'Top left',
		'DASHBOARD_SHIELD_TOP_RIGHT' => 'Top right',
		'DASHBOARD_SHIELD_BOTTOM_LEFT' => 'Bottom left',
		'DASHBOARD_SHIELD_BOTTOM_RIGHT' => 'Bottom right',
		'DASHBOARD_SHIELD_BOTTOM_CENTER' => 'Bottom',
		'DASHBOARD_SHIELD_FIRST_LOCATION' => 'First location',
		'DASHBOARD_SHIELD_SECOND_LOCATION' => 'Second location',
		'DASHBOARD_SHIELD_THIRD_LOCATION' => 'Third location',
		'SELECT_ELEMENT' => 'Select element',
		'ESIAVOYAGER' => 'Esia Voyager',
		'ADM_SNMP_PORT' => 'SNMP Port',
		'ADM_GROUP_SEARCH_TIPS' => 'The search is activated from the third character. Reset the field to 0 to redisplay everything ',
		'DASHBOARD_WIDGET_CALC' => 'Calculation to be applied to the value',
		'DASHBOARD_WIDGET_VALUE_CALC_INFO' => 'Select the operator and the value to recalculate the displayed value',
		'DASHBOARD_WIDGET_GRAPH_RRA' => 'Graphic file',
		'DASHBOARD_WIDGET_GRAPH_RRA_SELECT_ALL' => 'All',
		'ERROR_REACTIVATE' =>'Error reactivated',
		'DASHBOARD_WIDGET_GROUP_INVENTORY'=>'Inventory',
		'DASHBOARD_INVENTORY_NODE'=>'Nodes inventory',
		'DASHBOARD_INVENTORY_GROUP_NODE'=>'Groups nodes inventory',
		'DASHBOARD_INVENTORY_GLOBAL'=>'Global inventory',
		'DASHBOARD_INVENTORY_OS'=>'Operating system',
		'DASHBOARD_INVENTORY_SOFTWARE'=>'Software',
		'DASHBOARD_INVENTORY_HARDWARE'=>'Hardware',
		'DASHBOARD_INVENTORY_CHASSIS'=>'Chassis',
		'DASHBOARD_INVENTORY_ALL_HARDWARE'=>'All hardwares',
		'DASHBOARD_INVENTORY_ALL_SOFTWARE'=>'All softwares',
		'DASHBOARD_INVENTORY_ALL'=>'All ',
		'DASHBOARD_INVENTORY_CHOICE_TARGET'=>'Target selection',
		'DASHBOARD_INVENTORY_R_GLOBAL'=>'Global inventory rule',
		'DASHBOARD_INVENTORY_R_NODE'=>'Nodes inventory rule',
		'DASHBOARD_INVENTORY_R_GR_NODE'=>'Groups nodes inventory rule',
		'DATE_EXEC'=>'Last execution date',
		'NODE_GROUP' => 'Group of node',
		'ENABLED' => 'Enabled',
		'DISABLED' => 'Disabled',
		'GESATYPE'=>'GESA type',
		'SERIALNUMBER'=>'Serial number',
		'SELECT_ALL_VISIBLE_INFO' => 'Only the elements visible on this pagination will be taken into account',
		'RRD_GRAPH_TYPE_AREA' => 'Area - interpolation (curves)',
		'RRD_GRAPH_TYPE_AREA2' => 'Area - sequential (spikes)',
		'RRD_GRAPH_TYPE_LINE1' => 'Line - interpolation (curves)',
		'RRD_GRAPH_TYPE_LINE2' => 'Line - sequential (spikes)',
		'ADM_PLUGIN_RRD_VALUES' => 'Graphics values',
		'ADM_PLUGIN_RRD_VALUES_EMPTY' => 'There is no graphics values for this service',
		'ADM_RRD_VAL_UNIT' => 'Unit',
		'ADM_RRD_VAL_MIN' => 'Minimum value',
		'ADM_RRD_VAL_MAX' => 'Maximum value',
		'ADM_RRD_VAL_TYPE' => 'Type',
		'ADM_RRD_VAL_COLOR' => 'Color',
		'ADM_RRD_FAIL_UPD_DATA' => 'RRD data to update are missing',
		'ADM_PLUGIN_GRAPH_RANDOM_HELPER' => 'The data in this chart are randomly generated',
		'INFINITE' => 'Infinite',
		'GESA_STATUS_WAITING' => 'Gesa',
		'GESA_STATUS_CONNECTED' => 'Gesa connected',
		'GESA_STATUS_DISCONNECTED' => 'Gesa disconnected',
		'GESA_STATUS_NEW' => 'New Gesa',
		'COPY' => 'Duplicate',
		'DASHBOARD_COPY' => 'Duplicate dashboard',
		'DASHBOARD_ACCESS_COPY' => 'Access right to the future dashboard',
		'GROUP_DEVICE_PATH' => 'Access path',
		'DASHBOARD_DEVICE_TYPE_ALL'	=> 'Select all',
		'DASHBOARD_DEFAULT_SERVICE_STATUS'	=> 'Services state',
		'DASHBOARD_DEFAULT_SERVICE_STATUS_DESCR'=> 'State of all your ESIA services',
		'DASHBOARD_DEFAULT_ESIA_STATUS'=> 'Esia server status',
		'DASHBOARD_DEFAULT_ESIA_STATUS_DESCR'=> 'Local state of your ESIA instance',
		'DASHBOARD_DEFAULT_CURRENT_ALERT'=> 'Current alerts',
		'DASHBOARD_DEFAULT_TOP'=> 'Top 10 nodes in error',
		'DASHBOARD_DEFAULT_TOP_DESCR'=> 'Top nodes that generated the most errors over 24 hours',
		'DAHSBOARD_DEFAULT_SECTION'=> 'Default',
		'DAHSBOARD_RSS_CHANNEL'=> 'RSS channel',
		'DAHSBOARD_RSS_SELECT'=> 'RSS channels to display',
		'DAHSBOARD_RSS_SELECT_ALL'=> 'All',
		'DAHSBOARD_RSS_DATE_PUBLISH'=> 'Publish date',
		'DAHSBOARD_RSS_AUTHOR'=> 'Author',    
		'DAHSBOARD_RSS_SELECT_FILTER'=> 'Select filter',
		'DAHSBOARD_RSS_SELECT_FILTER_CATE'=> 'By category',
		'DAHSBOARD_RSS_SELECT_FILTER_CHAN'=> 'By channel',
		'DAHSBOARD_LINK_NETSCAN'=> 'Network scanner',
		'DAHSBOARD_LINK_ADMINISTRATION'=> 'Nodes administration',
		'RSS_ADMINISTRATION'=> 'RSS feeds administration',
		'RSS_CHANNEL'=> 'RSS channel',
		'RSS_CHANNEL_NAME'=> 'Channel name',
		'RSS_CHANNEL_ADD'=> 'Add channel',
		'RSS_MESSAGE'=> 'RSS messages',
		'RSS_DESCRIPTION'=> 'Description',
		'RSS_LAST_PUBLISH'=> 'Latest publish',
		'RSS_TYPE'=>'Type',
		'RSS_TYPE_REMOTE'=>'Remote',
		'RSS_TYPE_LOCAL'=>'Server',
		'RSS_URL'=>'URL',
		'RSS_CATEGORY_ADM'=>'Categories administration',
		'RSS_CATEGORY'=>'Category',
		'RSS_CATEGORY_CHANGE'=>'Modify category',
		'RSS_CATEGORY_ADD'=>'Add category',
		'RSS_CATEGORY_CHANNEL'=>'Channel category',
		'RSS_CATEGORY_MESSAGE'=>'Message category',
		'RSS_CATEGORIES'=>'Categories',
		'RSS_CATEGORY_NAME'=>'Category name',
		'RSS_MESSAGE'=>'Message details',
		'RSS_SELECT_MESSAGE'=>'Select a message',
		'RSS_FEED_EMPTY_MESSAGE'=>'No messages in this feed',
		'RSS_LINK_OUT'=>'To the full news',
		'RSS_WRITE'=>'Posted',
		'RSS_WRITE_BY'=>'by',
		'RSS_WRITE_AT'=>'on',
		'RSS_FEED'=>'RSS feed',
		'RSS_FLOW'=>'RSS feed',
		'RSS_ADM_CHANGE'=>'RSS feed modification',
		'RSS_ADM_DELETE'=>'RSS feed deletion',
		'RSS_LANG'=>'RSS feed language',
		'RSS_IMAGE'=>'Default feed image',
		'RSS_MESSAGE_ADM'=>'Messages administration',
		'RSS_MESSAGE_POST'=>'Post a message',
		'RSS_MESSAGE_IMAGE'=>'Images',
		'RSS_MESSAGE_POST_SUCCESS'=>'Message posted successfully',
		'RSS_ENABLE'=>'Enable',
		'RSS_DISABLE'=>'Disable',
		'RSS_ADD_SUCCESS'=>'RSS feed added successfully',
		'RSS_UPDATE_SUCCESS'=>'RSS feed updated successfully',
		'RSS_DELETE_CATEGORY_MESSAGE'=>'Do you want to delete the category&nbsp;: ',
		'RSS_DELETE_CATEGORY'=>'Deleting a category ',
		'RSS_DELETE_MESSAGE'=>'Do you want to delete the feed&nbsp;: ',
		'RSS_DELETE_SUCCESS'=>'RSS feed deleted successfully',
		'RSS_CHANNEL_ACTIVATE'=>'Enable RSS feed (overall for the platform)',
		'RSS_CHANNEL_URLACCESS'=>'URL to access your RSS feed',
		'RSS_CHANNEL_SHOWALL'=>'All feeds',
		'RSS_CHANNEL_SUSCRIBE_GROUP'=>'Subscriber user group',
		'RSS_CHANNEL_SUSCRIBE_GROUP_NO'=>'No user groups are subscribed',
		'RSS_CHANNEL_SUSCRIBE_GROUP_ALL'=>'All user groups are subscribed',
		'RSS_MESSAGE_READ_MARK'=>'Mark message as read',
		'RSS_MESSAGE_READ_MARK_ALL'=>'Mark all messages as read',
		'RSS_MESSAGE_NOTREAD_MARK'=>'Mark message as unread',
		'RSS_MESSAGE_NOTREAD_MARK_ALL'=>'Mark all messages as unread',
		'RSS_CHANNEL_SUBSCRIBE'=>'Subscribe to a feed',
		'RSS_CHANNEL_SUBSCRIBE_FORM'=>'Subscribe',
		'RSS_CHANNEL_SUBSCRIBE_SUCCESS'=>'You are now subscribed to the selected feed ',
		'RSS_CHANNEL_UNSUBSCRIBE'=>'Unsubscribe',
		'RSS_CHANNEL_UNSUBSCRIBE_MESSAGE'=>'Do you want to unsubscribe from the following feed&nbsp;: ',
		'RSS_CHANNEL_UNSUBSCRIBE_SUCCESS'=>'You are now unsubscribing from this feed ',
		'RSS_STATE_READ' => 'Read',
		'RSS_STATE_NOTREAD' => 'Unread',
		'RSS_ADM_MESSAGES_NO_LOCAL_CHANNELS' => 'There is no server channel. Please create a server type channel first to be able to post messages.',
		'LIMIT_REACHED' => 'Limit reached',
		'DASHBOARD_RSS_ESIA_MSG' => 'Esia message',
		'DASHBOARD_RSS_NOREAD_MSG' => 'Unread RSS message',
		'ADM_RSS_PURGE_MESSAGE'=>'Deleting messages (day)',
		'DASHBOARD_CRON' => 'CRON tasks status',
		'DASHBOARD_CRON_DESC' => 'Status of scheduled server tasks',
		'DASHBOARD_CRON_ERROR' => 'Listed view of scheduled tasks',
		'DASHBOARD_CRON_STATE' => 'Four states view of scheduled tasks',
		'DASHBOARD_CRON_STATE_DAY_NUMBER' => 'Number of days',
		'DASHBOARD_CRON_STATE_LINE_NUMBER' => 'Number of lines',
		'CRON_INVENTORY_RULES' => 'Inventory rule task',
		'CRON_INVENTORY_IMPORT_SNMP' => 'Inventory SNMP import task',
		'CRON_EGIDE_SCAN_GET' => 'Egide scanner fetch task',
		'CRON_EGIDE_SCAN_START' => 'Egide scanner startup task',
		'CRON_RSS_SYNCHRONIZATION' => 'RSS feed synchronization task',
		'DASHBOARD_HOME_NEW'=>'Home',
		'DASHBOARD_HOME_NEW_OLD'=>'Home (old school)',
		'DASHBOARD_USER_GROUP_MAN'=>'Users & Groups',
		'DASHBOARD_UNITY_CONFIG'=>'Unity configuration',
		'BAD_LICENCE_NUMBER'=>'Your Egide license does not have a number of nodes equivalent to your Mercury license',
		'BAD_LICENCE_TYPE'=>'You do not have a Mercury license, so you cannot activate Egide ',
		'BAD_LICENCE_EGIDE'=>'You do not have the required license for this feature. License required&nbsp;: ',
		'ADM_ESIA_URL'=>'Access URL to your ESIA server ',
		'ADM_ADM_RSS_DELETE_MSG'=>'Do you want to delete the message:',
		'ADM_ADM_RSS_DELETE_MSG_SUCCESS'=>'Message deleted successfully',
		'DASHBOARD_ONLY'=>'Only the dashboard is accessible',
));
?>
