//création d'un espace de nom pour les événements  
var Events = [];  
//  
Events.addEvent = function(elem,_type,_delegate,_capture)  
{  
  if(elem)  
  {  
 
    if (elem.addEventListener)     
    {  
      elem.addEventListener (_type,_delegate,_capture);  
    } 
    else if (elem.attachEvent)   
    {  
      elem.attachEvent ("on"+_type,_delegate);   
    } 
    else    
    {  
      elem["on"+_type] = _delegate;  
    }  
  }  
}
Events.removeEvent = function(elem,_type,_delegate,_capture)  
{  
  if(elem)  
  {  
    if (elem.removeEventListener)   
    {  
      elem.removeEventListener (_type,_delegate,_capture);  
    }  
    else if (elem.detachEvent)  
    {  
      elem.detachEvent ("on"+_type,_delegate);  
    }   
    else  
    {  
      elem["on"+_type] = null;  
    }  
  }  
}  
Events.offset_X = function(el,event){
   if(event.offsetX) return event.offsetX;
   var ox = -el.offsetLeft;
   while(el=el.offsetParent){ ox += el.scrollLeft - el.offsetLeft; }
   return event.clientX + ox;
}
Events.offset_Y= function(el,event){
   if(event.offsetY) return event.offsetY;
   var oy = -el.offsetTop;
   while(el=el.offsetParent){ oy += el.scrollTop - el.offsetTop; }
   return event.clientY + oy;
}  