
//création d'un espace de nom pour les utilitaires  
var Utils = [];  
Utils.XHRequest = function()  
{  
  if (window.XMLHttpRequest) 
  {
  	xhr = new XMLHttpRequest();
  }
  else 
  {
  	if (window.ActiveXObject)
  	{
  		xhr = new ActiveXObject('Microsoft.XMLHTTP');
  	}
  	else 
  	{	
  		alert('JavaScript : votre navigateur ne supporte pas les objets XMLHttpRequest...');
  		return(false);
  	}
  }
  return xhr;
}
Utils.DOMImplementation = function() {
	var dom;
	if (window.ActiveXObject) 
	{
		dom = new ActiveXObject("Microsoft.XMLDOM");
	}
	else if (document.implementation && document.implementation.createDocument) {
		dom = document.implementation.createDocument("", "", null);
	}	
	else {
		alert("Votre navigateur ne gère pas l'importation de fichiers XML");
		return(false);
	}
	return dom;
}
Utils.getHistoric =  function(nodeid,elementid) {
    xhr = Utils.XHRequest();
    xhr.open( "GET", "/node_control.php?id="+nodeid+"&action=historic",  true); 
    xhr.onreadystatechange  = function()
    { 
         if(xhr.readyState  == 4)
         {
              if(xhr.status  == 200) 
                 document.getElementById(elementid).innerHTML =xhr.responseText; 
         }
    };   
   xhr.send(null); 
}
Utils.getHistoric =  function(nodeid,elementid,service) {
    xhr = Utils.XHRequest();
    xhr.open( "GET", "/node_control.php?id="+nodeid+"&action=historic&service="+service,  true); 
    xhr.onreadystatechange  = function()
    { 
         if(xhr.readyState  == 4)
         {
              if(xhr.status  == 200) 
                 document.getElementById(elementid).innerHTML =xhr.responseText; 
         }
    };   
   xhr.send(null); 
}
Utils.getServiceState  =  function(nodeid,elementid) {
	if(elementid.charAt(0)!='#')
	{
		elementid = '#'+elementid;
	}
	var ajaxservice = $.ajax({url:'/node_control.php',
		type : 'GET',
		data : 'id='+nodeid,
		dataType : 'html'
		});
	ajaxservice.done(function(code_html, statut)
	{  
				 $(elementid).empty();
				 $(elementid).append(code_html);
	});
}
Utils.getGraph =  function(nodeid,elementid) {
	if(elementid.charAt(0)!='#')
	{
		elementid = '#'+elementid;
	}
	var ajaxgraph = $.ajax({url:'/node_graph.php',
		type : 'GET',
		data : 'id='+nodeid+"&divid="+elementid,
		dataType : 'html'
		});
	ajaxgraph.done(function(code_html, statut)
			{  
				 $(elementid).empty();
				 $(elementid).append(code_html);


			});
}
Utils.getGraph =  function(nodeid,elementid,param,lhour,lday,lweek,lmonth,lyear) {
    xhr = Utils.XHRequest();
    xhr.open( "GET", "/node_graph.php?id="+nodeid+"&divid="+elementid+"&"+param,  true); 
    xhr.onreadystatechange  = function()
    { 
         if(xhr.readyState  == 4)
         {
              if(xhr.status  == 200) 
				{
                 document.getElementById(elementid).innerHTML =xhr.responseText; 
                 elem = param.split("=");
                 Utils.generateRrdGraph(elem[2],lday,lweek,lmonth,lyear,lhour);

				}
         }
    };
   xhr.send(null); 
}
Utils.acquitteError =  function(nodeid,elementid,error,serviceid)
{
	var serviceid = serviceid || 0;
	var error = error || 0;
	//on acquitte les erreurs
	if(serviceid==0 && error !=0)
	{
			$.ajax({url:'/node_control.php',
				type : 'GET',
				data : 'id='+nodeid+'&action=acquitte&error='+error,
				dataType : 'html',
				success : function(code_html, statut)
				{  
					$('#'+elementid).html(code_html);			
				}
			});
	}
	else if(serviceid==0 && error ==0)
	{
		//on acquitte toutes les erreurs
		$.ajax({url:'/node_control.php',
			type : 'GET',
			data : 'id='+nodeid+'&action=acquitte',
			dataType : 'json',
			success : function(data)
			{  
				$('#'+elementid).html(data.text);
	            if('error' in data)
	            {
	            	$('#'+elementid).removeClass();
	            	$('#'+elementid).addClass("EventCritical");
	            }
	            else
	            {
	            	$('#'+elementid).removeClass();
	            	$('#'+elementid).addClass("EventOK");
	            	$('#serviceState .tdstate ').each(function() 
	            	{
	            		let state = $( this ).attr('data-state');
	            		if(state != 0)
	            		{
							$(this).removeClass();
							$(this).addClass("EventPending");	
							
							let tdid = $(this).attr('id').match(/\-([0-9]*)$/m);
							let serviceid = tdid[1];
							$('#service-ack-'+serviceid+' img').attr('src','/theme/default/images/icn_errors_nack.png');
							$('#service-ack-'+serviceid).attr('title',data.title);
							$(this).attr('data-state',0);
	            		}
	            	});
	            }
			}
		});
	}
	else
	{
		let realstate = $('#td-state-'+serviceid).attr('data-realstate');
		let state = $('#td-state-'+serviceid).attr('data-state');
		if(realstate != 0 && state == 0)
		{
			//on réactive les erreurs
			$.ajax({url:'/node_control.php',
				type : 'GET',
				data : 'id='+nodeid+'&action=cancel_acquit&service='+serviceid,
				dataType : 'json',
				success : function(data)
				{  
					$('#'+elementid).html(data.text);
		            if('error' in data)
		            {
		            	$('#'+elementid).removeClass();
		            	$('#'+elementid).addClass("EventCritical");
		            }
		            else
		            {
		            	$('#'+elementid).removeClass();
		            	$('#'+elementid).addClass("EventOK");
						$('#td-state-'+serviceid).removeClass();
						if(realstate==2)
						{
							$('#td-state-'+serviceid).addClass("EventCritical");
						}
						else if(realstate==1)
						{
							$('#td-state-'+serviceid).addClass("EventWarning");
						}
						else if(realstate==3)
						{
							$('#td-state-'+serviceid).addClass("EventUnknown");
						}
						$('#service-ack-'+serviceid+' img').attr('src','/theme/default/images/icn_errors_ack.png');
						$('#service-ack-'+serviceid).attr('title',data.title);
						$('#td-state-'+serviceid).attr('data-state',realstate);
					}
				}
			});
		}
		else
		{
			$.ajax({url:'/node_control.php',
				type : 'GET',
				data : 'id='+nodeid+'&action=acquitte&service='+serviceid,
				dataType : 'json',
				success : function(data)
				{  
					$('#'+elementid).html(data.text);
		            if('error' in data)
		            {
		            	$('#'+elementid).removeClass();
		            	$('#'+elementid).addClass("EventCritical");
		            }
		            else
		            {
		            	$('#'+elementid).removeClass();
		            	$('#'+elementid).addClass("EventOK");
						$('#td-state-'+serviceid).removeClass();
						$('#td-state-'+serviceid).addClass("EventPending");	
						$('#service-ack-'+serviceid+' img').attr('src','/theme/default/images/icn_errors_nack.png');
						$('#service-ack-'+serviceid).attr('title',data.title);
						$('#td-state-'+serviceid).attr('data-state',0);
		            }

				}
			});
		}
	}
}
Utils.convertByte = function (d)
{
	if(d == 0) return '0';
	var k = 1024,
    dm = 0 + 1 || 3,
    sizes = [' ', 'K', 'M', 'G', 'T', 'P', 'E', 'Z', 'Y'],
    i = Math.floor(Math.log(d) / Math.log(k));
    if(sizes[i]==undefined)
	{
			return d;
	}
    else
	{
	return parseFloat((d / Math.pow(k, i)).toFixed(dm)) + ' ' + sizes[i];
	}
}
Utils.convertBits = function (d) {
	if(d == 0) return '0';
	var k = 1000,
    dm = 0 + 1 || 3,
    sizes = [' ', 'K', 'M', 'G', 'T', 'P', 'E', 'Z', 'Y'],
    i = Math.floor(Math.log(d) / Math.log(k));
    if(sizes[i]==undefined)
	{
			return d;
	}
    else
	{
	return parseFloat((d / Math.pow(k, i)).toFixed(dm)) + ' ' + sizes[i];
	}
}
/**
 * @brief Génère un graphique en donuts
 * @detail Va générer un graphique sous forme de donuts dans le DIV "bind", avec une animation qui chargera le graphique après "time" millisecond
 * @param Array "dataVide" Tableau de chaque part du donuts où les valeurs sont égales à 0 (pour permettre l'animation)
 * @param Array "data" Tableau de chaque part du donuts avec les valeurs réelles
 * @param String "bind" ID du div où le graphique apparaîtra
 * @param Boolean "legend" Indique si oui ou non la légende doit apparaitre
 * @param Int "time" Après combien de temps l'animation doit se faire (en milliseconds)
 * @param Int pwidth taille du trait du donut (default: auto)
 * @param Int pheight taille du conteneur  (default: undifined)
 * @param String from Depuis où l'appel se fait  (default: other)
 */
Utils.generateDonuts = function(dataVide,data,bind,legend,time,pwidth,pheight,from) {
	
	if(!pwidth){ pwidth="auto"; }
	if(!pheight){ pheight=undefined; }
	if(!from){ from="other"; }

	var arr = {label: {show: true}};
	if(pwidth !='auto')
	{
		arr = {	width:pwidth,label: {show: false}};
	}
	var chart = bb.generate({
	    bindto: '#'+bind,
	    data: {
    		columns: dataVide,
			type:'donut'
		},
		color: {
			  pattern: ['#83bc00', '#ffcb1f', '#da002e', '#575759', '#3263c5']
			},
	    transition: {
		  duration: 500
		},
		legend: {
		  show: legend
		},
		donut: arr,
		size: {
		  height: pheight
		},
		tooltip: {
	        format: {
	            value: function (value, ratio, id) {
	                var format = d3.format(',');
	                if(from!="")
	                {
		                var msg = "OK";
		                if(id != "OK") {
			                var tip = $.ajax({ method: "GET",
				         			async:false,
				         			url: from,
				         			data: { id: bind.substring(5), action:'getInfoDonut', status:id},
				         			dataType: "html"});
				         	tip.done(function( msg2 ) {
				         		msg2 = msg2.trim();
				         		msg = msg2.substring(0, msg2.length-1);
				         		  });
		                }
		                return msg;
		            }else{
		               	return format(value);
		            }
	            }
	        }
	    }
	});
	setTimeout(function () {
	    chart.load({
	    	columns: data
	    });
	}, 100);
}
Utils.generatePieDashboard = function(dataVide,data,bind,legend,time,pwidth,pheight,from) {
	
	if(!pwidth){ pwidth="auto"; }
	if(!pheight){ pheight=undefined; }
	if(!from){ from="other"; }

	var arr = {label: {show: true}};
	if(pwidth !='auto')
	{
		arr = {	width:pwidth,label: {show: false}};
	}
	var chart = bb.generate({
	    bindto: '#'+bind,
	    data: {
    		columns: dataVide,
			type:'pie'
		},
		color: {
			  pattern: ['#83bc00', '#ffcb1f', '#da002e', '#575759', '#3263c5']
			},
	    transition: {
		  duration: 500
		},
		legend: {
		  show: legend
		},
		pie: arr,
		size: {
		  height: pheight
		},
		tooltip: {
	        format: {
	            value: function (value, ratio, id) {
	                var format = d3.format(',');
	                if(from!="")
	                {
		                var msg = "OK";
		                if(id != "OK") {
			                var tip = $.ajax({ method: "GET",
				         			async:false,
				         			url: from,
				         			data: { id: bind.substring(5), action:'getInfoDonut', status:id},
				         			dataType: "html"});
				         	tip.done(function( msg2 ) {
				         		msg2 = msg2.trim();
				         		msg = msg2.substring(0, msg2.length-1);
				         		  });
		                }
		                return msg;
		            }else{
		               	return format(value);
		            }
	            }
	        }
	    }
	});
	setTimeout(function () {
	    chart.load({
	    	columns: data
	    });
	}, 100);
}
/**
 * @brief Génère un graphique en donuts
 * @detail Va générer un graphique sous forme de donuts dans le DIV "bind", avec une animation qui chargera le graphique après "time" millisecond
 * @param Array "dataVide" Tableau de chaque part du donuts où les valeurs sont égales à 0 (pour permettre l'animation)
 * @param Array "data" Tableau de chaque part du donuts avec les valeurs réelles
 * @param String "bind" ID du div où le graphique apparaîtra
 * @param Boolean "legend" Indique si oui ou non la légende doit apparaitre
 * @param Int "time" Après combien de temps l'animation doit se faire (en milliseconds)
 * @param Int pwidth taille du trait du donut (default: auto)
 * @param Int pheight taille du conteneur  (default: undifined)
 * @param String from Depuis où l'appel se fait  (default: other)
 */
Utils.generateDonutsStatic = function(data,bind,legend,pwidth,pheight) {
	
	if(!pwidth){ pwidth="auto"; }
	if(!pheight){ pheight=undefined; }

	var arr = {label: {show: true}};
	if(pwidth !='auto')
	{
		arr = {	width:pwidth,label: {show: false}};
	}
	var chart = bb.generate({
	    bindto: '#'+bind,
	    data: {
    		columns: data,
			type:'donut'
		},
		color: {
			  pattern: ['#83bc00', '#ffcb1f', '#da002e', '#575759', '#3263c5']
			},
		legend: {
		  show: legend
		},
		size: {
		  height: pheight
		},
		tooltip: {
	        format: {
	            value: function (value, ratio, id) {
	                	var format = d3.format(',');
		               	return format(value);
		            }
	            }
	        }
	});
}
/**
 * @brief Génère un graphique en donuts
 * @detail Va générer un graphique sous forme de donuts dans le DIV "bind", avec une animation qui chargera le graphique après "time" millisecond
 * @param Array "dataVide" Tableau de chaque part du donuts où les valeurs sont égales à 0 (pour permettre l'animation)
 * @param Array "data" Tableau de chaque part du donuts avec les valeurs réelles
 * @param String "bind" ID du div où le graphique apparaîtra
 * @param Boolean "legend" Indique si oui ou non la légende doit apparaitre
 * @param Int "time" Après combien de temps l'animation doit se faire (en milliseconds)
 * @param Int pwidth taille du trait du donut (default: auto)
 * @param Int pheight taille du conteneur  (default: undifined
 */
Utils.generateGauge = function(data,bind,legend,time,pwidth,pheight) {
	
	
	if(!pwidth){ pwidth="auto"; }
	if(!pheight){ pheight=undefined; }

	var chart = bb.generate({
		bindto: '#'+bind,
		data: {
			columns: [[legend, 0]],
			type:"gauge"
			},
		color: {
			pattern: ["#83bc00","#ffcb1f","#da002e", "#575759", "#3263c5"]
			},
		size: {
		  height: pheight
		},
		gauge: {
			label:{
				format: function(value, ratio){
					return value;
				},
			},
			min: 0,
			max: 100,
			units: "%" 
		},
		legend: {
			show: legend
		},
		tooltip: {
			format: {
				value: function (value, ratio, id) {
					var format = d3.format(',');
					return format(value);
				}
			}
		}
	});
	setTimeout(function () {
	    chart.load({
	    	columns: [[legend,data]]
	    });
	}, time);

}
Utils.generateGaugeThreshold = function(data,bind,legend,threshold,pheight) {

	var chart = bb.generate({
		bindto: '#'+bind,
		data: {
			columns: [data],
			type:"gauge"
			},
		color: {
			pattern: ["#83bc00","#ffcb1f","#da002e"],
			threshold: { values:threshold}
			},
		gauge: {
			label:{
				format: function(value, ratio){
					return value+'%';
				},
			},
			min: 0,
			max: 100
		},
		legend: {
			show: legend
		},
		size: {
			  height: pheight
			},
		tooltip: {
			format: {
				value: function (value, ratio, id) {
					var format = d3.format(',');
					return format(value);
				}
			}
		}
	});	
}
Utils.generateGaugeDashboard = function(data,bind,color,valunit,min,max)
{
    var valunit = (typeof valunit !== 'undefined') ? valunit : '%';
    var min = (typeof min !== 'undefined') ? min : 0;
    var max = (typeof max !== 'undefined') ? max : 100;
	var chart = bb.generate({
		bindto: '#'+bind,
		data: {
			columns: [data],
			type:"gauge"
			},
		color: {
			pattern: [color],
			},
		gauge: {
			label:{
				format: function(value, ratio)
				{
					if(valunit == 'B')
					{
						value = Utils.convertByte(value);
					}
					else if(valunit == 'bps')
					{
						value = Utils.convertBits(value);
					}
					return value+valunit;
				}
			},
			min: min,
			max: max,
		},
		tooltip: {
			format: {
				value: function (value, ratio, id) 
				{
					if(valunit == 'B')
					{
						value = Utils.convertByte(value);
					}
					else if(valunit == 'bps')
					{
						value = Utils.convertBits(value);
					}
					return value+valunit;
				}
			}
		}
	});	
	if(valunit == 'B')
	{
		var max = $('#'+bind+' .bb-chart-arcs-gauge-max').text();
		value = Utils.convertByte(max);
		$('#'+bind+' .bb-chart-arcs-gauge-max').text(value+'B');
	}
	else if(valunit == 'bps')
	{
		var max = $('#'+bind+' .bb-chart-arcs-gauge-max').text();
		value = Utils.convertBits(max);
		$('#'+bind+' .bb-chart-arcs-gauge-max').text(value+'bps');		
	}
}
Utils.generatePie = function(data,bind,pheight,legend)
{
	var chart = bb.generate({
	    bindto: '#'+bind,
	    data: {
    		columns: data,
			type:'pie',
		},
		legend: {
			show: legend
		},
		color: {
			  pattern: ['#83bc00', '#ffcb1f', '#da002e', '#575759', '#3263c5']
			},
		size: {
		  height: pheight
		}
	});
}
Utils.getCookie = function(cname) {
    var name = cname + "=";
    var decodedCookie = decodeURIComponent(document.cookie);
    var ca = decodedCookie.split(';');
    for(var i = 0; i <ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
            c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
            return c.substring(name.length, c.length);
        }
    }
    return "";
}


/**
 * @brief Crée un cookie via Javascript
 * @detail crée un cookie nomme "cname" avec la valeur "cvalue" pour une durée de "expire"
 * @param String "cname" Nom du cookie à créer
 * @param String "cvalue" Valeur du cookie
 * @param Int "expire" Nombre de jour avant son expiration
 */
Utils.setCookie = function(cname, cvalue, expire) {
    var d = new Date();
    d.setTime(d.getTime() + (expire*24*60*60*1000));
    var expires = "expires="+ d.toUTCString();
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}


/**
 * @brief Génère un graphique sur base d'un RRD
 * @detail Génère un graphique sur base du JSON retourné par RRD. Les autres paramètres sont des paramètres de langue
 * @param Int "serviceid" ID du service à traiter
 * @param String "l_jour" Internationalisation du mot "jour"
 * @param String "l_semaine" Internationalisation du mot "semaine"
 * @param String "l_mois" Internationalisation du mot "mois"
 * @param String "l_annee" Internationalisation du mot "année"
 * @param String "l_heure" Internationalisation du mot "heure"
 */
Utils.generateRrdGraph = function(serviceid,l_jour,l_semaine,l_mois,l_annee,l_heure,no_data,timecontrol,realtime,subchart) {
	if(!timecontrol){ timecontrol=true; }
	if(!realtime){ realtime=false; }
	if(!subchart){ subchart=false; }
	if(!no_data) {no_data="No data to graph for this service";}
    var delay='-1d';
    var zoom=true;
	var formatDate = Utils.RRDupdateFormatter('%Hh%M');
    if(realtime==true)
    {
    	formatDate = Utils.RRDupdateFormatter('%M:%S');
    	delay='-5min';
    	zoom=false;
    	subchart=false;
    }
	if(!$('#graph'+serviceid).hasClass('addedGraphAlready'))
    {
	   	$('#graph'+serviceid).addClass('addedGraphAlready');
	    $.get( "/gen_graph.php?id="+serviceid+"&start="+delay+"&action=export&type=jsonC3" ) 
	  .done(function( data ) 
	   {
		  if(data[0] == "nothing") 
	   		{
	   			$('#graph'+serviceid).hide();
	   		}
		  	else if(data[0]=="no_data")
		  	{
		  		$('#showGraph'+serviceid).parent().append("<div>"+no_data+"</div>");
		  	}
		  	else
		  	{
		  		var i=1000;
		  		$.each(data, function(key,aData)
		  		{
		  			idAdd = i;
		   			if(i>1000)
		   			{
		   				if(!$('#showGraph'+serviceid+i).length)
		   				{
                            var id = i-1;
                            $('#showGraph'+serviceid+id).after($('<div id="showGraph'+serviceid+i+'" class="esia-graph"></div>'));
		   				}
		   				idAdd = i;
		   				chartSelector = ""+serviceid+i;
		   			}
		   			else
		   			{
		   				$('#showGraph'+serviceid).addClass("esia-graph");
		   				$('#showGraph'+serviceid).attr('id',"showGraph"+serviceid+i);
		   				idAdd = i;
		   				chartSelector =  ""+serviceid+i;
	
		   				if(!$('#graph'+serviceid+" .timeControl").length && timecontrol==true) 
		   				{
		   					//affiche le menu time control
		   					$('#showGraph'+serviceid+idAdd).before('<ul class="consolidationControl" data-id="'+serviceid+'"><li data-select="MINIMUN">MIN</li><li class="active" data-select="AVERAGE">AVG</li><li data-select="MAXIMUN">MAX</li></ul>');
		   					$('#showGraph'+serviceid+idAdd).before('<ul class="timeControl" data-id="'+serviceid+'"><li data-select="2h">2 '+l_heure+'</li><li data-select="6h">6 '+l_heure+'</li><li class="active" data-select="1d">'+l_jour+'</li><li class="" data-select="1w">'+l_semaine+'</li><li class="" data-select="1month">1 '+l_mois+'</li><li class="" data-select="6month">6 '+l_mois+'</li><li class="" data-select="1y">'+l_annee+'</li></ul>');
		   					//Si pas dans onglet graphique mais click sur représentation visuelle/charge on rentre dans le if
		   					if(!$('#graph'+serviceid+" .pager").length) 
		   					{
		   							//Créatiion pour le CSV
		   						$('#showGraph'+serviceid+idAdd).parent().prev().append('<div class="pager"><ul class="triList"><li class="triElement"><a class="enableSubchart" href=""><img id="enableZoom'+serviceid+'" src="/theme/default/images/search.jpg" title="enable zoom" /></a></li><li class="triElement"><a class="saveCSV" href="/gen_graph.php?id='+serviceid+'&start=-1d&action=export&type=csv"><img src="/theme/default/images/graph-csv.jpg" /></a></li><li class="triElement"><a class="savePNG" href=""><img src="/theme/default/images/graph-img.jpg" /></a></li></ul></div>');
		   					}
		   				}
	   					$('#showGraph'+serviceid+idAdd).after('<canvas id="canvas"></canvas>');
		   			}
			   		var chartValue = aData["data"];	
			   		var myTypes=[];
			   		var mycolor=[];
			   		$.each(aData['parameter'], function(i,item) {
			   			myTypes[aData["parameter"][i]["name"]] = aData["parameter"][i]["type"];
			   			mycolor.push(aData["parameter"][i]["color"]);
					});	
			   		var ymin = undefined;
			   		if(aData["parameter"][0]["min"] != -1)
			   		{
			   			ymin = aData["parameter"][0]["min"];
			   		}
					window["chart"+serviceid+idAdd] = bb.generate(
					{
					        bindto: '#showGraph'+serviceid+idAdd,
					        data: {
					        	x: "x",
					            xFormat: '%Y-%m-%d %H:%M:%S',
					            json: chartValue,
							    type:aData['parameter'][0]['type'],
							    types:myTypes
					        },
					        padding: {
					            top: 20,
					            right: 20
					        },
						    color: {
							      pattern: mycolor
							    },
						    point: {
						      show: false
						    },
					        axis: {
					            x: {
					                type: 'timeseries',
					                tick: {
					                    format: function (x) 
					                    	{
					                    		return formatDate(x);
					                    	},
					                    	
						                fit:false
					                },
					                label: {
					                	position: "outer-center"
					                }
					            },
					            y: {
							        show: true,
							       min: ymin,
							        label: {
							        	text: aData["parameter"][0]["unity"],
							        	position:"outer-middle"
							        },
							        tick: {
							          format: function(d) {
							          	if(aData["parameter"][0]["unity"] == "percent") {
							          		return d+" %";
							          	}else if(aData["parameter"][0]["unity"] == "Celsius") {
							          		return d+" °";
						          		}else if(aData["parameter"][0]["unity"] == "second" || aData["parameter"][0]["unity"] == "ms" || aData["parameter"][0]["unity"] == "MB/s" || aData["parameter"][0]["unity"] == "number") {
						          			return d;
							          	}else{
							          		return Utils.convertByte(d);											      		
							          	}
							          }
							        }
							    }
					        },
	    
				        });
					i++;
		  		});
			$('#graph' + serviceid + ' .savePNG').on('click', function(e) {
				e.preventDefault();
				Utils.downloadChartImage(serviceid);
			});
			/* change le href lors de l'export csv en fonction du tab choisi (jour, semaine, mois, année) */ 
   			$("#graph"+serviceid+' .saveCSV').on('click', function(e){
				parent = this;
				var start = '1d';
				var consolidation = 'AVERAGE';
				$("#graph"+serviceid+" ul .active").each(function( index, slct )
				{
					option = $(slct).data("select");
					if(option=='MINIMUN'|| option=='AVERAGE' || option=='MAXIMUN')
					{
						consolidation = option;
					}
					else
					{
						start = option;
					}
				});						
				$(parent).attr('href','/gen_graph.php?id='+serviceid+'&start=-'+start+'&consolidation='+consolidation+'&action=export&type=csv');
			});
   			$("#graph"+serviceid+' .enableSubchart').on('click', function(e){
   				e.preventDefault();
   				if($("#enableZoom"+serviceid).attr('title') == 'enable zoom')
   				{
   					var i=1000;
   					for(let i=1000; i<1010 ;i++)
   					{
   						let selector = "chart"+serviceid+""+i;
   						if(selector in window)
   						{
   							window[selector].subchart.show();
   						}
   						else
   						{
   							break;
   						}
   					}
   					$("#enableZoom"+serviceid).attr('src','/theme/default/images/search-grey.jpg');
   					$("#enableZoom"+serviceid).attr('title','disable zoom');
   				}
   				else
   				{
   					var i=1000;
   					for(let i=1000; i<1010 ;i++)
   					{
   						let selector = "chart"+serviceid+""+i;
   						if(selector in window)
   						{
   							window[selector].subchart.hide();
   						}
   						else
   						{
   							break;
   						}
   					}
   					$("#enableZoom"+serviceid).attr('src','/theme/default/images/search.jpg');
   					$("#enableZoom"+serviceid).attr('title','enable zoom');
   				}
   				return false;
			});
			$("#graph"+serviceid+" .contentView ul li").on('click', function()
			{
				parentSelector = $(this).parent().parent().parent();
				parentSelector.find('.theLoader').show();

				if(!$(this).hasClass('active')) 
				{
					$(this).parent().find("li").removeClass('active');
					$(this).addClass('active');
					var start = '1d';
					var consolidation = 'AVERAGE';
					$("#graph"+serviceid+" ul .active").each(function( index, slct )
					{
						option = $(slct).data("select");
						if(option=='MINIMUN'|| option=='AVERAGE' || option=='MAXIMUN')
						{
							consolidation = option;
						}
						else
						{
							start = option;
						}
					});

					$.get( "/gen_graph.php?id="+serviceid+"&start=-"+start+"&consolidation="+consolidation+"&action=export&type=jsonC3" )
					  .done(function( data ) {
					   	if(data[0] != "nothing") {

					   		var i=1000;
					   		$.each(data, function(key,anotherData){

				   				chartSelector =  ""+serviceid+i;

						   		chartValue = anotherData["data"];

						   		if(start == "1d" || start == "6h" || start == "2h") 
						   		{
						   			formatDate = Utils.RRDupdateFormatter("%Hh%M");
						   		}
						   		else if(start == "1w" || start == "1month") 
						   		{
						   			formatDate =Utils.RRDupdateFormatter("%d/%m %Hh%M");
						   		}
						   		else
						   		{
						   			formatDate = Utils.RRDupdateFormatter("%d/%m/%Y %Hh%M");
						   		}	
						   			//alert('load');
						   		//window["chart"+chartSelector].zoom.enable(true);
						   		//window["chart"+chartSelector].subchart.show();
						   		window["chart"+chartSelector].flush();
						   		window["chart"+chartSelector].load({
						   			 json: chartValue,
						   		});
						   		i++;
						   	});
					   		
					   	}

						parentSelector.find('.theLoader').hide();
					  });
				}
			});
		  	}
	  });
	}
}
Utils.calculpourcent = function (device_id,service_id)
{
  xhr = Utils.XHRequest();
  xhr.open( "GET", "/inc/node_Availabilitycalculation.php?id="+device_id+"&service="+service_id,  true); 
  xhr.onreadystatechange  = function()
  { 
       if(xhr.readyState  == 4)
       {
            if(xhr.status  == 200) 
               return xhr.responseXML; 
       }
  };
  xhr.send(null);         
} 
Utils.getserviceavailabilityByErrorType = function (device_id,service_id,month,year,htmlid)
{
	//alert(month+" "+year); 
  xhr = Utils.XHRequest();
  xhr.open( "GET", "/inc/node_Availabilitycalculation.php?action=pourcentPerErrorType&id="+device_id+"&service="+service_id+"&month="+month+"&year="+year,  true); 
  xhr.onreadystatechange  = function()
  { 
       if(xhr.readyState  == 4)
       {
            if(xhr.status  == 200) 
		{
			//alert(xhr.responseText);
		       	 var docXML = xhr.responseXML; 
			//alert(service_id+"s"+month+"-"+year);
			 var  std =document.getElementById(htmlid);
			std.innerHTML="";
			 var table=lth = document.createElement('table');
			var monthXML =  docXML.getElementsByTagName("service")[0].childNodes;
			for (i=0;i<monthXML.length;i++)
			{
		
				 var l1 = document.createElement('tr');
				 var l1c1 = document.createElement('td');//month
				 var l1c2 = document.createElement('td');//year

				l1c1.appendChild(document.createTextNode(monthXML[i].nodeName));
				l1c2.appendChild(document.createTextNode(monthXML[i].childNodes[0].nodeValue+" %"));
				l1.appendChild(l1c1); 
				l1.appendChild(l1c2);
				table.appendChild(l1);  	
			}
			//alert(std);
			std.appendChild(table);  
		} 
       }
  };
  xhr.send(null);         
} 
Utils.getserviceavailability = function(nodeid,serviceid,showhtmlid)
{
	xhr = Utils.XHRequest();
	xhr.open( "GET", "/inc/node_Availabilitycalculation.php?id="+nodeid+"&service="+serviceid,  true); 
	xhr.onreadystatechange  = function()
	{ 
		if(xhr.readyState  == 4)
	        {
			if(xhr.status  == 200) 
			{
				var docXML = xhr.responseXML; 
				//image hide 
				var link = document.createElement('a');
				link.setAttribute('href', '#table'+nodeid+serviceid);
				link.onclick = function () { Utils.deleteTableServiceAvailability('table'+nodeid+serviceid);  };
				link.innerHTML='<img class="btn_img" src="/theme/default/images/hide.png" >';
				//creation du tableau 
				var table=lth = document.createElement('table');
				table.setAttribute('id' ,'table'+nodeid+serviceid);

				//table.innerHTML="";
				lth = document.createElement('tr');
				lthc1 = document.createElement('th');
				lthc2 = document.createElement('th');
				lthc3 = document.createElement('th');
				lthc1.innerHTML='Month';
				lthc2.innerHTML='Year';
				lthbb.innerHTML='Availability';
				lthbb.appendChild(link);
				lth.appendChild(lthc1);  
				lth.appendChild(lthc2);  
				lth.appendChild(lthc3);    
				table.appendChild(lth);  
				var monthXML =  docXML.getElementsByTagName("month");
				var avai =0;
				for (i=0;i<monthXML.length;i++)
				{
					var month = monthXML.item(i).attributes['month'].value;
					var year= monthXML.item(i).attributes['year'].value
					//bouton 'plus' permettant de voir l'état des services par mois
					var alink  = document.createElement('a');
					alink.setAttribute('href', '#table'+nodeid+serviceid);
		alink.setAttribute('onclick',"Utils.getserviceavailabilityByErrorType("+nodeid+","+serviceid+","+month+","+year+",'"+serviceid+"s"+month+"-"+year+"');"); 
					alink.innerHTML='<img class="btn_img" src="/theme/default/images/esia_plus_button.png" >';
					var l1 = document.createElement('tr');
					var l1c1 = document.createElement('td');//month
					var l1c2 = document.createElement('td');//year
					var l1c3 = document.createElement('td');// %
					l1c1.appendChild(alink); 
					l1c1.appendChild(document.createTextNode(monthXML.item(i).attributes['name'].value));
					l1bb.setAttribute('id',serviceid+"s"+month+"-"+year);
					l1c2.innerHTML=year;
					avai = avai + parseFloat(monthXML.item(i).childNodes[0].nodeValue);
					l1bb.innerHTML=monthXML.item(i).childNodes[0].nodeValue+' %';
					l1.appendChild(l1c1); 
			      		l1.appendChild(l1c2);
			      		l1.appendChild(l1c3);
					table.appendChild(l1);  
				}
				var total = docXML.getElementsByTagName("total_availability");
				l1 = document.createElement('tr');
				var l1c1 = document.createElement('td');//nom
				var l1c2 = document.createElement('td');//zone
				var l1c3 = document.createElement('td');//action
				l1c1.innerHTML='Total of 1 year';
				l1bb.innerHTML=(avai/12).toFixed(2)+'%';
				l1.appendChild(l1c1); 
			      	l1.appendChild(l1c2);
			      	l1.appendChild(l1c3);
				table.appendChild(l1); 
				l1 = document.createElement('tr');
 				l1c1 = document.createElement('td');//nom
				l1c2 = document.createElement('td');//zone
				l1c3 = document.createElement('td');//action
				l1c1.innerHTML='Total ';
				l1bb.innerHTML= total.item(0).childNodes[0].nodeValue +'%';
				l1.appendChild(l1c1); 
			      	l1.appendChild(l1c2);
			      	l1.appendChild(l1c3);
				table.appendChild(l1); 
				document.getElementById(showhtmlid).appendChild(table);
			}
	        }
	};
	xhr.send(null); 
	return false;
}
Utils.deleteTableServiceAvailability = function(showhtmlid)
{
	var element = document.getElementById(showhtmlid);
	element.parentNode.removeChild(element);
}
Utils.getReport = function(srvid,dialog,progress,screen )
{
	$(dialog).dialog('open');
	$(progress).progressbar({value: false});
	$.ajax({url:'/node_control.php',
		type : 'GET',
		data : 'id='+srvid+'&action=report',
		dataType : 'html',
		success : function(code_html, statut)
			{  
				 $(screen).empty();
				 $(screen).append(code_html);
				 $(dialog).dialog('close');
			}
		});
}
Utils.parseCSV = function(data)
{
	var allTextLines = data.split(/\r\n|\n/);
	var headers = allTextLines[0].split(';');
	var lines = [];
	var legend=[];
	for (var i=1; i<headers.length; i++) 
	{
		var hd = [];
		legend.push({'label':headers[i]});
		lines.push(hd);
	}
	for (var i=1; i<allTextLines.length; i++) 
	{
		var data = allTextLines[i].split(';');
		if (data.length == headers.length) 
		{
		    	var tarr = [];
		    	for (var j=1; j<headers.length; j++) 
			{
				var tmp =[];
				var time = parseInt(data[0]*1000);
				tmp.push(time);
				tmp.push(parseFloat(data[j]));
				lines[j-1].push(tmp);
		    	}		    		
		}	
	}
	var ret = [legend, lines]; 
	return ret;
}
/*@NAME: Utils.createTable
*@IN: $id un identifiant HTML ou le nom d'un classe
*@OUT: /
*@TREAT: Transforme le tableau passé en identificant, en table sorter
*@EXCEPTION: /
*/
Utils.createTable = function(id)
{
	$.extend($.tablesorter.themes.jui, {
		// change default jQuery uitheme icons - find the full list of icons at
		// http://jqueryui.com/themeroller/ (hover over them for their name)
		table        : 'ui-widget ui-widget-content ui-corner-all', // table classes
		caption      : 'ui-widget-content',
		// header class names
		header       : 'ui-corner-all ui-state-default', // header classes
		sortNone     : '',
		sortAsc      : '',
		sortDesc     : '',
		active       : 'ui-state-active', // applied when column is sorted
		hover        : 'ui-state-hover',  // hover class
		// icon class names
		icons        : 'ui-icon', // icon class added to the <i> in the header
		iconSortNone : 'ui-icon-carat-2-n-s', // class name added to icon when column is not sorted
		iconSortAsc  : 'ui-icon-carat-1-n', // class name added to icon when column has ascending sort
		iconSortDesc : 'ui-icon-carat-1-s', // class name added to icon when column has descending sort
		filterRow    : '',
		footerRow    : '',
		footerCells  : '',
		even         : 'ui-widget-content', // even row zebra striping
		odd          : 'ui-state-default'   // odd row zebra striping
	});
	$(id).tablesorter(
	{   
		theme : 'jui',
		//widgets : ['uitheme','reflow2', 'zebra','columns','columnSelector', 'filter','saveSort' ],
		widgets : ['uitheme','zebra','columns','columnSelector', 'filter','saveSort' ],
		headerTemplate : '{content} {icon}', 
		widthFixed: true, widgetOptions : 
		{
			zebra   : ["even", "odd"],
		} ,
		widgetOptions : {

			columnSelector_container : $(id+'_columnSelector'),
			columnSelector_name : 'data-name',
			
	    columnSelector_saveColumns: true,
	    columnSelector_layout : '<label><input type="checkbox">{name}</label>',
	    columnSelector_mediaquery: true,
	    columnSelector_mediaqueryName: 'Auto: ',
	    columnSelector_mediaqueryState: true,

	    columnSelector_priority : 'data-priority',
	    columnSelector_cssChecked : 'checked', 


		      // hide columnSelector false columns while in auto mode
		      columnSelector_mediaqueryHidden: true,

		      // set the maximum and/or minimum number of visible columns; use null to disable
		      columnSelector_maxVisible: null,
		      columnSelector_minVisible: null,
		      // responsive table hides columns with priority 1-6 at these breakpoints
		      // see http://view.jquerymobile.com/1.3.2/dist/demos/widgets/table-column-toggle/#Applyingapresetbreakpoint
		      // *** set to false to disable ***
		      columnSelector_breakpoints : [ '950px', '1100px', '1200px', '1430px' ],
		      // data attribute containing column priority
		      // duplicates how jQuery mobile uses priorities:
		      // http://view.jquerymobile.com/1.3.2/dist/demos/widgets/table-column-toggle/	    
			print_title      : '',          // this option > caption > table id > "table"
			print_dataAttrib : 'data-name', // header attrib containing modified header name
			print_rows       : 'f',         // (a)ll, (v)isible or (f)iltered
			print_columns    : 's',         // (a)ll, (v)isible or (s)elected (columnSelector widget)
			print_callback   : function(config, $table, printStyle){
				$.tablesorter.printTable.printOutput( config, $table.html(), printStyle );
			}
		 }
	}); 
}
/*@NAME: Utils.createPager
*@IN: identifiants de la table et du pager
*@OUT: /
*@TREAT: Transforme l'identifiant du pager en pager tablesorter et le lie à la table.
*		 Peut contenir une combox (select) de selection du nombre de lignes du tableau si la combobox posséde la classe (pagesize).
*@EXCEPTION: /
*/
Utils.createPager= function(table,pager){
	var options=$(pager).find(".pagesize");

	$(pager).empty();

	$(pager).append('<form><ul class="ui-widget"></ul><form>');
	var content=$(pager).find("ul");
	content.append('<li class="first">','<li class="prev">','<li>','<li class="next">','<li class="last">');
	
	content.find("li[class]").addClass("ui-state-default ui-corner-all ui-state-hover").append('<span class="ui-icon"/>');
	
	content.find(".first span").addClass("ui-icon-seek-first");
	content.find(".prev span").addClass("ui-icon-seek-prev");
	content.find(":empty").append(' <input type="text" class="pagedisplay"/>');
	content.find(".next span").addClass("ui-icon-seek-next");
	content.find(".last span").addClass("ui-icon-seek-end");

	if( options.is("select") ){
		content.add("<li>").append(options);
	}

	content.find("li").css({"display":"inline-block","vertical-align":"middle"});	
	$(table).tablesorterPager({
	      container: $( pager ),
	      size: 500,
	      output: 'showing: {startRow} to {endRow} ({filteredRows})'
	    });
}
Utils.RRDupdateFormatter = function(format) 
{
	return d3.timeFormat(format);
}

Utils.RRDgenerateSimpleGraphic = function(serviceid,htmlid,time,first_only,rra_num,onlyBindTo=[])
{
    var first_only = (typeof first_only !== 'undefined') ? first_only : false;
    var url = '';
    if(rra_num!== 'undefined')
    {
        if(rra_num != "none")
        {
            url = '&num='+rra_num; 
        }
    }
	$.get( "/gen_graph.php?id="+serviceid+"&start="+time+"&action=export&type=jsonC3"+url)
	.done(function( data ) 
	{
		if(!Array.isArray(data))
		{
			// If it's not an array there is an error message. serviceid might be null
			return false;
		}

		let bindTo = [];
		let j = 1000;
   		$.each(data, function(key,aData)
   		{
			if(!onlyBindTo || onlyBindTo.length == 0)
			{
				if(j>1000)
				{
					$(htmlid+"1000").after("<div style='text-align:center; height:35%; width:90%;' id='"+htmlid.substring(1)+j+"'></div>");
				}
				else
				{
					$(htmlid).attr('id',htmlid.substring(1)+j);
				}
				bindTo = htmlid + j;
			}
   			else
			{
				// If we give the jquery element on which bind a single graph
				first_only = true;
				bindTo = onlyBindTo[0]; // Transform jquery elt into js for billboard.js
			}

		 	if(data[0] != "nothing" && data[0] != "no_data")
		 	{
		   		var chartValue = aData["data"];	
		   		var myTypes=[];
		   		var mycolor=[];
		   			
		   		$.each(aData['parameter'], function(i,item) 
			   		{
			   			myTypes[aData["parameter"][i]["name"]] = aData["parameter"][i]["type"];
			   			mycolor.push(aData["parameter"][i]["color"]);
			   		});		
	   		
				var graph = bb.generate({
				    bindto: bindTo,
				    data: {
				        x: "x",
				        xFormat: '%Y-%m-%d %H:%M:%S',
				        json: chartValue,
						type:aData['parameter'][0]['type'],
						types:myTypes
				    },
					color: {
						  pattern: mycolor
						},
					point: {
					  show: false
					},
				    axis: 
				    {
				        x: {
				            type: 'timeseries',
				            tick: {
				                format: Utils.RRDupdateFormatter("%Hh%M"),
					            fit:false
				            },
				            label: {
				            	position: "outer-center"
				            }
				        },
				        y: {
						    show: true,
						    label: {
						    	text: aData["parameter"][0]["unity"],
						    	position:"outer-middle"
						    },
						    tick: {
						      format: function(d) 
						      {
						    	//console.log(aData["parameter"][0]["unity"]);
						      	if(aData["parameter"][0]["unity"] == "percent") {
						      		return d+" %";
						      	}else if(aData["parameter"][0]["unity"] == "Celsius") {
									// Round value to 2 decimals
									d = Math.round(d * 100) / 100;
						      		return d+" °";
					      		}else if(aData["parameter"][0]["unity"] == "second" || aData["parameter"][0]["unity"] == "ms" || aData["parameter"][0]["unity"] == "MB/s" || aData["parameter"][0]["unity"] == "number") {
					      			return d;
						      	}else{
						      		return Utils.convertByte(d);											      		
						      	}
						      }
						    }
						}
				    }
		
			    });
		 	}

		 	j++;
		 	if(first_only == true)
		 	{
		 		return false;
		 	}
		 });
	});
}
Utils.RRDgenerateGraphic = function(serviceid,htmlid,starttime,endtime,consolidation)
{
	$.get( "/gen_graph.php?id="+serviceid+"&start="+starttime+"&end="+endtime+"&consolidation="+consolidation+"&action=export&type=jsonC3")
	.done(function( data ) 
	{
		var labelDateFormat = '%Hh%M';
		var delta = endtime - starttime;
		if(delta > 172800)
		{
			labelDateFormat = '%d/%m/%Y %Hh%M';
		}
		var j=1000;
   		$.each(data, function(key,aData){

   			if(j>1000){
   				$(htmlid+"1000").after("<div style='text-align:center; height:35%;' id='"+htmlid.substring(1)+j+"'></div>");
   				idAdd = j;
   				chartSelector = serviceid+j;
   			}else{
   				$(htmlid).attr('id',htmlid.substring(1)+j);
   				idAdd = j;
   				chartSelector = serviceid+j;
   			}

			var formatter;
		 	if(data[0] == "nothing" || data[0] == "no_data") 
		 	{
		 		$(htmlid+idAdd).html('no graphic');
		 	}
		 	else
		 	{
		   		var chartValue = aData["data"];	
		   		var myTypes=[];
		   		var mycolor=[];
		   			
		   		$.each(aData['parameter'], function(i,item) 
			   		{
			   			myTypes[aData["parameter"][i]["name"]] = aData["parameter"][i]["type"];
			   			mycolor.push(aData["parameter"][i]["color"]);
			   		});		

		   		//console.log(htmlid+idAdd);		   		
				var graph = bb.generate({
				    bindto: htmlid+idAdd,
				    data: {
				        x: "x",
				        xFormat: '%Y-%m-%d %H:%M:%S',
				        json: chartValue,
						type:aData['parameter'][0]['type'],
						types:myTypes
				    },
					color: {
						  pattern: mycolor
						},
					point: {
					  show: false
					},
				    axis: 
				    {
				        x: {
				            type: 'timeseries',
				            tick: {
				                format: Utils.RRDupdateFormatter(labelDateFormat),
					            fit:false
				            },
				            label: {
				            	position: "outer-center"
				            }
				        },
				        y: {
						    show: true,
						    label: {
						    	text: aData["parameter"][0]["unity"],
						    	position:"outer-middle"
						    },
						    tick: {
						      format: function(d) 
						      {
						    	//console.log(aData["parameter"][0]["unity"]);
						      	if(aData["parameter"][0]["unity"] == "percent") {
						      		return d+" %";
						      	}else if(aData["parameter"][0]["unity"] == "Celsius") {
						      		return d+" °";
					      		}else if(aData["parameter"][0]["unity"] == "second" || aData["parameter"][0]["unity"] == "ms" || aData["parameter"][0]["unity"] == "MB/s" || aData["parameter"][0]["unity"] == "number") {
					      			return d;
						      	}else{
						      		return Utils.convertByte(d);											      		
						      	}
						      }
						    }
						}
				    }
		
			    });
		 	}

		 	j++;
		 });
	});
}
Utils.reload_active_tabs =function (id)
{
	var current_index = $(id).tabs("option","active");
	$(id).tabs('load',current_index);
}

// Return an array containing all the entries from a that are not present in b
Utils.array_diff = (a, b) => {
	return a.filter(x => !b.includes(x));
}

// Close a dialog window from inside an iframe
Utils.closeDialogWithinIframe = function(dialogSelector='.ui-dialog-content')
{
	parent?.$(dialogSelector)?.dialog('close');
}

// Generate service type graph from formatted data
Utils.RRDgenServiceGraphFromData = function(idHtml, data)
{
	let graphsList = [];
	$.each(data, function(graphNum, aData) {
		const graphId = 'showGraph' + graphNum;
		$('#' + idHtml).append('<div id="' + graphId +'"></div>');

		let dataTypes = [];
		let dataColors = [];
		aData['parameter'].forEach(rrd => {
			dataTypes[rrd['name']] = rrd['type'];
			dataColors.push(rrd['color']);
		});

		let ymin = aData['parameter'][0]['min'];
		if(ymin == -1)
		{
			// For min infinite value
			ymin = undefined;
		}

		const chart = bb.generate(
		{
			bindto: '#' + graphId,
			data: {
				x: 'x',
				xFormat: '%Y-%m-%d %H:%M:%S',
				json: aData['data'],
				types: dataTypes,
			},
			padding: {
				top: 20,
				right: 20,
			},
			color: {
				pattern: dataColors,
			},
			point: {
				show: false,
			},
			axis: {
				x: {
					type: 'timeseries',
					tick: {
						format: x => Utils.RRDupdateFormatter('%Hh%M')(x),
						fit: false,
					},
					label: {
						position: 'outer-center',
					},
				},
				y: {
					show: true,
					min: ymin,
					label: {
						text: aData['parameter'][0]['unity'],
						position: 'outer-middle',
					},
					tick: {
						format: d => {
							switch(aData['parameter'][0]['unity'].toLowerCase())
							{
								case 'percent':
									return d + ' %';
								case 'celsius':
									return d + ' °';
								case 'second':
								case 'ms':
								case 'mb/s':
								case 'number':
									return d;
								default:
									return Utils.convertByte(d);
							}
						},
					},
				},
			},
		});

		graphsList[graphNum] = chart;
	});

	return graphsList;
}

/**
 * @brief Update the color of an rrd on the graph
 * @param object chart => chart to update (object returned by bb.generate)
 * @param string label => name of the data to update color
 * @param string color => new hexadecimal color (#000000)
 */
Utils.RRDupdateGraphDataColor = function(chart, label, color)
{
	chart.data.colors({ [label]: color });
};

/**
 * @brief Update the data type of an rrd on the graph
 * @param object chart => chart to update (object returned by bb.generate)
 * @param string label => name of the data to update
 * @param string type => c3 type of the new data (spline, area-spline, ...)
 */
Utils.RRDupdateGraphType = function(chart, label, type)
{
	chart.transform(type, label);
};

/**
 * @brief Find a chart instance by it's html id from a billboard charts instances list
 * @param array chartsList => list of billboard charts instance (bb.instance OR bb.generate returned value in array)
 * @param string id => html id of the generated chart
 * @retval object => billboard instance chart
 */
Utils.getChartInstanceByHtmlId = function(chartsList, id) {
	return chartsList.filter(i => i.$.chart.attr('id') === id)[0];
};

/**
 * @brief Load an image object as promise to know when the image as finished loading (use with await)
 * @param string file => image file or base 64 encoded image string
 * @retval object => Promise
 */
Utils.genImgPromise = function(file) {
	return new Promise((resolve) => {
		const i = new Image();

		i.onload = () => resolve(i);
		i.src = file;
	});
};

/**
 * @brief Transform all graphs of a service ID into an image and download it
 * @param integer serviceId => ID of the service from where the graphs are generated
 */
Utils.downloadChartImage = async function(serviceId) {
	const container = $('#graph' + serviceId);
	const exportParams = {
		mimeType: 'image/png',
		preserveAspectRatio: true,
	};
	const chartsList = bb.instance; // Instance all billboard graphs

	// Create an image for each chart inside html container
	let loadingImages = [];
	$.each($('div.bb', container), function() {
		const chart = Utils.getChartInstanceByHtmlId(chartsList, $(this).attr('id'));
		const loadingImg = Utils.genImgPromise(chart.export(exportParams));

		loadingImages.push(loadingImg);
	});
	// Wait for all images to be created
	const images = await Promise.all(loadingImages);

	// Get canvas size
	let canvasSize = { width: 0, height: 0 };
	images.forEach(img => {
		// Height is an addition
		canvasSize.height += img.height;
		// Width must be the biggest image width
		if(img.width > canvasSize.width)
		{
			canvasSize.width = img.width;
		}
	});

	// Draw graphs images into canvas to combine them
	const canvas = $('#canvas', container).empty()[0];
	canvas.width = canvasSize.width;
	canvas.height = canvasSize.height;
	const ctx = canvas.getContext('2d');
	ctx.fillStyle = '#FFFFFF';
	ctx.fillRect(0, 0, canvas.width, canvas.height);
	let dy = 0;
	images.forEach(img => {
		ctx.drawImage(img, 0, dy);
		dy += img.height;
	});

	// Simulate download link
	$('<a>', {
		href: canvas.toDataURL('png'),
		download: 'ESIA_chart' + serviceId + '_export.png',
	})[0].click();
};
