//création d'un espace de nom pour les utilitaires  
var Common = [];  
Common.getGlobalState = function(timer)
{
	let cssClass = {'ok' : 'EventOK','warning' :'EventWarning','critical' : 'EventCritical','unknown' : 'EventUnknown','waiting':'EventNone','pending':'EventPending'};
	$.ajax({
		  dataType: "json",
		  url: '/display_common.php?widget=global',
		  success: function( data ) 
		  {
			if('node' in data)
			{
				for(let key in data['node'])
				{
					let id =  "common_node_"+key;
					let nbr = data['node'][key];
					if(nbr==0)
					{
						$("#generalIndicator_node ."+cssClass[key]).addClass('EventDisable');
					}
					else
					{
						$("#generalIndicator_node ."+cssClass[key]).removeClass('EventDisable');
					}
					$("#"+id).html(nbr);
				}
			}
			if('service' in data)
			{
				for(let key in data['service'])
				{
					let id =  "common_service_"+key;
					let nbr = data['service'][key];
					if(nbr==0)
					{
						$("#generalIndicator_service ."+cssClass[key]).addClass('EventDisable');
					}
					else
					{
						$("#generalIndicator_service ."+cssClass[key]).removeClass('EventDisable');
					}
					$("#"+id).html(nbr);
				}
			}				
		  }
	});
	if(timer)
	{
		setTimeout(Common.getGlobalState,timer,timer);
	}
}

function refresh_index() 
{
	xhr = Utils.XHRequest();
	xhr.open("GET","/index_errorTable.inc.php",true);
	xhr.onreadystatechange = function()
  {
		if (xhr.readyState == 4 )
		{
			if(xhr.status == 200)
			{
						//dom = Utils.DOMImplementation();
					//alert(xhr.responseText);
						var docXML= xhr.responseXML;
						var items = docXML.getElementsByTagName("type");
						var totalok=0;
						var totalwarning=0;
						var totalcritique=0;
						var totalunknown=0;
						//on fait juste une boucle sur chaque element "type" trouvé
						for (i=0;i<items.length;i++)
						{

							//on récupère les données
							var groupname = items.item(i).attributes['name'].value;
							var ok = items.item(i).getElementsByTagName("ok")[0].firstChild.data;
							var warning = items.item(i).getElementsByTagName("warning")[0].firstChild.data;
							var critical = items.item(i).getElementsByTagName("critical")[0].firstChild.data;
							var unknown = items.item(i).getElementsByTagName("unknown")[0].firstChild.data;
							var device =  items.item(i).getElementsByTagName("device")[0].firstChild.data;
							var service =  items.item(i).getElementsByTagName("service")[0].firstChild.data;
							//on calcul les totaux
							totalok=totalok+parseInt(ok);
							totalwarning=totalwarning + parseInt(warning);
							totalcritique=totalcritique + parseInt(critical);
							totalunknown=totalunknown+parseInt(unknown);
							//on met à jour le table de l'index
							//alert(groupname+"-ok="+ok);
							//alert(document.getElementById("a-"+groupname+"-critical").firstChild.nodeValue);
							//alert(groupname+"-warning="+warning);
							document.getElementById(groupname+"-ok").firstChild.value=ok;
							document.getElementById("a-"+groupname+"-warning").firstChild.nodeValue= warning;
							
							document.getElementById("a-"+groupname+"-critical").firstChild.nodeValue= critical;
							document.getElementById("a-"+groupname+"-unknown").firstChild.nodeValue= unknown;
							document.getElementById(groupname+"-device").firstChild.nodeValue= device;
							document.getElementById(groupname+"-service").firstChild.nodeValue= service;
							if(warning!='0')
							{
								
								document.getElementById(groupname+"-warning").className="EventWarning";
							}
							else
							{
								document.getElementById(groupname+"-warning").className="EventNone";
							}
							if(critical!='0')
							{
								
								document.getElementById(groupname+"-critical").className="EventCritical";
							}
							else
							{
								document.getElementById(groupname+"-critical").className="EventNone";
							}
							if(unknown!='0')
							{
								document.getElementById(groupname+"-unknown").className="EventUnknown";
							}
							else
							{
								document.getElementById(groupname+"-unknown").className="EventNone";
							}
						}
						document.getElementById("etotal-ok").firstChild.nodeValue=totalok;
						document.getElementById("etotal-warning").firstChild.nodeValue= totalwarning;
						document.getElementById("etotal-critical").firstChild.nodeValue= totalcritique;
						document.getElementById("etotal-unknown").firstChild.nodeValue= totalunknown;
						document.getElementById("etotal-device").firstChild.nodeValue= docXML.getElementsByTagName("total_node")[0].firstChild.data;
						document.getElementById("etotal-service").firstChild.nodeValue= totalok+totalwarning+totalcritique+totalunknown;
        var timer=setTimeout("refresh_index()",10000); // rafraichie toute les 10secs
			}
    }
  };
  xhr.send(null);
}
function refresh_node_index() 
{
	$.ajax({url:'/index_errorTable.inc.php',
		type : 'GET',
		data : 'table=group&type=xml',
		dataType : 'xml',
		success : function(data)
			{
				//dom = Utils.DOMImplementation();
				var docXML= data;
				var items = docXML.getElementsByTagName("group")
				//on fait juste une boucle sur chaque element "donnee" trouvé
				for (i=0;i<items.length;i++)
				{
					groupname = items.item(i).attributes['name'].value;
					ok = items.item(i).getElementsByTagName("ok")[0].firstChild.data;
					warning = items.item(i).getElementsByTagName("warning")[0].firstChild.data;
					critical = items.item(i).getElementsByTagName("critical")[0].firstChild.data;
					unknown = items.item(i).getElementsByTagName("unknown")[0].firstChild.data;
					//alert(groupname+" "+ok+" "+warning+" "+critical+" "+unknown);
					document.getElementById(groupname+"-ok").firstChild.nodeValue=ok;
					document.getElementById(groupname+"-warning").firstChild.nodeValue= warning;
					document.getElementById(groupname+"-critical").firstChild.nodeValue= critical;
					document.getElementById(groupname+"-unknown").firstChild.nodeValue= unknown;
					
					document.getElementById(groupname+"-total").firstChild.nodeValue=Number(ok)+Number(warning)+Number(critical)+Number(unknown);
					if(warning!='0')
					{
						
						document.getElementById(groupname+"-warning").className="EventWarning";
					}
					else
					{
						document.getElementById(groupname+"-warning").className="EventNone";
					}
					if(critical!='0')
					{
						
						document.getElementById(groupname+"-critical").className="EventCritical";
					}
					else
					{
						document.getElementById(groupname+"-critical").className="EventNone";
					}
					if(unknown!='0')
					{
						document.getElementById(groupname+"-unknown").className="EventUnknown";
					}
					else
					{
						document.getElementById(groupname+"-unknown").className="EventNone";
					}
				}
	    		var timer=setTimeout("refresh_node_index()",10000); // rafraichie toute les 10secs
			}
		});
}
