<?php
namespace Convert
{
    function bytes($bytes,$precision=0,$unity='BB')
    {
        $enterbyte = $bytes;
        $units = ['', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];
        $i = 0;
        while ($enterbyte > 1024)
        {
            if($units[$i] == $unity)
            {
                break;
            }
            else
            {
                $enterbyte = $enterbyte / 1024;
                $i++;
            }
        }
        $human = round($enterbyte, $precision);
        return array('value'=>$human,'unity'=>$units[$i]);

    }
    function bitsPerSecond($bits,$precision=0,$unity='BB')
    {
        $enterbyte = $bits;
        $units = ['b/s', 'Kb/s', 'Mb/s', 'Gb/s', 'Tb/s', 'Pb/s', 'Eb/s', 'Zb/s', 'Yb/s'];
        $i = 0;
        while ($enterbyte > 1000)
        {
            if($units[$i] == $unity)
            {
                break;
            }
            else
            {
                $enterbyte = $enterbyte / 1000;
                $i++;
            }
        }
        $human = round($enterbyte, $precision);
        return array('value'=>$human,'unity'=>$units[$i]);

    }
}
