<?php
$LOGO_BY_IANA_ENTERPRISE_OID = array(
		'2' =>array('name'=>'IBM','logo'=>'/theme/logo/ibm.png','searchDesc'=>true),
		'9'  =>array('name'=>'Cisco','logo'=>'/theme/logo/Cisco-logo.png','searchDesc'=>false,'pattern' =>'cisco_switch'),
		'11'  =>array('name'=>'HP','logo'=>'/theme/logo/HP.png','searchDesc'=>false,'function'=>'getHPPattern'),
		'45' =>array('name'=>'Avaya','logo'=>'/theme/logo/avaya.png','searchDesc'=>false/*,'pattern'=>'avaya'*/),
		'171' =>array('name'=>'D-Link','logo'=>'/theme/logo/dlink.png','searchDesc'=>true),
		'207' =>array('name'=>'AT','logo'=>'/theme/logo/allied_telesis.png','searchDesc'=>false,'pattern' =>'allied_switch'),
		'211' =>array('name'=>'Fijutsu','logo'=>'/theme/logo/fujitsu.png','searchDesc'=>false),
		'232' =>array('name'=>'HP','logo'=>'/theme/logo/HP.png','searchDesc'=>false,'function'=>'getHPPattern'),
		'236' =>array('name'=>'Samsung','logo'=>'/theme/logo/samsung.png','searchDesc'=>false),
		'253' =>array('name'=>'xerox','logo'=>'/theme/logo/xerox.png','searchDesc'=>false,'pattern'=>'printer'),
		'311' =>array('name'=>'Microsoft Windows','logo'=>'/theme/logo/windows.png','searchDesc'=>false,'pattern' =>'windows'),
		'318' =>array('name'=>'APC','logo'=>'/theme/logo/apc.png','searchDesc'=>false,'pattern'=>'ups'),
		'367' =>array('name'=>'Ricoh','logo'=>'/theme/logo/ricoh.png','searchDesc'=>false,'pattern'=>'printer'),
		'368' =>array('name'=>'Axis','logo'=>'/theme/logo/axis.png','searchDesc'=>false,'pattern'=>'axis_camera'),
		'388' =>array('name'=>'Extreme Networks','logo'=>'/theme/logo/extreme_network.png','searchDesc'=>true),
		'534' =>array('name'=>'Epdu','logo'=>'/theme/logo/eaton.png','searchDesc'=>false,'pattern'=>'epdu'),
		'641' =>array('name'=>'Lexmark','logo'=>'/theme/logo/lexmark.png','searchDesc'=>false,'pattern'=>'printer'),
        '674' =>array('name'=>'Dell','logo'=>'/theme/logo/dell.png','searchDesc'=>false,'pattern'=>'idrac'),
		'705' =>array('name'=>'Eaton','logo'=>'/theme/logo/eaton.png','searchDesc'=>false,'pattern'=>'ups'),
		'890' =>array('name'=>'Zyxel','logo'=>'/theme/logo/zyxel.png','searchDesc'=>true,'pattern' =>'default_switch'),
		'1129' =>array('name'=>'Toshiba','logo'=>'/theme/logo/toshiba.png','searchDesc'=>false,'pattern'=>'printer'),
		'1248' =>array('name'=>'Epson','logo'=>'/theme/logo/epson.png','searchDesc'=>false,'pattern'=>'printer'),
		'1347' =>array('name'=>'Kyocera','logo'=>'/theme/logo/kyocera.png','searchDesc'=>false,'pattern'=>'printer'),
		'1588' =>array('name'=>'Brocade','logo'=>'/theme/logo/brocade.png','searchDesc'=>false),
		'1602' =>array('name'=>'Canon','logo'=>'/theme/logo/canon.png','searchDesc'=>false,'pattern'=>'printer'),
		'1916' =>array('name'=>'Extreme Networks','logo'=>'/theme/logo/extreme_networks.png','searchDesc'=>false),
		'2001' =>array('name'=>'OKI','logo'=>'/theme/logo/OKI.png','searchDesc'=>false,'pattern'=>'printer'),
		'2385' =>array('name'=>'Sharp','logo'=>'/theme/logo/sharp.png','searchDesc'=>false,'pattern'=>'printer'),
		'2435' =>array('name'=>'Brother','logo'=>'/theme/logo/brother.png','searchDesc'=>false,'pattern'=>'printer'),
		'2636' =>array('name'=>'Juniper','logo'=>'/theme/logo/juniper.png','searchDesc'=>false,'pattern'=>'juniper'),
		'3097' =>array('name'=>'WatchGuard','logo'=>'/theme/logo/watchguard.png','searchDesc'=>false,'pattern'=>'watchguard'),
		'4526' =>array('name'=>'NETGEAR','logo'=>'/theme/logo/netgear.png','searchDesc'=>true),
		'5089' =>array('name'=>'Clavister','logo'=>'/theme/logo/clavister.png','searchDesc'=>false,'pattern'=>'clavister'),
		'5491' =>array('name'=>'Riello','logo'=>'/theme/logo/riello-ups.png','searchDesc'=>false,'pattern'=>'ups'),
		'6876' =>array('name'=>'VMWare','logo'=>'/theme/logo/vmware.png','searchDesc'=>false,'pattern'=>'vmware'),
		'8072' =>array('name'=>'Linux','logo'=>'/theme/logo/linux.png','searchDesc'=>true,'pattern'=>'linux'),
        '8741' =>array('name'=>'Sonic Wall','logo'=>'/theme/logo/sonicwall.png','searchDesc'=>false,'pattern'=>'sonicwall'),
		'10917' =>array('name'=>'datamax','logo'=>'/theme/logo/datamax.png','searchDesc'=>false,'pattern'=>'printer'),
		'11256' =>array('name'=>'Stormshield','logo'=>'/theme/logo/stormshield.png','searchDesc'=>false,'pattern'=>'stormshield'),
		'11863' =>array('name'=>'TP-LINK','logo'=>'/theme/logo/tp-link.png','searchDesc'=>false,'pattern' =>'default_switch'),
		'12325' =>array('name'=>'PfSense','logo'=>'/theme/logo/pfsense.png','searchDesc'=>true,'pattern'=>'linux'),
		'12356' =>array('name'=>'FORTINET','logo'=>'/theme/logo/fortinet.png','searchDesc'=>false,'pattern'=>'fortinet'),
		'12925' =>array('name'=>'HP3Par','logo'=>'/theme/logo/HP_3Par.png','searchDesc'=>false),
		'13742' =>array('name'=>'RARITAN','logo'=>'/theme/logo/raritan.png','searchDesc'=>false),
		'14823' =>array('name'=>'Aruba','logo'=>'/theme/logo/aruba.png','searchDesc'=>false,'pattern'=>'aruba_ap'),
		'18334' =>array('name'=>'KONICA','logo'=>'/theme/logo/konica-minolta.png','searchDesc'=>false,'pattern'=>'printer'),
        '19746' =>array('name'=>'Dell','logo'=>'/theme/logo/emc.png','searchDesc'=>false,'pattern'=>'datadomain'),
		'21067'	=>array('name'=>'Cyberoam','logo'=>'/theme/logo/cyberoam.png','searchDesc'=>false,'pattern'=>'cyberoam'),
		'21796' =>array('name'=>'HWGroup','logo'=>'/theme/logo/hwgroup.png','searchDesc'=>false,'pattern'=>'HWG'),
		'24681' =>array('name'=>'Qnap','logo'=>'/theme/logo/qnap.png','searchDesc'=>false,'pattern'=>'qnap'),
		'25506' =>array('name'=>'HP','logo'=>'/theme/logo/HP.png','searchDesc'=>false,'function'=>'getHPPattern'),
		'41112' =>array('name'=>'Ubiquiti Networks','logo'=>'/theme/logo/ubiquiti-logo.png','searchDesc'=>false,'pattern'=>null),
		'47196' =>array('name'=>'Aruba','logo'=>'/theme/logo/aruba.png','searchDesc'=>false,'function'=>'getHPPattern'),
		'50001' =>array('name'=>'HiKVision','logo'=>'/theme/logo/hikvision.png','searchDesc'=>false,'pattern'=>'hikvision'),
		'55062' =>array('name'=>'Qnap','logo'=>'/theme/logo/qnap.png','searchDesc'=>false,'pattern'=>'qnap'),
		'1004849' =>array('name'=>'Dahua','logo'=>'/theme/logo/dahua.png','searchDesc'=>false,'pattern'=>'dahua'),
		);

$LOGO_BY_IANA_DESCRIPTION= array(
		'2' =>array('OS/400' => array('name'=>'as400','logo'=>'/theme/logo/ibm.png','pattern'=>'as400'),
				    'Linux' => array('name'=>'Lenovo','logo'=>'/theme/logo/ibm.png','pattern'=>'lenovo')
		),
		'171' =>array(
                        'DGS' => array('name'=>'D-Link','logo'=>'/theme/logo/dlink.png','pattern'=>'dlink-dgs'),
			'DCS' => array('name'=>'D-Link','logo'=>'/theme/logo/dlink.png','pattern'=>'dlink-dcs')
                ),
		'388' =>array(
                        'AP' => array('name'=>'Extreme Networks','logo'=>'/theme/logo/extreme_network.png','pattern'=>'extreme_ap'),
			            'VX' => array('name'=>'Extreme Networks','logo'=>'/theme/logo/extreme_network.png','pattern'=>'extreme_vx')
                ),
		'674' =>array('idrac' => array('name'=>'Dell','logo'=>'/theme/logo/dell.png','pattern'=>'idrac')),
		'890' =>array('USG' => array('name'=>'Zyxel','logo'=>'/theme/logo/zyxel.png','pattern' =>'zyxel')),
		'8072'=>array(
			'Synology' =>array('name'=>'Synology','logo'=>'/theme/logo/synology.png','pattern'=>'synology'),
			'RackStation' =>array('name'=>'Synology','logo'=>'/theme/logo/synology.png','pattern'=>'synology'),
			'Linux nas' =>array('name'=>'Synology','logo'=>'/theme/logo/synology.png','pattern'=>'synology'),
			'Seagate' =>array('name'=>'Seagate','logo'=>'/theme/logo/seagate.png','pattern'=>'linux'),
			'Debian' =>array('name'=>'Debian','logo'=>'/theme/logo/debian.png','pattern'=>'linux'),
			'Ubuntu' =>array('name'=>'Ubuntu','logo'=>'/theme/logo/debian.png','pattern'=>'linux'),
			'xen'	 =>array('name'=>'Xen','logo'=>'/theme/logo/debian.png','pattern'=>'linux'),
			'NS-BSD' =>array('name'=>'Stormshield','logo'=>'/theme/logo/stormshield.png','pattern'=>'stormshield'),
			'sophos' =>array('name'=>'Sophos','logo'=>'/theme/logo/sophos.png','pattern'=>'linux'),
			'barracuda' =>array('name'=>'Barracuda','logo'=>'/theme/logo/barracuda.png','pattern'=>'linux'),
			),
		'4526' =>array('ReadyNAS' =>array('name'=>'NETGEAR','logo'=>'/theme/logo/netgear-readynas.png','pattern'=>'netgear_nas'),
        '12325'=>array('Isilon' => array('name'=>'Dell','logo'=>'/theme/logo/dell.png','pattern'=>'isilon'),
                       'pfsense' => array('name'=>'PfSense','logo'=>'/theme/logo/pfsense.png','pattern'=>'linux')
                ),
			),
		);

$OID_NAME_PATTERN['isilon']['local']='default_snmp_emc_isilon';
$OID_NAME_PATTERN['isilon']['gesa']='gesa_snmp_emc_isilon';
$OID_NAME_PATTERN['isilon']['type']='SAN';

$OID_NAME_PATTERN['extreme_ap']['local']='default_snmp_extreme_ap';
$OID_NAME_PATTERN['extreme_ap']['gesa']='default_gesa_snmp_extreme_ap';
$OID_NAME_PATTERN['extreme_ap']['type']='access Point';

$OID_NAME_PATTERN['extreme_vx']['local']='default_snmp_extreme_ap';
$OID_NAME_PATTERN['extreme_vx']['gesa']='default_gesa_snmp_extreme_ap';
$OID_NAME_PATTERN['extreme_vx']['type']='controlleur Wifi';


$OID_NAME_PATTERN['dlink-dcs']['local']='default_snmp_dlink_camera';
$OID_NAME_PATTERN['dlink-dcs']['gesa']='default_gesa_dlink_camera';
$OID_NAME_PATTERN['dlink-dcs']['type']='none';
$OID_NAME_PATTERN['dlink-dgs']['local']='default_snmp_dlink_switch';
$OID_NAME_PATTERN['dlink-dgs']['gesa']='default_gesa_dlink_switch';
$OID_NAME_PATTERN['dlink-dgs']['type']='switch';
$OID_NAME_PATTERN['datadomain']['local']='default_snmp_emc_datadomain';
$OID_NAME_PATTERN['datadomain']['gesa']='default_gesa_emc_datadomain';
$OID_NAME_PATTERN['datadomain']['type']='SAN';


$OID_NAME_PATTERN['netgeas_nas']['local']='default_snmp_nas_netgear';
$OID_NAME_PATTERN['netgear_nas']['gesa']='default_gesa_snmp_nas_netgear';
$OID_NAME_PATTERN['netgear_nas']['type']='NAS';

$OID_NAME_PATTERN['default_switch']['local']='default_switch';
$OID_NAME_PATTERN['default_switch']['gesa']='default_gesa_switch';
$OID_NAME_PATTERN['default_switch']['type']='switch';

$OID_NAME_PATTERN['cisco_switch']['local']='default_snmp_cisco_switch';
$OID_NAME_PATTERN['cisco_switch']['gesa']='default_gesa_cisco_switch';
$OID_NAME_PATTERN['cisco_switch']['type']='switch';

$OID_NAME_PATTERN['hp_switch']['local']='default_snmp_hp_switch';
$OID_NAME_PATTERN['hp_switch']['gesa']='default_gesa_hp_switch';
$OID_NAME_PATTERN['hp_switch']['type']='switch';

$OID_NAME_PATTERN['aruba_ap']['local']='default_snmp_aruba_ap';
$OID_NAME_PATTERN['aruba_ap']['gesa']='default_gesa_aruba_ap';
$OID_NAME_PATTERN['aruba_ap']['type']='access Point';

$OID_NAME_PATTERN['windows']['local']='default_snmp_windows_server';
$OID_NAME_PATTERN['windows']['gesa']='default_gesa_windows_server';
$OID_NAME_PATTERN['windows']['type']='server';

$OID_NAME_PATTERN['zyxel']['local']='default_snmp_zyxel_usg';
$OID_NAME_PATTERN['zyxel']['gesa']='default_gesa_zyxel_usg';
$OID_NAME_PATTERN['zyxel']['type']='firewall';

$OID_NAME_PATTERN['printer']['local']='default_snmp_printer';
$OID_NAME_PATTERN['printer']['gesa']='default_gesa_printer';
$OID_NAME_PATTERN['printer']['type']='imprimante';


$OID_NAME_PATTERN['ups']['local']='default_snmp_ups';
$OID_NAME_PATTERN['ups']['gesa']='default_gesa_ups';
$OID_NAME_PATTERN['ups']['type']='UPS';


$OID_NAME_PATTERN['vmware']['local']='default_snmp_esx';
$OID_NAME_PATTERN['vmware']['gesa']='default_gesa_vmware-esx';
$OID_NAME_PATTERN['vmware']['type']='server';


$OID_NAME_PATTERN['linux']['local']='default_snmp_linux_server';
$OID_NAME_PATTERN['linux']['gesa']='default_gesa_linux_server';
$OID_NAME_PATTERN['linux']['type']='server';


$OID_NAME_PATTERN['HWG']['local']=NULL;
$OID_NAME_PATTERN['HWG']['gesa']=NULL;
$OID_NAME_PATTERN['HWG']['type']='none';


$OID_NAME_PATTERN['qnap']['local']='default_snmp_nas_qnap';
$OID_NAME_PATTERN['qnap']['gesa']='default_gesa_nas_qnap';
$OID_NAME_PATTERN['qnap']['type']='NAS';



$OID_NAME_PATTERN['idrac']['local']='default_snmp_dell_idrac';
$OID_NAME_PATTERN['idrac']['gesa']='default_gesa_dell_idrac';
$OID_NAME_PATTERN['idrac']['type']='server';


$OID_NAME_PATTERN['synology']['local']='default_snmp_nas_synology';
$OID_NAME_PATTERN['synology']['gesa']='default_gesa_nas_synology';
$OID_NAME_PATTERN['synology']['type']='server';


$OID_NAME_PATTERN['ILO2']['local']='default_snmp_ilo'; //'default_snmp_old_ILO';
$OID_NAME_PATTERN['ILO2']['gesa']='default_gesa_snmp_ilo'; //'default_gesa_old_ILO';
$OID_NAME_PATTERN['ILO2']['type']='server';


$OID_NAME_PATTERN['ILO4']['local']='default_snmp_ilo';
$OID_NAME_PATTERN['ILO4']['gesa']='default_gesa_snmp_ilo';
$OID_NAME_PATTERN['ILO4']['type']='server';

$OID_NAME_PATTERN['stormshield']['local']='default_snmp_stormshield';
$OID_NAME_PATTERN['stormshield']['gesa']='default_gesa_stormshield';
$OID_NAME_PATTERN['stormshield']['type']='firewall';

$OID_NAME_PATTERN['watchguard']['local']='default_snmp_watchguard';
$OID_NAME_PATTERN['watchguard']['gesa']='default_gesa_snmp_watchguard';
$OID_NAME_PATTERN['watchguard']['type']='firewall';

$OID_NAME_PATTERN['as400']['local']='default_snmp_linux_server';
$OID_NAME_PATTERN['as400']['gesa']='default_gesa_linux_server';
$OID_NAME_PATTERN['as400']['type']='server';

$OID_NAME_PATTERN['cyberoam']['local']='default_snmp_cyberoam';
$OID_NAME_PATTERN['cyberoam']['gesa']='default_gesa_snmp_cyberoam';
$OID_NAME_PATTERN['cyberoam']['type']='firewall';

$OID_NAME_PATTERN['clavister']['local']='default_snmp_clavister';
$OID_NAME_PATTERN['clavister']['gesa']='default_gesa_snmp_clavister';
$OID_NAME_PATTERN['clavister']['type']='firewall';

$OID_NAME_PATTERN['raritan']['local']='default_snmp_raritan';
$OID_NAME_PATTERN['raritan']['gesa']='default_gesa_snmp_raritan';
$OID_NAME_PATTERN['raritan']['type']='pdu';

$OID_NAME_PATTERN['epdu']['local']='default_snmp_epdu';
$OID_NAME_PATTERN['epdu']['gesa']='default_gesa_snmp_epdu';
$OID_NAME_PATTERN['epdu']['type']='pdu';

$OID_NAME_PATTERN['allied_switch']['local']='default_snmp_alliedtelesis';
$OID_NAME_PATTERN['allied_switch']['gesa']='default_gesa_snmp_alliedtelesis';
$OID_NAME_PATTERN['allied_switch']['type']='switch';

$OID_NAME_PATTERN['juniper']['local']='default_snmp_juniper';
$OID_NAME_PATTERN['juniper']['gesa']='default_gesa_snmp_juniper';
$OID_NAME_PATTERN['juniper']['type']='router';

//$OID_NAME_PATTERN['avaya']['local']='default_snmp_avaya';
//$OID_NAME_PATTERN['avaya']['local']='default_gesa_snmp_avaya';
//$OID_NAME_PATTERN['avaya']['type']='switch';

$OID_NAME_PATTERN['fortinet']['local']='default_snmp_fortinet';
$OID_NAME_PATTERN['fortinet']['gesa']='default_gesa_fortinet';
$OID_NAME_PATTERN['fortinet']['type']='firewall';

$OID_NAME_PATTERN['lenovo']['local']='default_snmp_lenovo';
$OID_NAME_PATTERN['lenovo']['gesa']='default_gesa_snmp_lenovo';
$OID_NAME_PATTERN['lenovo']['type']='none';
$OID_NAME_PATTERN['sonicwall']['local']='default_snmp_sonicwall';
$OID_NAME_PATTERN['sonicwall']['gesa']='default_gesa_snmp_sonicwall';
$OID_NAME_PATTERN['sonicwall']['type']='firewall';
$OID_NAME_PATTERN['hikvision']['local']='default_snmp_hikvision';
$OID_NAME_PATTERN['hikvision']['gesa']='default_gesa_snmp_hikvision';
$OID_NAME_PATTERN['hikvision']['type']='none';
$OID_NAME_PATTERN['dahua']['local']='default_snmp_dahua';
$OID_NAME_PATTERN['dahua']['gesa']='default_gesa_snmp_dahua';
$OID_NAME_PATTERN['dahua']['type']='none';
class IANA
{
	//Callbacks functions
	static function getHPPattern($oid,$sysdescr)
	{
		if( preg_match('/(integrated.*Lights.*out|ilo)\D*(\d)/i',$sysdescr,$matches) == 1)
		{
			if($matches[2] < 2 ) return null;
			if($matches[2] < 4 ) return 'ILO2';
			return 'ILO4';
		}

		//Imprimante ou switch ?
		foreach($oid as $line){
			if(preg_match('#\.3\.6\.1\.4\.1\.([0-9]*)#', $line,$regs))
			{
				if(strpos($line,'3.6.1.4.1.11.2.3.9.1'))
				{
					return 'printer';
				}
			}
		}
		return 'hp_switch';
	}

	//internal functions
	static function searchOID($objectid){
		foreach($objectid as $line){
			if(preg_match('#\.3\.6\.1\.4\.1\.([0-9]*)#', $line,$regs)) {
				return $regs[1];
			}
		}
		return null;
	}

	static function searchHPOID($objectid){
		foreach($objectid as $line){
			#Imprimante HP qui renvoie un OID bizarre
			if(preg_match('#joint-iso-ccitt.*#', $line,$regs))
			{
				return $regs[0];
			}
		}
		return null;
	}

	static function manufacturerByOID($oid){
		global $LOGO_BY_IANA_ENTERPRISE_OID;

		$manufacturer=array('name'=>'none','logo'=>'none','oid'=>'none');
		if(array_key_exists($oid,$LOGO_BY_IANA_ENTERPRISE_OID))
		{
			$manufacturer = $LOGO_BY_IANA_ENTERPRISE_OID[$oid];
		}

		return $manufacturer;
	}

	static function manufactuerByDesc($oid,$sysdescr){
		global $LOGO_BY_IANA_DESCRIPTION;

		$manufacturer=array('name'=>'none','logo'=>'none','oid'=>'none');
		foreach($LOGO_BY_IANA_DESCRIPTION[$oid] as $key => $value)
		{
			if( preg_match("/$key/i",$sysdescr) == 1)
			{
				$manufacturer=$LOGO_BY_IANA_DESCRIPTION[$oid][$key];
			}
		}
		return $manufacturer;
	}

	//Tools functions
	static function getSettingsName($objectid,$sysdescr){
		$oid = self::searchOID($objectid);
		if( $oid == null ){
			#Imprimante HP qui renvoie un OID bizarre
			$oid = self::searchHPOID($objectid);
			if( $oid != null ) return 'printer';
		}
		else{
			$manufacturer = self::manufacturerByOID($oid);

			if($manufacturer['searchDesc']===true){
				$manufacturerB=self::manufactuerByDesc($oid,$sysdescr);
				if(isset($manufacturerB['pattern']) || isset($manufacturerB['function'])){
					$manufacturer = $manufacturerB;
				}
			}
		}

		$pattern_type=null;
		if(isset($manufacturer['pattern'])){
			$pattern_type=$manufacturer['pattern'];
		}
		else if(isset($manufacturer['function'])){
			$pattern_type = call_user_func(array('IANA', $manufacturer['function']),$objectid,$sysdescr);
		}

		if($pattern_type != null ){
			return $pattern_type;
		}
		return null;
	}

	static function getPatternAdvised($gesa,$settingsName){
		global $OID_NAME_PATTERN;

		if($settingsName ==null) return null;
		if($gesa)	return $OID_NAME_PATTERN[$settingsName]['gesa'];
		else		return $OID_NAME_PATTERN[$settingsName]['local'];

	}

	static function getNodeType($settingsName){
		global $OID_NAME_PATTERN;

		if($settingsName ==null) return null;
		return $OID_NAME_PATTERN[$settingsName]['type'];
	}


	static function getManufacturerLogo($objectid,$sysdescr){
		$oid = self::searchOID($objectid);
		if( $oid == null ){
			#Imprimante HP qui renvoie un OID bizarre
			$oid = self::searchHPOID($objectid);
			if( $oid != null ) return array('name'=>'HP','logo'=>'/theme/logo/HP.png','oid'=>$oid);
		}
		else{
			$manufacturer = self::manufacturerByOID($oid);
			if($manufacturer['searchDesc']===true)
			{
				$manufacturer=self::manufactuerByDesc($oid,$sysdescr);
				if($manufacturer['name']=='none'||$manufacturer['logo']=='none')
				{
					$manufacturer = self::manufacturerByOID($oid);
				}
			}
		}
		return array('name'=>$manufacturer['name'],'logo'=>$manufacturer['logo'],'oid'=>$oid);
	}
}
?>
