<?php
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
$action ='list';
if(!empty($_GET['action']))
{
	$action =$_GET['action'];
}
$smarty->assign('action',$action);

if(isset($_GET['isNoHtmlHeader']) && $_GET['isNoHtmlHeader'] == TRUE)
{
	$smarty->assign('isNoHtmlHeader', TRUE);
}
else
{
	$smarty->assign('isNoHtmlHeader', FALSE);
}
if($action =='view')
{
	if(is_numeric($_GET['id']))
	{
		$rss_message = Model_esia::getRSSMessages($dbconnection, NULL, $_GET['id'])[0];
		$rss_message['message_categories'] = preg_replace("/,[\s]*/", ', ', $rss_message['message_categories']);
		$smarty->assign('rss_message', $rss_message);
		Model_esia::RSSMessagesRead($dbconnection, 'READ', $user->getId(), $rss_message['id']);
	}
}
elseif($action =='channelSubscribe')
{		
	if(!empty($_POST['json_channel']))
	{
		try
		{
			$json = json_decode($_POST['json_channel'],true);
			Model_esia::RSSChannelSubscribe($dbconnection,'SUBSCRIBE',$user->getId(), $json);
			$smarty->assign('rss_channels',$arr);
			$smarty->assign('sub_success',$lang['RSS_CHANNEL_SUBSCRIBE_SUCCESS']);
		}
		catch (Exception $e) 
		{
			$smarty->assign('sub_failed',$e->getMessage());
		}
	}
	$subchannel = Model_esia::getRSSChannel($dbconnection,null,null,$user->getId());
	$list_sub=array();
	foreach($subchannel as $chan)
	{
		$list_sub[]=$chan['id'];
	}
	$channel = Model_esia::getRSSChannel($dbconnection);
	$arr=array();
	foreach($channel as $chan)
	{
		if(!in_array($chan['id'], $list_sub))
		{
			$arr[]=$chan;
		}
	}
	
	$smarty->assign('rss_channels',$arr);
}
elseif($action =='channelUnsubscribe')
{
	if(!empty($_POST['channelid']))
	{
		try
		{
			Model_esia::RSSChannelSubscribe($dbconnection,'UNSUBSCRIBE',$user->getId(),$_POST['channelid']);
			$smarty->assign('sub_success',$lang['RSS_CHANNEL_UNSUBSCRIBE_SUCCESS']);
		}
		catch (Exception $e)
		{
			$smarty->assign('sub_failed',$e->getMessage());
		}
	}
	elseif(is_numeric($_GET['id']))
	{
		$channel = Model_esia::getRSSChannel($dbconnection,$_GET['id'],null,$user->getId());
		$smarty->assign('rss_channels',$channel[0]);

	}
}
elseif($action =='notRead' || $action =='read' )
{
	if(is_numeric($_GET['id']))
	{
		$messages = Model_esia::getRSSMessages($dbconnection,null,$_GET['id']);
		if($action =='read')
		{
			Model_esia::RSSMessagesRead($dbconnection,'READ',$user->getId(),$messages[0]['id']);
		}
		else
		{
			Model_esia::RSSMessagesRead($dbconnection,'NOTREAD',$user->getId(),$messages[0]['id']);
		}
		$state['state']='OK';
		$state['action']=$action;
		echo json_encode($state);
		exit(0);
	}
	else 
	{
		throw new EsiaDbException("id is not numeric");
	}
}
elseif($action =='readAll' || $action =='notReadAll' )
{
	$state='READ';
	$url ='/rss_view.php';
	$channel=null;
	if($action =='notReadAll')
	{
		$state='NOTREAD';
	}
	if(!empty($_GET['channel']))
	{
		$channel = Model_esia::getRSSChannel($dbconnection,$_GET['channel'],null,$user->getId());
		$channel = $channel[0]['id'];
		$url.='?action=channel&id='.$channel;
	}
	$messages = Model_esia::getRSSMessages($dbconnection,$channel,null,$user->getId(),10000);
	$arr=array();
	foreach($messages as $row => $msg)
	{
		$arr[]=$msg['id'];
	}
	Model_esia::RSSMessagesRead($dbconnection,$state,$user->getId(),$arr);
	header("Location: $url");
	exit(0);
}
else
{
	$navbar->addElement($lang['RSS_FEED'], '/rss_view.php');

	$channel = Model_esia::getUnreadMessageByChannel($dbconnection,$user->getId(),null,'NAME');
	$smarty->assign('rss_channels', $channel['channel']);
	$smarty->assign('rss_channels_global', $channel['global']);
	$selectedChanId = null;
	$selectedChannel = array(
		'name' => $lang['RSS_CHANNEL_SHOWALL'],
		'image' => '/theme/default/images/select-all-small.svg',
	);
	if($action=='channel' && is_numeric($_GET['id']))
	{
		$chanData = Model_esia::getRSSChannel($dbconnection, $_GET['id'], NULL, $user->getId());
		if(!empty($chanData))
		{
			$selectedChannel = $chanData[0];
			
			$selectedChanId = $_GET['id'];
			$smarty->assign('selectedChanId', $selectedChanId);
			
			if(empty($selectedChannel['image']))
			{
				if($selectedChannel['type'] == 'LOCAL')
				{
					$selectedChannel['image'] = '/theme/default/images/rss-icon-local-small.svg';
				}
				else
				{
					$selectedChannel['image'] = '/theme/default/images/rss-icon-small.svg';
				}
			}
		}
	}
	$smarty->assign('selectedChannel', $selectedChannel);
    $readmessage = Model_esia::getRSSReadMessagesID($dbconnection,$user->getId(),$selectedChanId);
    $smarty->assign('rss_read',$readmessage);	
	$messages = Model_esia::getRSSMessages($dbconnection,$selectedChanId,null,$user->getId());
	$arr=array();
	foreach($messages as $row => $msg)
	{		
		$read = 'no';
		if(in_array($msg['id'], $readmessage))
		{
			$read='yes';
		}
		$arr[]=array('channel_id'=>$msg['channel_id'],
			'channel_name'=>$msg['channel_name'],
			'channel_type'=>$msg['channel_type'],
			'id'=>$msg['id'],
			'title'=>$msg['title'],
			'message'=>$msg['message'],
			'lang'=>$msg['lang'],
			'link'=>$msg['link'],
			'author'=>$msg['author'],
			'publish'=>$msg['publish'],
			'type'=>$msg['type'],
			'url'=>$msg['url'],
			'category'=>$msg['category'],
			'read'=>$read
		);
	}
	$smarty->assign('rss_messages',$arr);	
}
$smarty->display('rss_view.html');
?>
