<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir
function LoadOption(regex,id,plugin)
{
	var elemRemplace = "";
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(new RegExp(regex));
	$(id).val(elemRemplace[1]);
}	
/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir
function ModifyParam(plugin) 
{ 
	var lat_warning= $("#plug-"+plugin+"-configuration-parameter-WarningMs").val();
	var lat_critical= $("#plug-"+plugin+"-configuration-parameter-CriticalMs").val();
	var lost_warning= $("#plug-"+plugin+"-configuration-parameter-Warning").val();
	var lost_critical= $("#plug-"+plugin+"-configuration-parameter-Critical").val();
	var gigue_warning= $("#plug-"+plugin+"-configuration-parameter-WarningGigue").val();
	var gigue_critical= $("#plug-"+plugin+"-configuration-parameter-CriticalGigue").val();
	var mac= $("#plug-"+plugin+"-configuration-parameter-mac").val();
	var net= $("#plug-"+plugin+"-configuration-parameter-network").val();
	var tmp = '-a "'+mac+' '+lat_warning+','+lost_warning+','+gigue_warning+' '+lat_critical+','+lost_critical+','+gigue_critical+' '+net+'"';
	
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	param = param.replace(/-a\s+.*/,tmp);
	$("#plug-"+plugin+"-configuration-parameter").val(param);			
}	
</script>

<?php
/**
 * @name check_icmp
 * @description check permettant de modifier les paramètres.
 * @author Victor Marin <v.marin@esia-network.com>
 * @author Faes Nathan <n.faes@esia-sa.com>
 * @date 17/01/2017
 */
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';

if(isset($_GET['id']))
{
	echo '<style type="text/css">.mytext {width: 136px;}</style>';

	echo '<table id="simpleTable'.$_GET['id'].'">';
	echo '<tr><td>'.$lang['MACADDRESS'].'</td>';
	echo '<td><input type="text" id="plug-'.$_GET['id'].'-configuration-parameter-mac" data-option="M" data-index="0" data-regex="-a\s+\&quot;+(\S+)\s+" class="mytext"/></td></tr>';
	
	echo '<tr><td>'.$lang['NETWORK_GIGUE'].'</td>';
	echo '<td><input type="text" id="plug-'.$_GET['id'].'-configuration-parameter-network" data-option="R" data-index="0" data-regex="([0-9]*\.[0-9]*\.[0-9]*\.[0-9]*\/[0-9]*)" class="mytext"/></td></tr>';
	
	echo '<tr><td>'.$lang['LGD_WAR_LAT'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-WarningMs" data-option="w" data-index="1" data-regex="-a\s+\S+\s+(\d+)," min="1" class="mytext"/></td><td>ms</td></tr>';
	
	echo '<tr><td>'.$lang['LGD_CRI_LAT'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-CriticalMs" data-option="c" data-index="1" data-regex="-a\s+\S+\s+\d+,\d+%*,\d+\s+(\d+)," min="1" class="mytext"/></td><td>ms</td></tr>';
	
	echo '<tr><td>'.$lang['LGD_WAR_LOST'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-Warning" data-option="w" data-index="2" data-regex="-a\s+\S+\s+\d+,(\d+)%*" min="1" max="100" class="mytext"/></td><td>%</td></tr>';
	
	echo '<tr><td>'.$lang['LGD_CRI_LOST'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-Critical" data-option="c" data-index="2" data-regex="-a\s+\S+\s+\d+,\d+%*,\d+\s+\d+,(\d+)%*" min="1" max="100" class="mytext"/></td><td>%</td></tr>';
	
	echo '<tr><td>'.$lang['GIGUE_WARNING'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-WarningGigue" data-option="w" data-index="1" data-regex="-a\s+\S+\s+\d+,\d+%*,(\d+)" min="1" class="mytext"/></td><td>ms</td></tr>';
	
	echo '<tr><td>'.$lang['GIGUE_CRITICAL'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-CriticalGigue" data-option="c" data-index="1" data-regex="-a\s+\S+\s+\d+,\d+%*,\d+\s+\d+,\d+%*,(\d+)" min="1" class="mytext"/></td><td>ms</td></tr>';
	
	echo '</table>';

	echo '<script type="text/javascript">eventSimplification('.$_GET['id'].',LoadOption,ModifyParam)</script>';
}
else
{
	header('HTTP/1.0 404 No Found');
	exit(0);
}
?>


