<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir
function LoadOption(regex,id,plugin)
{
	var elemRemplace = "";
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(new RegExp(regex));
	$(id).val(elemRemplace[1]);
}	

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function ModifyParam(plugin) 
{ 
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	param = param.replace(/-a\s+.*/,'-a '+$('#plug-'+plugin+'-configuration-parameter-Host').val()+ ' ' + $('#plug-'+plugin+'-configuration-parameter-Port').val() + ' ' + $('#plug-'+plugin+'-configuration-parameter-Warning').val() + ' ' +$('#plug-'+plugin+'-configuration-parameter-Critical').val());
	$("#plug-"+plugin+"-configuration-parameter").val(param);	
}

function LoadCombobox(id,plugin,lang)
{	
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param  -H $IP -C $SNMP_COM -S 2017051801321 -i 10.10.0.207 -t month -w 300 -c 400
	var inter = param.match(/-t\s(\w+)/);

	var myArray = [lang.REPORT_CANEVAS_INTERVAL_YEAR,
	               lang.REPORT_CANEVAS_INTERVAL_MONTH,
	               lang.REPORT_CANEVAS_INTERVAL_WEEK,
	               lang.REPORT_CANEVAS_INTERVAL_DAY];
	
	var valArray = ["year","month","week","day"];
    
	var options = "";
	for(var y=0; y<myArray.length; y++)
	{
		if(valArray[y]!=inter[1])
		{
			options += "<option value='"+valArray[y]+"'>"+ myArray[y] +"</option>";
		}
		else
		{
			options += "<option selected value='"+valArray[y]+"'>"+ myArray[y] +"</option>";
		}
	}
	document.getElementById(id).innerHTML = options;
}		

</script>

<?php
/**
 * @name check_snmp_printer_page.
 * @description check permettant de modifier les paramètres.
 * @author Victor Marin <v.marin@esia-network.com>
 * @date 19/05/2017
 */
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';

if(isset($_GET['id']))
{
	echo '<style type="text/css">.mytext {width: 136px;}</style>';	
	echo '<table id="simpleTable'.$_GET['id'].'">';
	echo '<tr><td>'.$lang['ADM_INTERVAL'].'</td>';
	echo '<td><select type="text" id="plug-'.$_GET['id'].'-configuration-parameter-Interval" data-option="t" data-index="0" data-regex="-t\s(\S+)" class="mytext"></select></td></tr>';
	echo '<script type="text/javascript"> var lang = '; echo json_encode($lang);
	echo '; LoadCombobox("plug-'.$_GET['id'].'-configuration-parameter-Interval",'.$_GET['id'].',lang)</script>';
	echo '<tr><td>'.$lang['LGD_WARN'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-Warning" data-option="w" data-index="0" data-regex="-w\s(\d+)" min="1" max="1000000" class="mytext"/></td><td>pages</td></tr>';
	echo '<tr><td>'.$lang['LGD_CRI'].'</td>';echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-Critical" data-option="c" data-index="0" data-regex="-c\s(\d+)" min="1" max="1000000" class="mytext"/></td><td>pages</td></tr>';
	echo '</table>';
	echo '<script type="text/javascript">eventSimplification('.$_GET['id'].',LoadOption,ModifyParam)</script>';
}
else
{
	header('HTTP/1.0 404 No Found');
	exit(0);
}
?>



