<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir
function LoadOption(regex,id,plugin)
{
	var elemRemplace = "";
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(new RegExp(regex));
	$(id).val(elemRemplace[1]);
}

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function ModifyParam(plugin)
{
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	param = param.replace(/-a\s+.*/,'-a $IP $SNMP_COM '+$('#plug-'+plugin+'-configuration-parameter-WarningActive').val()+','+$('#plug-'+plugin+'-configuration-parameter-CriticalActive').val()+' '+$('#plug-'+plugin+'-configuration-parameter-WarningDead').val()+','+$('#plug-'+plugin+'-configuration-parameter-CriticalDead').val()+' '+$('#plug-'+plugin+'-configuration-parameter-WarningLink').val()+','+$('#plug-'+plugin+'-configuration-parameter-CriticalLink').val());
	$("#plug-"+plugin+"-configuration-parameter").val(param);
}

</script>

<?php
/**
 * @name check_icmp
* @description check permettant de modifier les paramètres.
* @author Faes Nathan <n.faes@esia-sa.com>
* @date 17/01/2017
*/
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';

if(isset($_GET['id']))
{
	echo '<style type="text/css">.mytext {width: 136px;}</style>';	
	echo '<table id="simpleTable'.$_GET['id'].'">';
	echo '<tr><td>'.$lang['LGD_WARN'].' minimum</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-WarningActive" data-option="a" data-index="1" data-regex="-a\s+\S+\s+\S+\s+(\d+)," class="mytext"/></td><td>'.$lang['ACTIVE_NODES'].'</td></tr>';
	echo '<tr><td>'.$lang['LGD_CRI'].' minimum</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-CriticalActive" data-option="a" data-index="2" data-regex="-a\s+\S+\s+\S+\s+\d+,(\d+)" class="mytext"/></td><td>'.$lang['ACTIVE_NODES'].'</td></tr>';
	echo '<tr><td>'.$lang['LGD_WARN'].' maximum</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-WarningDead" data-option="d" data-index="1" data-regex="-a\s+\S+\s+\S+\s+\d+,\d+\s+(\d+)," class="mytext"/></td><td>'.$lang['DEAD_NODES'].'</td></tr>';
	echo '<tr><td>'.$lang['LGD_CRI'].' maximum</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-CriticalDead" data-option="d" data-index="2" data-regex="-a\s+\S+\s+\S+\s+\d+,\d+\s+\d+,(\d+)" class="mytext"/></td><td>'.$lang['DEAD_NODES'].'</td></tr>';
	echo '<tr><td>'.$lang['LGD_WARN'].' maximum</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-WarningLink" data-option="l" data-index="1" data-regex="-a\s+\S+\s+\S+\s+\d+,\d+\s+\d+,\d+\s+(\d+)," class="mytext"/></td><td>'.$lang['DOWN_LINKS'].'</td></tr>';
	echo '<tr><td>'.$lang['LGD_CRI'].' maximum</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-CriticalLink" data-option="l" data-index="2" data-regex="-a\s+\S+\s+\S+\s+\d+,\d+\s+\d+,\d+\s+\d+,(\d+)" mclass="mytext"/></td><td>'.$lang['DOWN_LINKS'].'</td></tr>';
	echo '</table>';
	echo '<script type="text/javascript">eventSimplification('.$_GET['id'].',LoadOption,ModifyParam)</script>';
}
else
{
	header('HTTP/1.0 404 No Found');
	exit(0);
}
?>