<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function LoadOption(regex,id)
{
	var elemRemplace = "";
	var param = $("#parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(new RegExp(regex));
	$(id).val(elemRemplace[1]);
}	

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function ModifyParam() 
{   	
	var param = $("#parameter").val(); // recuperation de defaut param
	param = param.replace(/-a\s+.*/,'-a $IP $SNMP_COM '+ $('#Warning').val()+ ' ' + $('#Critical').val());
	$("#parameter").val(param);			
}
</script>

<?php
/**
 * @name check_war_cri.
 * @description check permettant de modifier les paramètres.
 * @author Faes Nathan <n.faes@esia-sa.com>
 * @date 29/11/2016
 */
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';
$Array_Val_Regex = Array("LOAD","MEM","CPU","RAM","SWAP","STORAGE");
$MinMax = "";

// "i" après le délimiteur du pattern, recherche pas sensible à la casse
if (preg_match("/HEALTH/i",$PLUGIN["name"]) || preg_match("/ENV/i",$PLUGIN["name"]) || preg_match("/TEMP/i",$PLUGIN["name"]))
{
	$unite="C°";
	if(preg_match("/FUJITSU_TEMP/i",$PLUGIN["name"]))
	{
		$unite="C° (Ambient)";
	}
	elseif(preg_match("/FUJITSU_SYSTEMHEALTH/i",$PLUGIN["name"]))
	{
		$unite="rpm";
	}
	
}
elseif(preg_match("/TIME/i",$PLUGIN["name"]))
{
	$unite=$lang['SECOND'];
}
else
{
	foreach ($Array_Val_Regex as $val)
	{
		if(preg_match("/$val/i",$PLUGIN["name"]))
		{
			$unite="%";
			$MinMax = "min=\"1\" max=\"100\"";
			break;
		}
		else
		{
			$unite = "";
		}
	}
}

echo '<style type="text/css">
.mytext {
    width: 136px;
}</style>';

echo '<table id="simpleTable"><tr><td>'.$lang['LGD_WARN'].'</td>';
echo '<td><input type="number" id="Warning" data-option="w" data-index="0" data-regex="-a\s+\S+\s+\S+\s+(\d+)%*" '.$MinMax.' class="mytext"/></td><td>'.$unite.'</td></tr>';

echo '<tr><td>'.$lang['LGD_CRI'].'</td>';
echo '<td><input type="number" id="Critical" data-option="c" data-index="0" data-regex="-a\s+\S+\s+\S+\s+\d+\s+(\d+)%*" '.$MinMax.' class="mytext"/></td><td>'.$unite.'</td></tr>';
echo '</table>';

echo '<script type="text/javascript" src="theme/plugins/simple.js"></script>';

?>




