<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function LoadOption(regex,id,plugin)
{
	var elemRemplace = "";
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(new RegExp(regex));
	$(id).val(elemRemplace[1]);
}	

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function ModifyParam(plugin) 
{   	
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	param = param.replace(/-a\s+.*/,'-a $IP '+ $("#plug-"+plugin+"-configuration-parameter-warning").val()+ ' ' + $("#plug-"+plugin+"-configuration-parameter-critical").val());
	$("#plug-"+plugin+"-configuration-parameter").val(param);			
}
</script>

<?php
/**
 * @name check_war_cri.
 * @description check permettant de modifier les paramètres.
 * @author Faes Nathan <n.faes@esia-sa.com>
 * @date 29/11/2016
 */
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';

$Array_Val_Regex = Array("LOAD","MEM","CPU","RAM","SWAP","STORAGE");
$MinMax = "";
$PLUGIN['name'] = $_GET['name'];

// "i" après le délimiteur du pattern, recherche pas sensible à la casse
foreach ($Array_Val_Regex as $val)
{
	if(preg_match("/$val/i",$PLUGIN["name"]))
	{
		$unite="%";
		$MinMax = "min=\"1\" max=\"100\"";
		break;
	}
	else
	{
		$unite = "";
	}
}
if(isset($_GET['id']))
{
	echo '<style type="text/css">.mytext {width: 136px;}</style>';
	
	echo '<table id="simpleTable'.$_GET['id'].'" style="border-spacing:2;">';
	echo '<tr><td>'.$lang['LGD_WARN'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-warning" data-option="w" data-index="0" data-regex="-a\s+\S+\s+(\d+)%*" '.$MinMax.' style="width:100px;" class="mytext"/></td><td>'.$unite.'</td></tr>';
	echo '<tr><td>'.$lang['LGD_CRI'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-critical" style="width:100px;" data-option="c" data-index="0" data-regex="-a\s+\S+\s+\d+\s+(\d+)%*" '.$MinMax.' class="mytext"/></td><td>'.$unite.'</td></tr>';
	echo '</table>';
	echo '<script type="text/javascript">eventSimplification('.$_GET['id'].',LoadOption,ModifyParam)</script>';
}
else
{
	header('HTTP/1.0 404 No Found');
	exit(0);
}
?>
