<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function LoadOption(regex,id,plugin)
{
	var elemRemplace = "";
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(new RegExp(regex));
	$(id).val(elemRemplace[1]);
}

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function ModifyParam (plugin)
{
	var warning= $("#plug-"+plugin+"-configuration-parameter-WarningStorage").val();
	var critical= $("#plug-"+plugin+"-configuration-parameter-CriticalStorage").val();
	var dsk= $("#plug-"+plugin+"-configuration-parameter-Disk").val();
	var tmp = '-a $IP _PercentBusyTime='+warning+' _PercentBusyTime='+critical+' '+dsk+':';

	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	//param = param.replace(new RegExp('\s+[A-Z\:]$'),' '+$("#plug-"+plugin+"-configuration-parameter-Disk").val());
	param = param.replace(/-a\s+.*/,tmp);
	$("#plug-"+plugin+"-configuration-parameter").val(param);
}
</script>

<?php
/**
 * @name check_snmp_windows_storage
 * @description check permettant de modifier les paramètres.
 * @author Nathan Faes <n.faes@esia-sa.com>
 * @date 17/01/2017
 */
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';

if(isset($_GET['id']))
{
	echo '<style type="text/css">.mytext {width: 136px;}</style>';

	echo '<table id="simpleTable'.$_GET['id'].'">';

echo '<tr><td>'.$lang['LGD_DISK'].'</td>';
echo '<td><input type="text" id="plug-'.$_GET['id'].'-configuration-parameter-Disk" data-option="a" data-index="0" data-regex=".*" class="mytext"/></td></tr>';

echo '<tr><td>'.$lang['LGD_WARN'].' '.$lang['LGD_STOCK'].'</td>';
echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-WarningStorage" data-option="w _PercentBusyTime=" data-index="6" data-regex="(\d+)" min="1" max="100" class="mytext"/></td><td>%</td></tr>';

echo '<tr><td>'.$lang['LGD_CRI'].' '.$lang['LGD_STOCK'].'</td>';
echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-CriticalStorage" data-option="c _PercentBusyTime=" data-index="6" data-regex="(\d+)" min="1" max="100" class="mytext"/></td><td>%</td></tr>';
echo '</table>';

	echo '<script type="text/javascript">eventSimplification('.$_GET['id'].',LoadOption,ModifyParam)</script>';
}
else
{
	header('HTTP/1.0 404 No Found');
	exit(0);
}
?>
