<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function LoadOption(regex,id,plugin)
{
	var elemRemplace = "";
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(regex);
	$(id).val(elemRemplace[1]);
}	

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function ModifyParam (plugin) 
{   
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	param = param.replace(/-a\s+.*/,'-a '+$('#plug-'+plugin+'-configuration-parameter-WarningDownload').val()+','+$('#plug-'+plugin+'-configuration-parameter-WarningUpload').val()+' '+$('#plug-'+plugin+'-configuration-parameter-CriticalDownload').val()+','+$('#plug-'+plugin+'-configuration-parameter-CriticalUpload').val());
	$("#plug-"+plugin+"-configuration-parameter").val(param);
}
</script>

<?php
/**
 * @name gesa_speedtest
 * @description check permettant de modifier les paramètres.
 * @author Victor Marin <v.marin@esia-sa.com>
 * @date 28/09/2017
 */
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';

if(isset($_GET['id']))
{
	echo '<style type="text/css">.mytext {width: 136px;}</style>';
	echo '<table id="simpleTable'.$_GET['id'].'">';
	echo '<tr><td>'.$lang['LGD_WARN'].' '.$lang['GESA_SPEEDTEST_DOWNLOAD'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-WarningDownload" data-option="w" data-index="1" data-regex="-a\s(\d+)" min=0 class="mytext" required/></td><td>Mbit/s</td></tr>';
	echo '<tr><td>'.$lang['LGD_WARN'].' '.$lang['GESA_SPEEDTEST_UPLOAD'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-WarningUpload" data-option="c" data-index="1" data-regex="-a\s\d+\,(\d+)" min=0 class="mytext" required/></td><td>Mbit/s</td></tr>';
	echo '<tr><td>'.$lang['LGD_CRI'].' '.$lang['GESA_SPEEDTEST_DOWNLOAD'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-CriticalDownload" data-option="w" data-index="1" data-regex="-a\s\d+\,\d+\s(\d+)" min=0 class="mytext" required/></td><td>Mbit/s</td></tr>';
	echo '<tr><td>'.$lang['LGD_CRI'].' '.$lang['GESA_SPEEDTEST_UPLOAD'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-CriticalUpload" data-option="c" data-index="1" data-regex="-a\s\d+\,\d+\s\d+\,(\d+)" min=0 class="mytext" required/></td><td>Mbit/s</td></tr>';
	echo '</table>';
	echo '<script type="text/javascript">eventSimplification('.$_GET['id'].',LoadOption,ModifyParam)</script>';
}
else
{
	header('HTTP/1.0 404 No Found');
	exit(0);
}
?>


