<?php
/*DESCRIPTION: inclus les variables habituelles pour la gestion d'une widget et vérifie les droits d'accès
 *APRES l'inclusion du common_widget les variables suivantes sont créées:
 *PHP:
 *      $action l'action passé dans l'url ou 'view'
 *      $widget un tableau associatif reprenant les paramètre de la widget
 * SMARTY
 *      $widget les informations de la widget
 *      $parameter les parametre de la widget (JSON)
 *      $action l'action passé dans l'url ou 'view'
 */
//empéche une monté du CPU à 100%
$ESIA_WIDGET_NOTREE=true;
$path = $_SERVER['DOCUMENT_ROOT'];
//inclusion des fichiers principaux
include_once $path.'common.php';
include_once $path.'/Model_adm.php';
include_once $path.'/dashboard/lib/dashboard.lib.php';
session_write_close();

if(isset($_GET['action'])&&!empty($_GET['action']))
{
    $action=$_GET['action'];
    if($action=='empty')
    {
        $action = 'view';
    }
}
else
{
    $action = 'view';
}
if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
{
    $_GET['id'] = $_POST['widgetid'];
}
$smarty->assign('action',$action);
$widget = null;
if(!empty($_GET['id']))
{
    try
    {
        $widget = model_esia::getWidget($dbconnection,$_GET['id'],$user->getId());
        $widget = $widget[0];
        //print_r($dashboard);
        $smarty->assign('parameter',$widget['option']);
        $smarty->assign('widget',$widget);
    }
    catch (Exception $e)
    {
        $smarty->display('no_access.html');
        exit(0);
    }
}
else
{
    $smarty->display('no_access.html');
    exit(0);
}
function widgetTranslateNameDescription($widget,$smarty,$lang)
{
	$change = false;
    if(strpos($widget['name'],'LANG_')!==false)
    {
    	$key = preg_replace('#LANG_#','',$widget['name']);
    	$widget['name'] = $lang[$key];
    	$change =true;
    }
    if(strpos($widget['description'],'LANG_')!==false)
    {
    	$key = preg_replace('#LANG_#','',$widget['description']);
    	$widget['description'] = $lang[$key];
    	$change =true;
    }
    if($change == true)
    {
    	$smarty->assign('widget',$widget);
    }
}

?>
