<?php
function getPostDefaultParams($widget, $post)
{
    $widget['name']=$post['widgetname'];
    $widget['description']=trim($post['widgetdescription']);
    $widget['during'] = $post['widgetduring'];
    $params = array();
    if(array_key_exists('default_option',$widget))
    {
    	$params = $widget['default_option'];
    }
    else
    {
    	$params = $widget['option'];
    }
    //echo 'update '.$post['description_color'];
    //la balise style est non présente
    if(!array_key_exists('style',$params['title']) ||!array_key_exists('style',$params['description']) )
    {
    	//echo 'update '.$post['description_color'];
    	$params['title']['style'] = 'text-align: '.$post['title_position'].'; font-size:'.$post['title_size'].'px; color:'.$post['title_color'];
    	$params['description']['style'] = 'text-align: '.$post['description_position'].'; font-size:'.$post['description_size'].'px; color:'.$post['description_color'];
    	
    }
    else 
    {
	    //CHANGEMENT DES POSITIONS
	    $pattern = '#text\-align:\s+[a-zA-Z]*#';
	    $repla = 'text-align: '.$post['title_position'];
	    $params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
	    $repla = 'text-align: '.$post['description_position'];
	    $params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
	    //CHANGEMENT DES TAILLES DE POLICE
	    $pattern = '#font\-size:[0-9]*px#';
	    $repla = 'font-size:'.$post['title_size'].'px';
	    $params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
	    $repla = 'font-size:'.$post['description_size'].'px';
	    $params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
	    
	
	    //remplacement de la couleur
	    $pattern = '#color:[\#0-9A-Fa-f]*#';
	    $repla = 'color:'.$post['title_color'];
	    $params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
	    $repla = 'color:'.$post['description_color'];
	    if(preg_match($pattern,$pattern,$repla,$params['description']['style'],$regs ))
	    {
	    	$params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
	    }
	    else 
	    {
	    	$params['description']['style'] = $params['description']['style'].' '.$repla;
	    }
    }
    $widget['option']=$params; 
    return $widget;
}
function getWidgetStyle($style, $default_size=14,$default_align='left',$default_color='#575759')
{
    $name['size']=$default_size;
    $name['align']=$default_align;
    $name['color']=$default_color;
    if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$style,$regs))
    {
        if(!empty($regs[2]))
        {
            $name['size']=$regs[2];
        }
        if(!empty($regs[1]))
        {
            $name['align']=$regs[1];
        }
    }
    if(preg_match('#color:([\#0-9A-Fa-f]*)#',$style,$regs))
    {
        if(!empty($regs[1]))
        {
            $name['color']=$regs[1];
        }
    }
    return $name;
}
?>
