<?php
/*DESCRIPTION: inclus les variables habituelles pour la gestion d'une widget et vérifie les droits d'accès
 *APRES l'inclusion du common_widget les variables suivantes sont créées:
 *PHP:
 *      $action l'action passé dans l'url ou 'view'
 *      $widget un tableau associatif reprenant les paramètre de la widget
 * SMARTY
 *      $widget les informations de la widget
 *      $parameter les parametre de la widget (JSON)
 *      $action l'action passé dans l'url ou 'view'
 */
include "./common_widget.php";
if($action =='update')
{
	if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
	{
		try
		{
		    $widget = getPostDefaultParams($widget,$_POST);
		    $params = $widget['option'];
			if(is_numeric($_POST['node_galaxy']))
			{
				$params['node']= $_POST['node_galaxy'];
			}
			//Setter les filtres si définis
			foreach($_POST as $key => $var)
			{
			    if(preg_match('#([0-9a-zA-Z]*)\_filter#',$key, $regs))
			    {
			        if(!empty($_POST[$key]))
			        {
			            $params['filters'][$regs[1]] = $_POST[$key];
			        }
			        else
			        {
			            $params['filters'][$regs[1]] = "";
			        }
			    }
			}
			
			Model_esia::updateWidget($dbconnection, $widget['id'], $widget['name'], $widget['description'], $widget['during'], $params);
			$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
			$widget['option']=$params;
			$smarty->assign('widget',$widget);
			$smarty->assign('selectgalaxy',$params['node']);
		}
		catch(Exception $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
	}
	//recupération des styles
	$title = getWidgetStyle($params['title']['style'],14,'left','#575759');
	$description = getWidgetStyle($params['description']['style'],12,'#575759');
	$smarty->assign('titlestyle',$title);
	$smarty->assign('descriptionstyle',$description);
	$params = $widget['option'];
	$nodes = Model_esia::getNodebyType($dbconnection, $user->getId(), "galaxy");
	$listgalaxy = array();
	foreach($nodes as $node)
	{
		//print_r($node->getGroupList());
		//$listgalaxy[$node->getId()]=array('id' => $node->getId(),'name'=>$node->getName(),'group'=>$node->getGroupList()[0] );
		$listgalaxy[$node->getId()]=$node->getGroup().' > '.$node->getName();
	}
	$smarty->assign('listgalaxy',$listgalaxy);
	$smarty->assign('selectgalaxy',$params['node']);
	$smarty->assign('widget',$widget);
	$smarty->display($path.'/dashboard/template/alerte_api.html');
}
else
{
		$SIMPLEVIEW=true;
		$_GET['action']='dashboard';
		// ON fixe les filtres en variables POST pour l'envoit au système de tri du tablesorter
		foreach($params['filters'] as $key => $filt)
		{
		    if(isset($filt)&&!empty($filt))
		    {
		        $_POST[$key.'_filter']=$filt;
		    }
		    else
		    {
		        $_POST[$key.'_filter']="";
		    }
		}
		$_GET['widgetid']=$_GET['id'];
		//chemin d'accès au repertoire du plugin contenant les templates
		$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_ENTERPRISE');
		//$template_path= $path.$arr[0]['apache_path'].'template/';
		$url = $arr[0]['apache_path'].'enterprise_control.php';
		$alertpage = file_get_contents($url);
		//echo "$url";
		$smarty->assign('url',$url);
		$smarty->display($path.'/dashboard/template/alerte_api.html');
	//	include $path.'/index.php';
}
?>
