<?php
//inclusion des fichiers principaux

//empéche une monté du CPU à 100%
$ESIA_WIDGET_NOTREE=true;
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
include_once $path.'/Model_adm.php';
include_once 'icons.php';

session_write_close();

if(isset($_GET['action'])&&!empty($_GET['action']))
{
	$action=$_GET['action'];
}
else 
{
	$action = 'view';
}
if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
{
	$_GET['id'] = $_POST['widgetid'];
}
$smarty->assign('action',$action);
if(!empty($_GET['id']))
{
	$dashboard = model_esia::getWidget($dbconnection,$_GET['id'],$user->getId());
	$dashboard = $dashboard[0];
	$params=$dashboard['option'];
	/*echo '<pre>';
	print_r($dashboard);
	echo '</pre>';*/
	$smarty->assign('parameter',$params);
	$smarty->assign('widget',$dashboard);
	if($action =='update')
	{
		if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
		{
			try 
			{
				$params=$dashboard['default_option'];
				$i = 0;
				if(isset($_POST['element'])) {
					foreach ($_POST['element'] as $element) {
						foreach($element as $key => $one) {
							$params["link"][$i][$key] = $one;
						}
						$i++;
					}
				}

				//Option des noeuds
				Model_esia::updateWidget($dbconnection, $_POST['widgetid'], $_POST['widgetname'], $_POST['widgetdescription'], $_POST['widgetduring'], $params);
				$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
				$dashboard['name']=$_POST['widgetname'];
				$dashboard['description']=$_POST['widgetdescription'];
				$smarty->assign('widget',$dashboard);
			}
			catch(Exception $e)
			{
				$smarty->assign('l_error',$e->getMessage());
			}
		}

		//recupération des styles
		$name['size']=14;
		$name['align']='left';
		$description['size']=12;
		$description['align']='left';
		if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['title']['style'],$regs))
		{
			$name['size']=$regs[2];
			$name['align']=$regs[1];
		}
		if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['description']['style'],$regs))
		{
			$description['size']=$regs[2];
			$description['align']=$regs[1];
		}
		$titlecolor='#575759';
		if(preg_match('#color:([\#0-9A-Fa-f]*)#',$params['title']['style'],$regs))
		{
			$titlecolor=$regs[1];
		}
		$smarty->assign('namecolor',$titlecolor);
		$smarty->assign('namestyle',$name);
		$smarty->assign('descriptionstyle',$description);
		$smarty->assign('type',$params['type']);
		$smarty->assign('listIcon',$icons_applicative);
		//Récupération des noeuds


		$nodes = Model_esia::getNodeList($dbconnection,$user->getId(),null,Model_esia::NODE_ASSOC);

		$list = array();
		foreach($nodes as $node)
		{
			$list[] = array('id'=>$node['id'],'name'=> $node['name']);
		}
		$smarty->assign('adm_list_node', $list);
		$list=array();
		
		
		// Récupération des groupes
		$list = Model_esia::getNodeGroupHierarchyByUser($dbconnection,$user->getId());
		$smarty->assign('adm_list_group', $list);
		
		//gestion des maillon
		$i=0;
		foreach($params['link'] as $element)
		{
			if($element['type'] == "service" && !empty($element['id']))
			{
				$serid = $element['id'];
				$service = Model_esia::getServices($dbconnection,null,$element['id']);
				$nodeid = $service[0]['device_id'];
				$params['link'][$i]['id'] = $nodeid;
				array_push($params['link'][$i],array('serviceid' => $serid));
			}
			$i++;
		}
		$smarty->assign('parameter',$params);
		/*echo '<pre>';
		print_r($params);
		echo '</pre>';*/
	}
	elseif($action =="getservice")
	{
		$list=array();
		if(isset($_GET['nodeid'])&& is_numeric($_GET['nodeid']))
		{
			$node = Model_esia::InstanceNode($dbconnection, $_GET['nodeid']);
			if($user->getAccess($dbconnection, "device_view",$node->getName())==1)
			{
				$services = Model_esia::getServices($dbconnection,$node->getId());
				foreach ($services as $service)
				{
					$common_name = Model_esia::getCommonName($lang, $service['name'],$service['check_plugin_name']);
					$list[$service['id']]=$common_name;
				}
			}
		}
		echo json_encode($list,true);
		exit(0);
	}
	elseif($action =='getInfo')
	{
		$errors = array();
		foreach($params['link'] as $current)
		{
			if(!empty($current['id']))
			{
				if($current['type']=='node')
				{
					$errors[] = model_esia::getNodeError($dbconnection,$current['id'],null,$_GET['status']);
				}
				else //if($current['type']=='service')
				{
					$errors[] = model_esia::getServiceByCurrentState($dbconnection,$current['id'],$_GET['status']);
				}
			}
		}
		$serviceError=0;
		foreach($errors as $error)
		{
			foreach($error as $service)
			{
				$serviceError++;
			}
		}
		
		$smarty->assign('serviceError',$serviceError);
		$smarty->assign('errors',$errors);
	}
	else 
	{	
		$i=0;
		$allGlobalState = array();
		$widgetGlobalState = "EventOK";

		foreach($params['link'] as $element)
		{
			$state = array();
			
			if(!empty($element['id']))
			{
				if($element['type'] == "node")
				{
					$state =  model_esia::countNodeState($dbconnection,$element['id']);
				}
				else if($element['type'] == "groupNode")
				{
					//On récupère l'état des noeuds dans le parent et l'état des sous-groupes. 
					$state_parent =  model_esia::getGroupNodeStates($dbconnection,$user->getId(),$element['id'],false);
					$state_child =  model_esia::getGroupNodeStates($dbconnection,$user->getId(),$element['id'],true);
					reset($state_parent);
					$state['ok'] = $state_parent[key($state_parent)]['ok'];
					$state['warning'] = $state_parent[key($state_parent)]['warning'];
					$state['critical'] = $state_parent[key($state_parent)]['critical'];
					$state['unknown'] = $state_parent[key($state_parent)]['unknown'];
					//On additionne les 2 tableau pour avoir l'état global d'un groupe
					foreach($state_child as $current)
					{
						$state['ok'] += $current['ok'];
						$state['warning'] += $current['warning'];
						$state['critical'] += $current['critical'];
						$state['unknown'] += $current['unknown'];
					}
				}
				else
				{
					$state =  model_esia::countServiceAllState($dbconnection,$user->getId(),array($element['id']));
				}
			
				if($element['type']=='service')
				{
					$service_info = model_esia::getServices($dbconnection,null,$element['id']);			
					$node_id=$service_info[0]['device_id'];
				}
				else
				{
					$service_info = model_esia::getServices($dbconnection,$element['id']);				
					$node_id=$element['id'];
				}
				
				$node_type = $service_info[0]['device_type'];
				
				if($element['type'] != "groupNode")
				{			
					$page = model_esia::getPageControl($dbconnection,$node_type);
					//Rempalcer :id par l'id correspondant pour la page de contrôle
					$pattern = "/:id/";
					$params["link"][$i]['href'] = preg_replace($pattern,$node_id,$page);			
				}
				else //NodeGroup 
				{
					$params["link"][$i]['href'] = "/node_index.php?nodegroup=".$element['id'];
				}
			}
			
			$ar=array_count_values($state);
			if($ar[0] == count($state))
			{
				$smarty->assign('action','empty');
			}
			else
			{
				$smarty->assign('state',$state);
			}

			$globalState = "ok";
			if($state["critical"] > 0) {
				$globalState = "critical";
			}else if ($state["warning"] > 0) {
				$globalState = "warning";
			}else if ($state["unknown"] > 0) {
				$globalState = "unknown";
			}
			
			foreach($element['impact'] as $impact){
				if($impact == "critical" && $state['critical'] > 0) {
					array_push($allGlobalState, "critical");
				}else if ($impact == "warning" && $state['warning'] > 0) {
					array_push($allGlobalState, "warning");
				}else if ($impact == "unknown" && $state['unknown'] > 0) {
					array_push($allGlobalState, "unknown");
				}
			}
			
			$params["link"][$i]['state'] = $globalState;
			$i++;
		}

		if(in_array('critical', $allGlobalState)) {
			$widgetGlobalState = "EventCritical";
		}else if (in_array('warning', $allGlobalState)) {
			$widgetGlobalState = "EventWarning";
		}else if (in_array('unknown', $allGlobalState)) {
			$widgetGlobalState = "EventUnknown";
		}

		$smarty->assign('listIcon',$icons_applicative);
		$smarty->assign('parameter',$params);
		$smarty->assign('widgetGlobalState',$widgetGlobalState);
	}
}
elseif(isset($_POST['action'])&&!empty($_POST['action']) && $_POST['action']=='virtual_node')
{
	if(isset($_POST['widget'])&&!empty($_POST['widget'])) //Création du noeud virtuel
	{
		//on va rechercher les groupes de noeuds
		$arr = Model_esia::getGroupDevice($dbconnection,null,$user->getId());
		$select =array();
		foreach($arr as $top)
		{
			$select[]=array('id'=>$top['id'],'name'=>$top['fullpath']);
		}
		$smarty->assign('adm_nodegroup', $select);
	}
}

$smarty->display($path.'/dashboard/template/view_applicative.html');
?>
