<?php
include("./common_widget.php");
$params=$widget['option'];

if($action=='update')
{
	
	if(isset($_POST['widgetid']) && !empty($_POST['widgetid']))
	{
		$widget = getPostDefaultParams($widget,$_POST);
	
        
		
		Model_esia::updateWidget($dbconnection, $widget['id'], $widget['name'], $widget['description'], $widget['during'], $params);
		$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
		$smarty->assign('widget',$widget);
		
	}
	else
	{
		$title = getWidgetStyle($params['title']['style'],14,'left','#575759');
		$description = getWidgetStyle($params['description']['style'],12,'left','#575759');
		$smarty->assign('titlestyle',$title);
		$smarty->assign('descriptionstyle',$description);
		$smarty->assign('parameter',$parameters);
	}
}

else
{
	widgetTranslateNameDescription($widget,$smarty,$lang);
	$parameters = $widget['option'];
	
	$taskList =array();
	$cronList = Model_esia::getCronActiveTasks($dbconnection,null,null,null,null);
	
	foreach($cronList as $task)
	{
		if($task['status'] == NULL)
		{
			$task['status'] = 'unknown';
		}
		$keyLang = 'INVENTORY_' . strtoupper($task['status']) . '_TASK';
		if(array_key_exists($keyLang, $lang))
		{
			$stateLang = $lang[$keyLang];
		}
		else
		{
			$stateLang = ucfirst($task['status']);
		}
				
		$task['status'] = strtolower($task['status']);
		switch($task['status'])
		{
			case 'error':
			case 'failed':
				$stateClass = 'EventCritical';
				break;
			case 'ok':
			case 'terminated':
				$stateClass = 'EventOK';
				break;
			case 'pending':
			case 'new':
			case 'process':
			case 'processing':
				$stateClass = 'EventPending';
				break;
			default:
				$stateClass = 'EventUnknown';
				break;
		}
		
			$taskList[$task['id']] = array(
			'id' =>	$task['id'],
			'name' => $lang[$task['name']],
			'status_lang' => $stateLang,
			'status_class' => $stateClass,
			'last_exec' => $task['last_exec'],
			);
		
		
	}
	
	$smarty->assign('cronsList',$taskList);
	
}
$smarty->display($path.'/dashboard/template/view_cron_error.html');

?>