<?php
//inclusion des fichiers principaux
//empéche une monté du CPU à 100%
$ESIA_WIDGET_NOTREE=true;
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
session_write_close();
if(isset($_GET['action'])&&!empty($_GET['action']))
{
	$action=$_GET['action'];
}
else
{
	$action = 'view';
}
$smarty->assign('action',$action);
if(!empty($_GET['id']))
{
	$dashboard = model_esia::getWidget($dbconnection,$_GET['id'],$user->getId());
	$dashboard = $dashboard[0];
	$params=$dashboard['option'];
	//$_GET['floor_id'] = $params['floorid'];
	$smarty->assign('view_type',$_GET['type']);
	$smarty->assign('parameter',$params);
	$smarty->assign('widget',$dashboard);
	if($action =='update')
	{
		if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
		{
			try
			{
				$params=$dashboard['default_option'];
				//CHANGEMENT DES POSITIONS
				$repla = 'text-align: '.$_POST['nameposition'];
				$pattern = '#text\-align:\s+[a-zA-Z]*#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
				$repla = 'text-align: '.$_POST['desciptionposition'];
				$params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
				//CHANGEMENT DES TAILLES DE POLICE
				$repla = 'font-size:'.$_POST['namesize'].'px';
				$pattern = '#font\-size:[0-9]*px#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
				$repla = 'font-size:'.$_POST['descriptionsize'].'px';
				$params['description']['style'] = preg_replace($pattern,$repla,$params['description']['style']);
				//remplacement de la couleur
				$repla = 'color:'.$_POST['namecolor'];
				$pattern = '#color:[\#0-9A-Fa-f]*#';
				$params['title']['style'] = preg_replace($pattern,$repla,$params['title']['style']);
				
				if($_GET['type']=='floor')
				{
					$params['floor'] = $_POST['floor'];
				}
				Model_esia::updateWidget($dbconnection, $_POST['widgetid'], $_POST['widgetname'], $_POST['widgetdescription'], $_POST['widgetduring'], $params);
				$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
			}
			catch(Exception $e)
			{
				$smarty->assign('l_error',$e->getMessage());
			}
		}
		//recupération des styles
		$name['size']=14;
		$name['align']='left';
		$description['size']=12;
		$description['align']='left';
		if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['title']['style'],$regs))
		{
			$name['size']=$regs[2];
			$name['align']=$regs[1];
		}
		if(preg_match('#text-align:\s+([a-z]*).*font\-size:([0-9]*)px;#',$params['description']['style'],$regs))
		{
			$description['size']=$regs[2];
			$description['align']=$regs[1];
		}
		$titlecolor='#575759';
		if(preg_match('#color:([\#0-9A-Fa-f]*)#',$params['title']['style'],$regs))
		{
			$titlecolor=$regs[1];
		}
		$smarty->assign('titlecolor',$titlecolor);
		$smarty->assign('namestyle',$name);
		$smarty->assign('descriptionstyle',$description);
		if($_GET['type']=='floor')
		{
			$smarty->assign('type_map','floor');
			//chemin d'accès au repertoire du plugin contenant les templates
			$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_LOCATION');
			$tpluginpath= $path.$arr[0]['apache_path'];
			include_once $tpluginpath.'/map_model.php';
			$floors = MapModel::getMapFloorInformation($dbconnection);
			$listfloor =array();
			foreach ($floors as $floor)
			{
				$nodes =  MapModel::getNodesLocalizationByFloor($dbconnection, $floor['floor_id']);
				//affichage des noeuds classiques
				foreach($nodes as $node)
				{
					//vérifaction des droits d'accès
					if($user->getDroits($dbconnection,"device_view",$node['name']) ==1)
					{
						$listfloor[] = array('id'=> $floor['floor_id'],
								'name'=>$floor['zone_name'].' > '.$floor['building_name'].' > '.$floor['floor_name'],
								'map' =>$floor['floor_map']
						);
						break;
					}
				}
			}
			$smarty->assign('floors',$listfloor);
			$smarty->assign('selecfloor',$params['floor']);
		}
		$smarty->display($path.'/dashboard/template/map.html');
	}
	else 
	{
		if($_GET['type']=='floor')
		{
			$_GET['floor_id'] = $params['floor'];
			$SIMPLEVIEW=true;
			$smarty->display($path.'/dashboard/template/map.html');
			include $path.'/plugin/map/map_floor.php';
		}
		else
		{
			$tile = model_esia::getTiles($dbconnection,$dashboard['tile']);
			$tile = array_pop($tile);
			$titlesize=0;
			if(preg_match('#font\-size:([0-9]*)px;#',$params['title']['style'],$regs))
			{
				$titlesize = $regs[1];
				if($titlesize < 42)
				{
					$titlesize = 45;
				}
			}
			$descsize=0;
			if(preg_match('#font\-size:([0-9]*)px;#',$params['description']['style'],$regs))
			{
				$descsize=$regs[1];
			}
			$HEIGHT = $tile['height']-$descsize-$titlesize-10;
			$SIMPLEVIEW=true;
			$smarty->display($path.'/dashboard/template/map.html');
			include $path.'/plugin/map/map.php';
		}
	}
}
?>
