<?php
include "./common_widget.php";
include './icons.php';
if($action=='update')
{
	// liste des icones
	$smarty->assign('listIcon',$icons_applicative);
	
	$parameters = $widget['option'];
	if(isset($_POST['widgetid']) && !empty($_POST['widgetid']))
	{
		try
		{
			$widget = getPostDefaultParams($widget,$_POST);
			$parameters = $widget['option'];

			// Format links params
			$linksParams = array();
			foreach($_POST['links']['text'] as $index => $text)
			{
				$param = array(
					'text' => trim($text),
					'icon' => $_POST['links']['icon'][$index],
					'label' => trim($_POST['links']['label'][$index]),
				);

				// Push in array only if required params are present
				if(!empty($param['text']) && !empty($param['label']))
				{
					$linksParams[] = $param;
				}
			}
			$parameters['link'] = $linksParams;

			$paramSave = json_encode($parameters); 
			Model_esia::updateWidget($dbconnection,$widget['id'], $widget['name'], $widget['description'], $widget['during'], $parameters);
				//la variable l_success est affichée en rouge dans le smarty
			$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
			$smarty->assign('widget',$widget);
		}
		catch (EsiaDbException $e)
        {
            //la variable l_error est affichée en rouge dans le smarty
			$smarty->assign('l_error',$e->getMessage());
		}
        catch (Exception $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
	}
	$title = getWidgetStyle($params['title']['style'],14,'left','#575759');
	$description = getWidgetStyle($params['description']['style'],12,'left','#575759');
	$smarty->assign('titlestyle',$title);
	$smarty->assign('descriptionstyle',$description);
	$smarty->assign('parameter',$parameters);
	$smarty->assign('linksLimit', 10);
	$smarty->assign('linksCount', count($parameters['link']));
}
else
{
	widgetTranslateNameDescription($widget,$smarty,$lang);
	$parameters = $widget['option'];
	$reference_list = array();
	foreach($parameters['link'] as $link)
	{
		$img = $icons_applicative[$link['icon']];
		$label = $link['label'];
		if(strpos($label,'LANG_')!==false)
		{
			$key = preg_replace('#LANG_#','',$label);
			$label = $lang[$key];
		}
		
		$reference_list[] = array('img' => $img, 'label'=>$label ,'link'=>$link['text']);
	}
	$smarty->assign('links',$reference_list);
}

$smarty->display($path.'/dashboard/template/view_link.html');
?>
