<?php
/*DESCRIPTION: inclus les variables habituelles pour la gestion d'une widget et vérifie les droits d'accès
 *APRES l'inclusion du common_widget les variables suivantes sont créées:
 *PHP:
 *      $action l'action passé dans l'url ou 'view'
 *      $widget un tableau associatif reprenant les paramètre de la widget
 * SMARTY
 *      $widget les informations de la widget
 *      $parameter les parametre de la widget (JSON)
 *      $action l'action passé dans l'url ou 'view'
 */
include "./common_widget.php";
if($action =='update')
	{
		if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
		{
			try
			{
				$widget = getPostDefaultParams($widget,$_POST);
				$params = $widget['option'];
				//Option des noeuds
				if(isset($params['nodeid']))
				{
					if($_POST['nodes']!=null)
					{
						$params['nodeid']=$_POST['nodes'];
					}
					else
					{
						$params['nodeid']=array();
					}
				}
				elseif(isset($params['groupnodeid']))
				{
					if($_POST['nodes']!=null)
					{
						$params['groupnodeid']=$_POST['nodes'];
					}
					else
					{
						$params['groupnodeid']=array();
					}
				}
				$params['type'] = $_POST['type'];
				$params['limit'] = $_POST['limit'];
				$params['interval'] = $_POST['interval'];

				Model_esia::updateWidget($dbconnection, $widget['id'], $widget['name'], $widget['description'], $widget['during'], $params);
				$widget['option']=$params;
				$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
				$smarty->assign('widget',$widget);
			}
			catch(Exception $e)
			{
				$smarty->assign('l_error',$e->getMessage());
			}
		}
		$params = $widget['option'];
		//recupération des styles
		$widtitle = getWidgetStyle($params['title']['style'],14,'left','#575759');
		$descr = getWidgetStyle($params['description']['style'],12,'#575759');
		$smarty->assign('titlestyle',$widtitle);
		$smarty->assign('descriptionstyle',$descr);
		$smarty->assign('type',$params['type']);
		$smarty->assign('parameter',$params);
	}
	else
	{
	    widgetTranslateNameDescription($widget,$smarty,$lang);
		$params = $widget['option'];
        $arr = model_esia::getNodesTopError($dbconnection,$user->getId(),$params['interval'],array('WARNING','CRITICAL'),$params['limit']);
        //$arr=array();
		$smarty->assign('topnodes',$arr);
	}

$smarty->display($path.'/dashboard/template/view_top_node_error.html');
?>
