<?php
$path = rtrim ($_SERVER['DOCUMENT_ROOT'],'/');
include_once $path.'/esia.conf.php';
include_once USR_CLASS;
include_once MVCMODEL;
//connection à la base de donnée
$widget = 'no';
if(isset($_GET['widget']) && !empty($_GET['widget']))
{
	$widget = $_GET['widget'];
}

try
{
	$dbconnection = new PDO('pgsql:host='.DB_HOST.';port='.DB_PORT.';dbname='.DB_NAME, DB_USERNAME, DB_PWD);
	$dbconnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
	session_start();
	$user = new User($dbconnection);
	$user->sessionIDisValid(Model_esia::getDuringSession($dbconnection));
	session_write_close();
	$arr = array();
	if($widget == 'global')
	{
		$arr['node'] = Model_esia::countStateAllNode($dbconnection,$user->getId());
		//Calcul du nombre de service "actifs" (tableau en haut à droite)
		$arr_error['ok']=0;
		$arr_error["warning"]=0;
		$arr_error["critical"]=0;
		$arr_error["unknown"]=0;
		$arr_error["pending"]=0; //En maintenance (historical reasons name)
		$arr_error["waiting"]=0; //En attente	
		$li=Model_esia::countServiceAllState($dbconnection,$user->getId(),null,true);
		$totser = 0;
		foreach($li as $k => $v)
		{
			$arr_error[strtolower($k)]= $v;
		}
		$arr['service'] = $arr_error;
	}
	else
	{
		echo 'bad request'; 
		exit(0);
	}
	echo json_encode($arr);
	exit(0);
}
catch(UserException $e)	//Il n'est pas connecté
{
    session_write_close();
    exit(0);
}
catch(Exception $e)
{
    echo 'PDO SQL ERROR: '.$e->getMessage().'<br />';
    echo 'N° : '.$e->getCode();
}
?>
