<?php
/**
 * @name esia.conf
 * @description fichier de configuration d'Esia contient les chemin d'accès vers les librairies ainsi que les variables de connexion à la base de donnée
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 19/11/2012
 */
define("RACINE_SITE",$_SERVER['DOCUMENT_ROOT']);
define("LANG","fr");
define('CSS', '/theme/design.css');
define("MVCMODEL",RACINE_SITE."Model_esia.php");
//fichier de log
define("FILE_LOG",RACINE_SITE."data/esiasite.log");
//librairie
define("LIB_SNMP",RACINE_SITE."libs/SNMP.lib.php");
define("SNMP_CLASS",RACINE_SITE."libs/SNMP.class.php");
define("INTERFACE_CLASS",RACINE_SITE."libs/interface.class.php");
define("TELNET_CLASS",RACINE_SITE."libs/telnet.class.php");
define("SSH_CLASS",RACINE_SITE."libs/SSH.class.php");
define("USR_CLASS", RACINE_SITE.'libs/user.class.php');
define("COMPANY_CLASS", RACINE_SITE.'libs/company.class.php');
define("DEVICE_CLASS", RACINE_SITE.'libs/Device.class.php');
define("NAVBAR_CLASS", RACINE_SITE.'libs/navbar.class.php');
//GESA REMOTE CLASS
define("REMOTE_DEVICE_CLASS", RACINE_SITE.'libs/RemoteDevice.class.php');
define("GESA_CLASS", RACINE_SITE.'libs/gesa.class.php');
define("LIB_IP",RACINE_SITE."libs/IP.lib.php");
define("LIB_LOG",RACINE_SITE."libs/esiaLog.class.php");
define("INFOBULLE",'/lib/infobulle.js');
define('SMARTY_DIR', RACINE_SITE.'/libs/');
define('DB_KEY_CRYPT', '<votre clé secrete>');
define("RRA_DIRECTORY",RACINE_SITE."data/rra/");
//NRPE
define("NRPE_PATH","/usr/local/esia/plugins/check_nrpe");
define("GESA_SRV","infogesa.esia-network.com");
//Variable PostGreSQL de connection ESIA
define("DB_HOST","<localhost>");
define("DB_PORT","<port>");
define("DB_NAME","<name>");
define("DB_USERNAME","<username>");
define("DB_PWD","<password>");
?>
