<?php
$path = rtrim ($_SERVER['DOCUMENT_ROOT'],'/');
include $path.'/esia.conf.php';

header('Content-Type: text/xml; charset=utf-8');
$xml = new DOMDocument('1.0', 'utf-8');
$root = $xml->createElement('esia');
$nog = $xml->createElement('daemon');

//Le démon esia est-il lancé ?
$out = exec("ps -ae | grep 'esiaDaemon'");
if($out=='')
{
	$root->appendChild($xml->createElement('daemon',0));
}
else
{
	$root->appendChild($xml->createElement('daemon',1));
}
//connection à la base de donnée
try
{
	$dbconnection = new PDO('pgsql:host='.DB_HOST.';port='.DB_PORT.';dbname='.DB_NAME, DB_USERNAME, DB_PWD);
	$dbconnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
    $sql="SELECT count(*) as nbr
					FROM esia_services
					WHERE service_last_exec_time > (CURRENT_TIMESTAMP - interval '5 min')";
    $param=null;
    if(!empty($_GET['daemonid']) && is_numeric($_GET['daemonid']))
    {
        $sql .=" AND service_srv_id=?";
        $param=array($_GET['daemonid']);
    }
	$query= $dbconnection->prepare($sql);
	$ret = @$query->execute($param);
	if($ret===false)
	{
		$err = $query->errorInfo();
		throw new Exception($err[2]);
	}
	$row = $query->fetch(PDO::FETCH_OBJ);
	$root->appendChild($xml->createElement('service',$row->nbr));

	$query = $dbconnection->prepare("SELECT count(*) as nbr
                                         FROM esia_services
                                         WHERE service_previous_state=3;");
	$ret = @$query->execute();
	if($ret===false)
	{
		$err = $query->errorInfo();
		throw new Exception($err[2]);
	}
	$row = $query->fetch(PDO::FETCH_OBJ);
	$root->appendChild($xml->createElement('unknown',$row->nbr));
}
catch(Exception $e)
{
	echo 'PDO SQL ERROR: '.$e->getMessage().'<br />';
	echo 'N° : '.$e->getCode();
}


$xml->appendChild($root);
echo $xml->saveXML();
?>
