<?php
/*****************************/
/* Projet Esia 						  */
/*											  */
/*Biersart Nicolas Janvier 2011 */
/*****************************/
$smarty->assign('adm_configuration', 'adm_configuration');
$adm = Model_esia::getConfiguration($dbconnection);

if(isset($_GET['action']) && $_GET['action']=='treatconfig')
{
	try
	{
		$update=array();
		foreach($adm as $key => $value)
		{
			if($value['visibility']==TRUE)
			{
				if($value['type']=='file')
				{
					include_once $_SERVER['DOCUMENT_ROOT'].'libs/uploadFile.class.php';
					$file = new uploadFile(RACINE_SITE.$adm['IMG_DIRECTORY']['value'],$adm['IMG_MAX_SIZE']['value']);
				   	if (isset($_FILES["DEFAULT_BANNER"])&&!empty($_FILES["DEFAULT_BANNER"]['type']))
				   	{
				   		$link = $file->uploadImage("DEFAULT_BANNER","banner");
						$path = $_SERVER['DOCUMENT_ROOT'];
						$link = preg_replace("#$path#","",$link);
						if(preg_match('#^\/.*#',$link)===0)
						{
							$link = '/'.$link;
						}
						$update[$key]=$link;
				   	}
				}
				else if($value['type']=='user_key'){
					include_once $_SERVER['DOCUMENT_ROOT'].'../keystore/scripts/keystore.lib.php';
					$new_key=$_POST[$key];
					if(strlen($new_key) < 4){
						$message = 'ADM_USER_KEY_TOO_SMALL';
						$url="/administration.php?tab=Configuration&message=$message&typemsg=ERROR";
						header("Location: $url");
						exit(0);
					}
					$conf_key = getConfKey();
					$e_uk= getEncryptedUserKey($dbconnection);
					$d_uk = decryptUserKey($conf_key,$e_uk);
					
					//Si user_key est changée donc on réencrypte tout
					if(!empty($d_uk) && $d_uk != $new_key){
						change_key_dir($d_uk,$new_key);
					}
					
					//On réencrypte la clé qu'elle soit nouvelle ou pas (le chiffrement change en DB)
					$update[$key] = encryptUserKey($conf_key,$new_key);
				}
				else if(isset($_POST[$key]))
				{
					$update[$key]=$_POST[$key];
				}			
			}
		}
		Model_adm::updateConfiguration($dbconnection,$update);
		$adm = Model_esia::getConfiguration($dbconnection);
		$smarty->assign('config_success', "SUCCESS");
		$url="/administration.php?tab=Configuration&message=ADM_UPDATE_SUCCESS&typemsg=OK";
		header("Location: $url");
		exit(0);
	}
	catch(KeystoreException $e)
	{
		$esialog->write('ESIA NODE', 'UPDATE_CONFIG_FAILED '.$e->getMessage());		
		$message = urlencode($e->getMessage());
	}
	catch(EsiaDbException $e)
	{
		$esialog->write('ESIA NODE', 'UPDATE_CONFIG_FAILED '.$e->getMessage());
		$message = urlencode($e->getMessage());
	}
	$url="/administration.php?tab=Configuration&message=$message&typemsg=ERROR";
	header("Location: $url");
	exit(0);
}
elseif(isset($_GET['action']) && $_GET['action']=='sendmailtest')
{
	$path = $_SERVER['DOCUMENT_ROOT']."plugin/report/";
	
	try
	{		
		$userdata = Model_adm::searchUser($dbconnection,$user->getId());

		// Info Mail	
		$serveur     = $adm['MAIL_SMTP']['value'];
		$utilisateur = $adm['MAIL_USER']['value'];
		$from 		 = $adm['MAIL_FROM']['value'];
		$passwordMail= $adm['MAIL_PASSWORD']['value'];
		$port 		 = $adm['MAIL_SMTP_PORT']['value'];
		$sujet		 = $lang['ADM_CONFIGURATION_SEND_MAIL_TEST_SUBJECT'];
		$data		 = $adm['MAIL_FORMAT_MESSAGE']['value'];		
		$expeditor = $adm['MAIL_FROM']['value'];
			
		$sujet = str_replace("%service.name","check_snmp_load",$sujet);
		$sujet = str_replace("%node.group","name node group",$sujet);
		$sujet = str_replace("%error.type state","warning state",$sujet);
		$sujet = str_replace("%node.name","Linux",$sujet);
		
		$data = str_replace("%service.name","check_snmp_load",$data);
		$data = str_replace("%error.message","4 CPU, average load 82.0% > 80% : WARNING",$data);
		$data = str_replace("%error.message","4 CPU, average load 82.0% > 80% : WARNING",$data);
		$data = str_replace("%error.time",date('d/m/Y H:m:s'),$data);
		$data = str_replace("%node.ip","10.12.0.11",$data);
		$data = str_replace("%node.name ","Linux",$data);
		$data = str_replace("%error.type","warning",$data);
		$data = str_replace("%node.description","node description",$data);
		$data = str_replace("%node.group","name node group",$data);
		$data = str_replace("%service.parameter","-H 10.12.0.11 -C SNMP_COM -w 80% -c 90%",$data);					
		$data = str_replace("%node.name","node name",$data);
		$data = str_replace("%color","#ffcb1f",$data);
		
		shell_exec('/usr/local/esia/plugins/alerting/send_mail_html.pl -e min -t "' . $userdata[$user->getId()]['mail']. '"');
		//shell_exec($path."send_mail.pl -H ".$serveur." -U ".$utilisateur." -P ".$passwordMail." -e ".$from." -p ".$port." -T ".$userdata[$user->getId()]['mail']." -s '".$sujet."' -d '".$data."'");
		$smarty->assign('config_success',$lang['ADM_CONFIGURATION_SEND_MAIL_SUCCES']);
		$url="/administration.php?tab=Configuration&message=ADM_CONFIGURATION_SEND_MAIL_SUCCES&typemsg=OK";
		header("Location: $url");
		exit(0);
	}
	catch(EsiaDbException $e)
	{		
		$esialog->write('ESIA NODE', 'SEND_MAIL_CONFIG_FAILED '.$e->getMessage());
		$ERROR[]=array('name'=>'SEND_MAIL_FAILED','message'=>$e->getMessage().'<br />');
	}
	catch(UnableToDecrypt $e)
	{
	    $esialog->write('ESIA NODE', 'DECRIPTFAIL '.$e->getMessage());
	    $message = urlencode($e->getMessage());
	}
	catch(Exception $e)
	{
		$esialog->write('ESIA NODE', 'SEND_MAIL_CONFIG_FAILED '.$e->getMessage());
		$ERROR[]=array('name'=>'SEND_MAIL_FAILED','message'=>$e->getMessage().'<br />');
	}
}

$tmpadm = array();
foreach($adm as $key => $value)
{
	if($value['visibility']==TRUE)
	{
		$tmpadm[$key]=$value;
	}
}
//print_r($tmpadm);
$smarty->assign('adm_key', $tmpadm);

$smarty->assign('l_adm_configuration_name', $lang['ADM_CONFIGURATION_NAME']);
$smarty->assign('l_adm_configuration_value', $lang['ADM_CONFIGURATION_VALUE']);
$smarty->assign('l_adm_configuration_description', $lang['ADM_CONFIGURATION_DESCRIPTION']);
?>
