<?php
include_once DEVICE_CLASS;
include_once MVCMODEL;
try
{

	$smarty->assign('adm_nodegroups','true');
	if(isset($_GET['action']))
	{
		$action = $_GET['action'];
	}
	else
	{
		//action par défaut 'list'
		$action="list";
	}
	if($action=='treat_create')
	{
		$parent=$_POST['nodegroupadd_parent'];
		if($parent==0)
		{
			$parent=null;
		}

		//si c'est une modification
		if(isset($_POST['modif']))
		{
			try
			{
				$GroupParent=model_adm::getGroupNode($dbconnection,$parent);
				$GroupParent=$GroupParent[0];

				if($parent != $_POST['modif'])
				{
					if($GroupParent['parent']==null || $_POST['modif']!=$GroupParent['parent'])
					{
						$idgroup = Model_adm::updateGroupNode($dbconnection, $_POST['modif'], $_POST['name'],$parent,$_POST['description']);
						$smarty->assign('l_adm_update_success', $lang['ADM_NODE_GROUP_UPDATE_SUCCESS']);
					}
					else
					{
						$smarty->assign('l_adm_update_failed',"Error : PARENT DE SON PARENT");// $lang['ADM_DEVICE_GROUP_ERROR_PARENT_OF_HIS_PARENT']);
					}
				}
				else
				{
					$smarty->assign('l_adm_update_failed', "Error : PARENT DE LUI MEME");
				}
			}
			catch(Exception $e)
			{
				if(strpos($e->getMessage(),"character varying(25)") !== false)
				{
					$smarty->assign('l_adm_update_failed', $lang['ADM_DEVICE_GROUP_ERROR_TOOLONG']);
				}
				else
				{
					$smarty->assign('l_adm_update_failed', "Error : ".$e->getMessage());
				}
			}
		}
		else
		{
			if(isset($_POST['name']) && !empty($_POST['name']))
			{
				//on ajoute le tout à la DB
				$idgroup =  Model_adm::addGroupNode($dbconnection, $_POST['name'],$parent,$_POST['description']);
				
				$_SESSION["GROUPNEW"] = array('id'=>$idgroup,'time'=>time());
				$smarty->assign('l_adm_insert_success', $lang['ADM_CREATE_GROUP_SUCCESS']);
			}
			else
			{
				$smarty->assign('l_empty_group', $lang['ADM_EMPTY_GROUP']);
			}
		}
		$_GET['id'] = $idgroup;
		$action="modif";
	}
	if($action=="list")
	{
		$smarty->assign('list_grp',$array);
		if($_GET['type']=='xml')
		{
			ob_clean();
			header('Content-Type: text/xml');
			$xml = new DOMDocument('1.0', 'utf-8');
			$root = $xml->createElement('list');
			$newid = -1;
			if(!empty($_SESSION["GROUPNEW"]))
			{
				$time = time();
				if( ($time -$_SESSION["GROUPNEW"]['time']) <30 )
				{
					$newid = $_SESSION["GROUPNEW"]['id'];
				}
			}
			$select = Model_esia::getGroupDevice($dbconnection);
			foreach($select as $group)
			{
				$nog = $xml->createElement('group');
				$nog->setAttribute('name', $group['fullpath']);
				$nog->setAttribute('id', $group['id']);
				if($group['id'] == $newid)
				{
					$nog->setAttribute('selected', 'selected');
				}
				$root->appendChild($nog);
			}
			$xml->appendChild($root);
			echo $xml->saveXML();
			exit(0);
		}
		//$smarty->assign('adm_list_nodegroup', $select);
		$smarty->assign('action', 'list');
	}
	elseif($action=="create" || $action=="modif")
	{
		$smarty->assign('action', $action);
		$select =array();
		if($action=="create")
		{
			$arr = Model_esia::getGroupDevice($dbconnection);
			$select =array();
			foreach($arr as $top)
			{
				$select[]=array('id'=>$top['id'],'name'=>$top['fullpath']);
			}
			$smarty->assign('adm_list_nodegroup', $select);
		}
		else
		{
			$arr = model_adm::getGroupDeviceParent($dbconnection,$_GET['id']);
			foreach($arr as $top)
			{
				$tmp = convert_tree_to_select($top,0);
				$select = array_merge($select, $tmp);
			}
			$smarty->assign('adm_list_nodegroup', $select);
			$tmpgroup = model_esia::getGroupDeviceIn($dbconnection,$_GET['id']);
			$smarty->assign('adm_nodegroup', $tmpgroup[0]);
		}
	}
	elseif($action=='delete')
	{
		if(isset($_POST['groupid']))
		{
			if($_POST['group_node_all']=='on')
			{
				// Suppression des sous groups et de leurs noeuds
				$arrs = model_esia::getGroupDeviceIn($dbconnection,$_POST['groupid']);
				$groups=array();
				foreach($arrs as $grp)
				{
					$tmp = check_all_group($grp);
					$groups = array_merge($groups, $tmp);
				}

				foreach($groups as $group)
				{
					$NodeList = Model_esia::newgetNodeList($dbconnection,$user->getId(),$group['id'],Model_esia::NODE_INSTANCE);
					foreach($NodeList as $node)
					{
						$r = Model_esia::getServices($dbconnection,$node->getId());
						foreach($r as $service)
						{
							Model_adm::deleteService($dbconnection,$service['id']);
						}
						Model_adm::deleteNode($dbconnection,$node->getId());
					}
					Model_adm::deleteGroupNode($dbconnection, $group['id']);
				}
			}
			else
			{
				Model_adm::deleteGroupNode($dbconnection, $_POST['groupid']);
			}
			$smarty->assign('l_adm_delete_success',$lang['ADM_DEL_GROUP_SUCCESS']);
		}
		else
		{
			$tmpgroup = model_esia::getGroupDeviceIn($dbconnection,$_GET['id']);
			$smarty->assign('adm_nodegroup', $tmpgroup[0]);
			$smarty->assign('action', 'delete');
		}
//ADM_DEL_GROUP_SUCCESS
	}
}
catch(Exception $e)
{
	$ERROR[]=array('name'=>'Unknown Error','message'=>$e->getMessage());
}


function check_all_group($top)
{
	$arr=array();
	$arr[]=array('id'=>$top['id'],'name'=>$top['name']);
	if(isset($top['child']))
	{
		$tmp=array();
		foreach($top['child'] as $child)
		{
			$tmp = check_all_group($child);
			$arr = array_merge($arr, $tmp);
		}
	}
	return $arr;
}


?>
