 <?php
include_once '../common.php';
include_once '../Model_adm.php';
include_once DEVICE_CLASS;
include_once MVCMODEL;
session_write_close();
/**
 * @name adm_device.inc.php
 * @description Page gérant les noeuds (ajout,suppression,modification de noeud ou des services associé)
 *                                 elle est incluse par la page administration.php
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2013
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 10/04/2013
 */
//on liste tout les noeuds accès au système d'administration des noeuds. Le reste sont des widgets affiché dans une dialog.

//newgetNodeList($dbconnection,$user_id=null,$group=null,$t_return = Model_esia::NODE_ASSOC )

/*
function cmpNodes($a,$b){
        $keys = array('id','name','type','group','ip','description');
        
        if(empty($_REQUEST['col'])) $cols = array();
        else $cols=$_REQUEST['col'];
        

        
        foreach($cols as $num => $flag){
                switch($keys)
        }
}
*/
try
{/*
        echo "<pre>";
        print_r($_GET);
        echo "</pre>";
        */
        $nodes = Model_esia::getNodeList($dbconnection,$user->getId(),null,Model_esia::NODE_INSTANCE);
        $list=array();
        foreach($nodes as $node)
        {
        	$descr= htmlentities($node->getDescription(), ENT_QUOTES);
        	
                $list[]=array('id'=>$node->getId(),
                                'name'=>$node->getName(),
                                'type'=>$node->getType(),
                                'group'=>$node->getGroup(),
                                'ip'=>$node->getIPAddress(),
                				'description'=>nl2br($descr,true),
                );
        }
        //usort($list,"cmpNodes");
        
        //Pagination
        if( !empty($_REQUEST['page']) && !empty($_REQUEST['size']) ){
                $page=$_REQUEST['page']-1;
                $size=$_REQUEST['size'];
                $offset = $page*$size;
                
                $list = array_slice($list,$offset,$size);
        }
        
        echo json_encode($list,JSON_PRETTY_PRINT);
}
catch(EsiaDbException $e)
{
        $ERROR[]=array('name'=>'DB ERROR','message'=>$e->getMessage());
}
?>
