<?php // //Liste des dahsboards

$dashboards = Model_esia::getDashboards($dbconnection,null,$user->getId()); 
//print_r($dashboards); uasort($dashboards,"cmp_tableChild"); 
//echo '<pre>';print_r($dashboards); 
$maindashboard=array();
foreach($dashboards['default'] as &$dash)
{
	if($dash['name']=='LANG_DASHBOARD_HOME_NEW')
	{
		$maindashboard=$dash['id'];
	}
    if(strpos($dash['name'],'LANG_')!==false)
    {
    	$key = preg_replace('#LANG_#','',$dash['name']);
    	$dash['name'] = $lang[$key];
    }
}
$smarty->assign('user_dashboard', $dashboards);

if($user->getHomePage() == null || $user->getHomePage() =='/index.php')
{
	if(!empty($maindashboard))
	{
		$smarty->assign('url_home', '/dashboard/default.php?id='.$maindashboard);
	}
	else
	{
		$smarty->assign('url_home', '/dashboard/default.php?id='.$dashboards[0]['id']);
	}
}
elseif(is_numeric($user->getHomePage()))
{
	$smarty->assign('url_home', '/dashboard/default.php?id='.$user->getHomePage());
}
else
{
	$smarty->assign('url_home',$user->getHomePage());
}

/*keyword de la recherche */
//on récupère les mots clés du moteur de recherche
$keywords = Model_esia::getSearchKeyWords($dbconnection);
foreach($keywords as $key)
{
	$klang = $keywords[$key['keyword']]['name'];
	$keywords[$key['keyword']]['name']=$lang[$klang];
}
$smarty->assign('list_keyword',$keywords);
$smarty->assign('l_search_nofound',$lang['SEARCH_NO_FOUND']);
//Calcul du nombre de service "actifs" (tableau en haut à droite)
$arr_error = array();
$arr_error['OK']=array('nbr'=>0,'pourcent'=>0);
$arr_error["warning"]= array('nbr'=>0,'pourcent'=>0);
$arr_error["critical"]= array('nbr'=>0,'pourcent'=>0);
$arr_error["unknown"]= array('nbr'=>0,'pourcent'=>0);
$arr_error["pending"]= array('nbr'=>0,'pourcent'=>0);
$li=Model_esia::countServiceAllState($dbconnection,$user->getId());
$totser = 0;
foreach($li as $k => $v)
{
	$totser= $totser + $v;
}
//si il n'y a aucun service qui tourne évite une erreur 'division par 0'
if($totser!=0)
{
	foreach($li as $k => $v)
	{
		$pourcent = round((($v/$totser)*100));
		$arr_error[$k]=array('nbr'=>$v,'pourcent'=>$pourcent);
	}
}
$smarty->assign('service_total', $totser);
$smarty->assign('list_error', $arr_error);

//
//gestion de la licence 
//
try
{
    $licence = Model_esia::getLicenceInformation($dbconnection);
    $smarty->assign('licence',  $licence);
    $arr = $user->getAllGroupUser();
    //test si l'utilisateur est un utilisateur root
    if(in_array(1,$arr))
    {
        $reg = '<a href="/about.php?action=licence">'.$lang['ERROR_LICENCE_HERE'].'</a>';
        $mes = $lang['ERROR_LICENCE_OTHER'];
        $mes =preg_replace('#\$HERE\$#',$reg,$mes);

        $time = time();
        if($time > $licence['expire'])
        {
            $smarty->assign('l_licence_err',  $lang['LICENCE_EXPIRED'].'<br/>'.$mes);
        }
        else
        {
            //15 jours avant la date d'expiration de licence
            $timeexipire = $licence['expire'] - 1296000;
            if($time > $timeexipire)
            {
                
                $smarty->assign('l_licence_expire',  $lang['LICENCE_WILL_EXPIRE'].' '.$licence['expire_date_formated'].'<br/>'.$mes);
            }
        }
        $nbr = Model_esia::countNodeNumberForLicence($dbconnection);
        //echo $nbr." = ".$licence['node'];
        $delta = $licence['node']-$nbr;
        if($delta < 0)
        {
            $smarty->assign('l_licence_err',  $lang['LICENCE_MAXIMUN_EXCEEDED'].' ('.$nbr.'/'.$licence['node'].')<br />'.$mes);
        }
        elseif($delta < 20 &&  $licence['node'] > 100)
        {
            $smarty->assign('l_licence_expire',  $lang['LICENCE_MAXIMUN'].' ('.$nbr.'/'.$licence['node'].')<br />' .$mes );
        }
        elseif($delta < 5 &&  $licence['node'] < 101)
        {
            $smarty->assign('l_licence_expire',  $lang['LICENCE_MAXIMUN'].' ('.$nbr.'/'.$licence['node'].')<br />'.$mes );
        }
    }
}
catch(EsiaDbException $e)	//Il n'est pas connecté
{
    $mes = $e->getMessage();
    if($e->getMessage() == 'Licence not found')
    {
        $mes = $lang['ERROR_LICENCE'];
    }
    else
    {
        $mes .= $lang['ERROR_LICENCE_OTHER'].'<br />';
    }
    $reg = '<a href="/about.php?action=licence">'.$lang['ERROR_LICENCE_HERE'].'</a><br />';
    $mes =preg_replace('#\$HERE\$#',$reg,$mes);
    $smarty->assign('l_licence_err',  $mes);
}

//construction du menu principal avec les WEB plugins
$arr=array();
$arr_menu = array();
$arr = Model_esia::getWebPlugin($dbconnection);
foreach($arr as $row)
{
	$type='';
	$menu ='';
	$shortname = '';
	if($row['show_menu'] == TRUE) //si le web plugin doit-être afficher dans l'application
	{
          //echo $row['name'].' '.$row['tpl_method'].'<br />';
		if(!empty($row['php_menu'])&&$row['tpl_method']=='universal')
		{
			$type='universal';
			$menu = include_menu($dbconnection,$user,$smarty,$lang,$path.$row['apache_path'].$row['php_menu']);
		}
		elseif(!empty($row['php_menu']))
		{
			$type='text';
			$menu = include_menu($dbconnection,$user,$smarty,$lang,$path.$row['apache_path'].$row['php_menu'],$type);
         //   echo $menu;
		}
		/*if($row['name']=='WEBP_LOCATION')
		{
			$arr_menu[]=array('name'=>$lang[$row['name']],
					'index_page'=>$row['apache_path'].$row['index_page'],
					'menu'=>$menu,
					'type'=>$type,
					'icon'=>$row['icon'] );			
		}
		else
		{*/
		$shortname = ucfirst(strtolower(str_replace("WEBP_", "", $row['name'])));
		if( $row['name'] != 'WEBP_PLAN' || ($user->getDroits($dbconnection,"map_view") == 1)){
			$arr_menu[]=array('name'=>$row['name'],
					'shortname'=>$shortname,
					'index_page'=>$row['apache_path'].$row['index_page'],
					'menu'=>$menu,
					'type'=>$type,
					'icon'=>$row['icon'] );
		}
	}
	//Model_esia::printHTMLarray($arr_menu);
	unset($menu);
}
$smarty->assign('tab_menu', $arr_menu);
//vérification des droits d'accès au partie d'administration d'ESIA
if($user->getDroits($dbconnection,"esia_administration"))
{
	$adm_menu = array();
	if($user->getDroits($dbconnection,"esia_device"))
	{
		$adm_menu[]=array('id'=>'nodes','icn'=>"/theme/default/images/menu_adm_node.png",'name'=>$lang['NODES'],'url'=>"/administration.php?admin=device");
		$adm_menu[]=array('id'=>'grp_nodes','icn'=>"/theme/default/images/menu_adm_grp_node.png",'name'=>$lang['ADM_NODE_GROUP'],'url'=>"/administration.php?admin=nodegroups");
		$adm_menu[]=array('id'=>'plugins','icn'=>"/theme/default/images/menu_adm_plugin.png",'name'=>$lang['ADM_PLUGIN_PATTERN'],'url'=>"/administration.php?admin=plugin");
		$nbrgesa = Model_esia::getNewGesa($dbconnection,$user->getId(),false);
		if($nbrgesa > 0)
		{
			$nbrgesaInfos = preg_replace('#\$HERE#',$nbrgesa,$lang['GESA_NEW_CONNECTION']);
			$smarty->assign('gesa_new_connected', $nbrgesaInfos);
			$smarty->assign('gesa_new_connected_nb', $nbrgesa);
		}
	}
	$smarty->assign('l_admin', $lang['ADMIN']);
	if($user->getAccess($dbconnection,"esia_users") || $user->getAccess($dbconnection,"esia_groups")||$user->getAccess($dbconnection,"esia_access"))
	{
		$adm_menu[]=array('id'=>'users','icn'=>"/theme/default/images/menu_adm_users.png",'name'=>$lang['USERS'].' & '.$lang['GROUPS'],'url'=>"/administration.php?admin=usersgroup");
		$adm_menu[]=array('id'=>'rss','icn'=>"/theme/default/images/rss-flux.svg",'name'=>$lang['RSS_FEED'],'url'=>"/administration.php?admin=rss");
	}
	$webplugs = Model_esia::getWebPlugin($dbconnection);
	foreach($webplugs as $webplug)
	{
		if(isset($webplug['admin_page']))
		{
			if(preg_match('#\:action#',$webplug['admin_page'])==0)
			{
				if($webplug['name']=='WEBP_LOCATION')
				{
					$adm_menu[]=array('id'=>strtolower($webplug['name']),'icn'=>$webplug['icon'],'name'=>$lang[$webplug['name']],'url'=>$webplug['apache_path'].$webplug['admin_page']);
				}
				else
				{
					$adm_menu[]=array('id'=>strtolower($webplug['name']),'icn'=>$webplug['icon'],'name'=>$webplug['name'],'url'=>$webplug['apache_path'].$webplug['admin_page']);
				}
			}
		}
	}
	$adm_menu[]=array('id'=>'config','icn'=>"/theme/default/images/menu_adm_config.png",'name'=>$lang['ADM_CONFIGURATION'],'url'=>"/administration.php?admin=configuration");
	$adm_menu[]=array('id'=>'logs','icn'=>"/theme/default/images/menu_adm_log.png",'name'=>'log','url'=>"/administration.php?admin=showlog");
	$smarty->assign('adm_menu',$adm_menu);
}
//premier tuto
if(!$user->isFinishingTutoriel(1)) {
    $smarty->assign('seeTutos',1);
}

$com_msg = Model_esia::getCommunicationNewMsg($dbconnection,$user->getId(),$user->getDroits($dbconnection,"esia_administration"),false);
if(isset($com_msg) && !empty($com_msg))
{
	$path_file = "/usr/local/esia/public_html/";	
	
	foreach ($com_msg as $msg)
	{
		if($msg['getcontent']=='db')
		{
			$tmp_key=$msg['title'];
			$tmp[$tmp_key]=array('id'=>$msg['id'],
								 'msg'=>$msg['message'],
								 'getcontent'=>'db');
		}
		elseif($msg['getcontent']=='html')
		{		
			$html_code = disguise_curl($msg['message']);
			$file = "/data/template_msg/message_".$msg['id'].".html";
			file_put_contents($path_file.$file, $html_code);
			chmod($path_file.$file,0755);  
			
			$tmp_key=$msg['title'];
			$tmp[$tmp_key]=array('id'=>$msg['id'],
								 'msg'=>$file,
								 'getcontent'=>'html');			
		}
		elseif($msg['getcontent']=='rss')
		{
			$tmp[$tmp_key]=array('id'=>$msg['id'],
								 'msg'=>$msg['message'],
								 'getcontent'=>'rss');
		}
		else
		{
			$tmp[$tmp_key]=array('id'=>$msg['id'],
								 'msg'=>$msg['message'],
								 'getcontent'=>'');
		}
		
		if($msg['type']!="modal")
		{			
			$messages[$tmp_key]=$tmp[$tmp_key];
			//Model_esia::updateShowMsg($dbconnection,$msg['title'],true);
		}
		else
		{
			$messages_modal[$tmp_key]=$tmp[$tmp_key];
		}
		$tmp=null;
		$tmp_key=null;
	}
	$smarty->assign('notif_msg',count($com_msg));
	$smarty->assign('messages',$messages);
	$smarty->assign('messages_modal',$messages_modal);
}

//function incluant un menu dans l'application
function include_menu($dbconnection,$user,$smarty,$lang,$path,$includetype='universal')
{
	if(file_exists($path))
	{
		if($includetype=='text')
		{
			ob_start();
			include $path;
			$contents = ob_get_contents();
			ob_end_clean();
			return $contents;
		}
		else
		{
			return include_once $path;
		}
	}
}
function tree_node_group_state($dbconnection,$user,$parent,$query=null)
{
	$arr=null;
	foreach($parent as $child)
	{
		$tmps=null;
		if(isset($child['child']))
		{
			$tmps = tree_node_group_state($dbconnection,$user,$child['child'],$query);
		}
		$state = Model_esia::getGroupNodeState($dbconnection,$user,$child['id'],$query);
		$state = addServiceStatus($tmps,$state);
		$arr[]=array('id'=>$child['id'] ,'name'=>$child['name'],'status'=>$state,'child'=>$tmps);
	}

	return $arr;
}
function cmp_tableChild($a, $b)
{
	return strcasecmp($a['name'], $b['name']);
}

function addServiceStatus($list_childs, $grpstate)
{
	$state['OK']=$grpstate['OK'];
	$state["warning"]=$grpstate["warning"];
	$state["critical"]=$grpstate["critical"];
	$state["unknown"]=$grpstate["unknown"];
	if(isset($list_childs))
	{
		foreach($list_childs as $child)
		{
			$state['OK']=$state['OK']+$child['status']['OK'];
			$state["warning"]=$state["warning"]+$child['status']['warning'];
			$state["critical"]=$state["critical"]+$child['status']['critical'];
			$state["unknown"]=$state["unknown"] +$child['status']['unknown'] ;
		}
	}
	return $state;
}
function is_groupServiceEmpty($state)
{
	$show =true;
	foreach($state as $key => $value)
	{
		if($value!=0)
		{
			$show=false;
			break;
		}
	}
	return $show;
}

function disguise_curl($url)
{
	$curl = curl_init();

	curl_setopt($curl, CURLOPT_URL, $url);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($curl, CURLOPT_HEADER, false);	

	$html = curl_exec($curl); // execute the curl command
	curl_close($curl); // close the connection

	return $html;
}

?>
