<?php
class ServicesPorts{
	private static $file_path="/etc/services";
	private static $file;
	private static $listPorts=array();
	
	public static function getPort($type,$number){
		if(empty(ServicesPorts::$listPorts)){
			ServicesPorts::$file=file(ServicesPorts::$file_path);
			ServicesPorts::$listPorts["tcp"]=array();
			ServicesPorts::$listPorts["udp"]=array();
		}
		
		$type=strtolower($type);
		if(empty(ServicesPorts::$listPorts[$type][$number])){
			$name["tcp"]="";
			$name["udp"]="";
			$description="";
			
			$lines=preg_grep("/\D$number\/.{3}/",ServicesPorts::$file);
			foreach($lines as $line){
				preg_match('/(\S*)\W*\d*\/(tcp|udp)[^#]*#?(.*)/', $line,$matches);
				$name[$matches[2]]=$matches[1];
				if(isset($matches[3]))  {
					if(isset($oldestName) && $oldestName==$matches[1]) $description=$description.$matches[3]; //see ports UDP/TCP 500 to understand
					else $description=$matches[3];  //see ports UDP/TCP 514 to understand
				}
				$oldestName=$matches[1];
			}
			$description=trim($description);
			ServicesPorts::$listPorts["tcp"][$number]=array("name"=>$name["tcp"],"description"=>$description);	
			ServicesPorts::$listPorts["udp"][$number]=array("name"=>$name["udp"],"description"=>$description);
		}
		return ServicesPorts::$listPorts[$type][$number];
	}
}
?>