<?php
/*
* Smarty plugin
* -------------------------------------------------------------
* Fichier :  block.esia_pager.php
* Type :     bloc
* Nom :      esia_pager
* Rôle :     affiche le menu HTML d'un pager pour table sorter 
* -------------------------------------------------------------
*/
function smarty_block_esia_pager($params, $content, &$smarty, &$repeat)
{
	
	if($repeat===TRUE)
	{
		if($params)
		{
			$msg='<style>
					#'.$params['tablesorterid'].'_colSelectbutton {
				    		position: relative;	
				        	display: inline-block;
				            padding: 0px;
				            margin:0px;
							width:25px;
				        	cursor: pointer;	
				        	height:'.$params['height'].';
				        }
				        .columnSelector, .hidden{
				        	display: none;
				        }
				       #'.$params['tablesorterid'].'_colSelectlabel
				        {
							position: relative;
				            display: inline-block;
				            cursor: pointer;
				            padding: 0px;
				            margin:0px;
				        }
				    	.icn_column
				        {
				            background-image: url("'.$params['icn_column'].'");
				         	background-repeat: no-repeat;
				            margin:auto;
				        }
				        #'.$params['tablesorterid'].'_colSelectlabel:checked + label {
				        		background-image: url("'.$params['icn_columnselect'].'");
				                color: #307ac5;
				                  padding: 0px;
				        }
				       #'.$params['tablesorterid'].'_colSelectlabel:checked ~ #'.$params['tablesorterid'].'_columnSelector {
				                display: block;
				        }
				        .columnSelector {
				                width: 120px;
				                position: absolute;
				                top: 30px;
				                padding: 10px;
				                background: #fff;
				                border: #99bfe6 1px solid;
				                border-radius: 5px;
				                z-index: 5;
				        }

				        .'.$params['liclass'].'.first span{
							text-indent:-9999px;
							background:url("/theme/default/images/table-first.jpg") no-repeat;
							width:31px;
							height:31px;
							dislay:block;
				        }

				        .'.$params['liclass'].'.prev span{
							text-indent:-9999px;
							background:url("/theme/default/images/table-previous.jpg") no-repeat;
							width:31px;
							height:31px;
							dislay:block;
				        }

				        .'.$params['liclass'].'.next span{
							text-indent:-9999px;
							background:url("/theme/default/images/table-next.jpg") no-repeat;
							width:31px;
							height:31px;
							dislay:block;
				        }

				        .'.$params['liclass'].'.last span{
							text-indent:-9999px;
							background:url("/theme/default/images/table-last.jpg") no-repeat;
							width:31px;
							height:31px;
							dislay:block;
				        }
				        .columnSelector label {
				                display: block;
				                text-align: left;
				        }
				        .columnSelector label:nth-child(1) {
				                border-bottom: #99bfe6 solid 1px;
				                margin-bottom: 5px;
				        }
				        .columnSelector input {
				                margin-right: 5px;
				        }
				        .columnSelector .disabled {
				                color: #ddd;
				        }
				</style>';
			//on est au début on ouvre le div
			$msg.="<div ";
			if($params['divid'])
			{
				$msg.='id="'.$params['divid'].'" ';
			}
			if($params['divcss'])
			{
				$msg.='class="'.$params['divcss'].'" ';
			}
			//on fini le div
			$msg.="><ul ";
			if($params['ulclass'])
			{
				$msg.=' class="'.$params['ulclass'].'">';
			}
			else
			{
				$msg.='class="ui-widget ui-helper-clearfix">';
			}
			return $msg;
		}
	}
   // n'affiche que lors de la balise fermante
	if (isset($content)) 
    {
    	$msg="";
    	$liclass="";
      	if($params['liclass'])
      	{
      		$liclass = $params['liclass'];
      	}
      	else
      	{
      		$liclass='ui-state-default ui-corner-all ui-state-hover';
      	}
      	if(preg_match_all('#(<a.*<\/a>)#Us',$content,$regs,PREG_SET_ORDER)!=0)
      	{
      		foreach($regs as $link)
      		{
      			$msg.='<li class="'.$liclass.'">'.$link[0].'</li>';
      		}
      	}
      	else
      	{
      		//$msg=$content;
      	}    	
      	$msg.='<li class="'.$liclass.'" title="'.$params['langprint'].'"><div id="'.$params['tablesorterid'].'_print"><img style="margin:auto;" src="'.$params['icn_printer'].'" /></div></li>';
      	$msg.='<li class="'.$liclass.'" title="'.$params['langcolumn'].'"><div class="columnSelectorWrapper" id="'.$params['tablesorterid'].'_colSelectbutton" style="width:31px; height:31px;">
      				<input id="'.$params['tablesorterid'].'_colSelectlabel" type="checkbox" style="display: none;">
      					<label for="'.$params['tablesorterid'].'_colSelectlabel">
      							<div class="icn_column" style="width:31px; height:31px;">&nbsp;</div></label>
      				<div id="'.$params['tablesorterid'].'_columnSelector" class="columnSelector"></div>
      			</div></li>';
      	$msg.='<li class="'.$liclass.' first pager_button"><span class="ui-icon ui-icon-seek-first" /></li>';
      	$msg.='<li class="'.$liclass.' prev pager_button"><span class="ui-icon ui-icon-seek-prev" /></li>';
      	$msg.='<li><input type="text" class="pagedisplay" style="margin:auto;"/></li>';
      	$msg.='<li class="'.$liclass.' next pager_button"><span class="ui-icon ui-icon-seek-next" /></li>';
      	$msg.='<li class="'.$liclass.' last pager_button"><span class="ui-icon ui-icon-seek-end" /></li>';
      	$msg.='<li class="selectNb">
			      	<select class="pagesize" style="margin:0;">
			      	<option value="10">10</option>
			      	<option value="20">20</option>
			      	<option value="30">30</option>
			      	<option value="40">40</option>
			      	<option value="50" selected="selected">50</option>
			      	<option value="100">100</option>
			      	</select>
			      </li>';
        // effectuer une bonne traduction ici avec $content
      	$msg.="</ul></div>";
		return $msg;
	}
}
?>
