function ajax_tablesorter(id,ajax_url,params){
if(params === undefined ) params = ''; 
else params = '&'+params;
$(function(){
		  // Initialize tablesorter
		  // ***********************
	$.extend($.tablesorter.themes.jui, {
			// change default jQuery uitheme icons - find the full list of icons at
			// http://jqueryui.com/themeroller/ (hover over them for their name)
			table        : 'ui-widget ui-widget-content ui-corner-all', // table classes
			caption      : 'ui-widget-content',
			// header class names
			header       : 'ui-corner-all ui-state-default', // header classes
			sortNone     : '',
			sortAsc      : '',
			sortDesc     : '',
			active       : 'ui-state-active', // applied when column is sorted
			hover        : 'ui-state-hover',  // hover class
			// icon class names
			icons        : 'ui-icon', // icon class added to the <i> in the header
			iconSortNone : 'ui-icon-carat-2-n-s', // class name added to icon when column is not sorted
			iconSortAsc  : 'ui-icon-carat-1-n', // class name added to icon when column has ascending sort
			iconSortDesc : 'ui-icon-carat-1-s', // class name added to icon when column has descending sort
			filterRow    : '',
			footerRow    : '',
			footerCells  : '',
			even         : 'ui-widget-content', // even row zebra striping
			odd          : 'ui-state-default'   // odd row zebra striping
		});
		$(id).tablesorter(
		{   
			theme : 'jui',
			//widgets : ['uitheme','reflow2', 'zebra','columns','columnSelector','print', 'filter','saveSort' ],
			widgets : ['uitheme', 'zebra','columns','columnSelector','print', 'filter','saveSort' ],
			headerTemplate : '{content} {icon}', 
			widthFixed: true, widgetOptions : 
			{
				zebra   : ["even", "odd"],
			} ,
			widgetOptions : {

				columnSelector_container : $(id+'_columnSelector'),
				columnSelector_name : 'data-name',
				
			    columnSelector_saveColumns: true,
			    columnSelector_layout : '<label><input type="checkbox">{name}</label>',
			    columnSelector_mediaquery: true,
			    columnSelector_priority : 'data-priority',
			    columnSelector_cssChecked : 'checked', 

			    /* Responsive Media Query settings */
			      // enable/disable mediaquery breakpoints
			      columnSelector_mediaquery: true,
			      // toggle checkbox name
			      columnSelector_mediaqueryName: 'Auto: ',
			      // breakpoints checkbox initial setting
			      columnSelector_mediaqueryState: true,
			      // hide columnSelector false columns while in auto mode
			      columnSelector_mediaqueryHidden: true,

			      // set the maximum and/or minimum number of visible columns; use null to disable
			      columnSelector_maxVisible: null,
			      columnSelector_minVisible: null,
			      // responsive table hides columns with priority 1-6 at these breakpoints
			      // see http://view.jquerymobile.com/1.3.2/dist/demos/widgets/table-column-toggle/#Applyingapresetbreakpoint
			      // *** set to false to disable ***
			      columnSelector_breakpoints : [ '950px', '1100px', '1200px', '1430px' ],
			      // data attribute containing column priority
			      // duplicates how jQuery mobile uses priorities:
			      // http://view.jquerymobile.com/1.3.2/dist/demos/widgets/table-column-toggle/
			      /*
			      columnSelector_priority : 'data-priority',
			      // class name added to make it responsive (class name within media query)
			      reflow2_className    : 'ui-table-reflow',
			      // ignore header cell content with this class name
			      reflow2_classIgnore  : 'ui-table-reflow-ignore',
			      // header attribute containing modified header name
			      reflow2_headerAttrib : 'data-name',
			      // class name applied to thead labels
			      reflow2_labelClass   : 'ui-table-cell-label',
			      // class name applied to first row thead label
			      reflow2_labelTop     : 'ui-table-cell-label-top',
			 */
		    
				print_title      : '',          // this option > caption > table id > "table"
				print_dataAttrib : 'data-name', // header attrib containing modified header name
				print_rows       : 'f',         // (a)ll, (v)isible or (f)iltered
				print_columns    : 's',         // (a)ll, (v)isible or (s)elected (columnSelector widget)
				print_callback   : function(config, $table, printStyle){
					$.tablesorter.printTable.printOutput( config, $table.html(), printStyle );
				}
			 }
		})
		    // initialize the pager plugin
		    // ****************************
		    .tablesorterPager({

		      // **********************************
		      //  Description of ALL pager options
		      // **********************************

		      // target the pager markup - see the HTML block below
		      container: $(".pager"),

		      // If you want to use ajaxUrl placeholders, here is an example:
		      // ajaxUrl: "http:/mydatabase.com?page={page}&size={size}&{sortList:col}"
		      // where {page} is replaced by the page number (or use {page+1} to get a one-based index),
		      // {size} is replaced by the number of records to show,
		      // {sortList:col} adds the sortList to the url into a "col" array, and {filterList:fcol} adds
		      // the filterList to the url into an "fcol" array.
		      // So a sortList = [[2,0],[3,0]] becomes "&col[2]=0&col[3]=0" in the url
		      // and a filterList = [[2,Blue],[3,13]] becomes "&fcol[2]=Blue&fcol[3]=13" in the url
		      ajaxUrl : ajax_url+'?page={page}&size={size}&{sortList:cols}&{filterList:filters}'+params,

		      // use this option to manipulate and/or add additional parameters to the ajax url
		      customAjaxUrl: function(table, url) {
		          // manipulate the url string as you desire
		          // url += '&currPage=' + window.location.pathname;

		          // trigger a custom event; if you want
		          $(table).trigger('changingUrl', url);
		          // send the server the current page
		          return url;
		      },

		      // ajax error callback from $.tablesorter.showError function
		      // ajaxError: function( config, xhr, settings, exception ){ return exception; };
		      // returning false will abort the error message
		      ajaxError: null,

		      // add more ajax settings here
		      // see http://api.jquery.com/jQuery.ajax/#jQuery-ajax-settings
		      ajaxObject: {
		        type: 'GET', // default setting
		        dataType: 'json'
		      },

		      // process ajax so that the following information is returned:
		      // [ total_rows (number), rows (array of arrays), headers (array; optional) ]
		      // example:
		      // [
		      //   100,  // total rows
		      //   [
		      //     [ "row1cell1", "row1cell2", ... "row1cellN" ],
		      //     [ "row2cell1", "row2cell2", ... "row2cellN" ],
		      //     ...
		      //     [ "rowNcell1", "rowNcell2", ... "rowNcellN" ]
		      //   ],
		      //   [ "header1", "header2", ... "headerN" ] // optional
		      // ]
		      // OR
		      // return [ total_rows, $rows (jQuery object; optional), headers (array; optional) ]
		      ajaxProcessing: function(data){
		        if (data && data.hasOwnProperty('rows')) {
		          var indx, r, row, c, d = data.rows,
		          // total number of rows (required)
		          total = data.total_rows,
		          // array of header names (optional)
		          headers = data.headers,
		          // cross-reference to match JSON key within data (no spaces)
		          headerXref = headers.join(',').split(','),
		          // all rows: array of arrays; each internal array has the table cell data for that row
		          rows = [],
		          // len should match pager set size (c.size)
		          len = d.length;
		          // this will depend on how the json is set up - see City0.json
		          // rows
		          
		          for ( r=0; r < len; r++ ) {
		            row = []; // new row array
		            // cells
		            for ( c in d[r] ) {
		              if (typeof(c) === "string") {
		                // match the key with the header to get the proper column index
		                indx = $.inArray( c, headerXref );
		                // add each table cell data to row array
		                if (indx >= 0) {
		                  row[indx] = d[r][c];
		                }
		              }
		            }
		            rows.push(row); // add new row array to rows array
		          }
		          // in version 2.10, you can optionally return $(rows) a set of table rows within a jQuery object
		          return [ total, rows, headers ];
		          //return [ data.total_rows, data.rows, data.headers ];
		        }
		      },

		      // Set this option to false if your table data is preloaded into the table, but you are still using ajax
		      processAjaxOnInit: true,

		      // output string - default is '{page}/{totalPages}';
		      // possible variables: {size}, {page}, {totalPages}, {filteredPages}, {startRow}, {endRow}, {filteredRows} and {totalRows}
		      // also {page:input} & {startRow:input} will add a modifiable input in place of the value
		      output: '{startRow} to {endRow} ({totalRows})',

		      // apply disabled classname (cssDisabled option) to the pager arrows when the rows
		      // are at either extreme is visible; default is true
		      updateArrows: true,

		      // starting page of the pager (zero based index)
		      page: 0,

		      // Number of visible rows - default is 10
		      size: 30,

		      // Saves the current pager page size and number (requires storage widget)
		      savePages: true,
		      // Saves tablesorter paging to custom key if defined.
		      // Key parameter name used by the $.tablesorter.storage function.
		      // Useful if you have multiple tables defined
		      storageKey: 'tablesorter-pager',

		      // Reset pager to this page after filtering; set to desired page number (zero-based index),
		      // or false to not change page at filter start
		      pageReset: 0,

		      // if true, the table will remain the same height no matter how many records are displayed.
		      // The space is made up by an empty table row set to a height to compensate; default is false
		      fixedHeight: false,

		      // remove rows from the table to speed up the sort of large tables.
		      // setting this to false, only hides the non-visible rows; needed if you plan to
		      // add/remove rows with the pager enabled.
		      removeRows: false,

		      // If true, child rows will be counted towards the pager set size
		      countChildRows: false,

		      // css class names of pager arrows
		      cssNext        : '.next',  // next page arrow
		      cssPrev        : '.prev',  // previous page arrow
		      cssFirst       : '.first', // go to first page arrow
		      cssLast        : '.last',  // go to last page arrow
		      cssGoto        : '.gotoPage', // page select dropdown - select dropdown that set the "page" option

		      cssPageDisplay : '.pagedisplay', // location of where the "output" is displayed
		      cssPageSize    : '.pagesize', // page size selector - select dropdown that sets the "size" option

		      // class added to arrows when at the extremes; see the "updateArrows" option
		      // (i.e. prev/first arrows are "disabled" when on the first page)
		      cssDisabled    : 'disabled', // Note there is no period "." in front of this class name
		      cssErrorRow    : 'tablesorter-errorRow' // error information row
		    });
		
		$(id+'_print').on('click', function(){
		    $(id).trigger('printTable');
		  });
		
		$(id).tablesorter().bind('pagerComplete',function(e,table){
		var idsorter=id;
		var refresh = 'adminTabs';
		
		$(idsorter+" tbody tr a.adminTabs").on('click', function() 
				{
					var href = $(this).attr("href");
					var dialogName = $(this).attr('title');
					if(href) 
					{	
						if(refresh)
						{
							Adm.openDialog(href,dialogName,function( event, ui ) 
								{ 
									var sort = $(idsorter)[0].config.sortList;
									if (!  $('#'+refresh).is(':data(tabs)') )
									{
										 $('#'+refresh).tabs();
									}
									else
									{
										var current =  $('#'+refresh).tabs("option","active");
										$('#'+refresh).tabs('load',current);
									}
									$(this).dialog('destroy').remove();
								},"dialog"+idsorter);
						}
						else
						{
							Adm.openDialog(href,dialogName);
						}
					}
					return false;
				});
		});
});
}
