<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function LoadOption(regex,id,plugin)
{
	var elemRemplace = "";
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(new RegExp(regex));
	$(id).val(elemRemplace[1]);
}	

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
function ModifyParam(plugin) 
{   	
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	param = param.replace(/-a\s+.*/,'-a $IP 5432 '+ $("#plug-"+plugin+"-configuration-parameter-DataBase").val() + ' ' + $("#plug-"+plugin+"-configuration-parameter-Login").val()+ ' ' + $("#plug-"+plugin+"-configuration-parameter-Pwd").val()+ ' ' + $("#plug-"+plugin+"-configuration-parameter-Warning").val()+ ' ' + $("#plug-"+plugin+"-configuration-parameter-Critical").val());
	$("#plug-"+plugin+"-configuration-parameter").val(param);			
}
</script>

<?php
/**
 * @name check_pgsql
 * @description check permettant de modifier les paramètres.
 * @author Faes Nathan <n.faes@esia-sa.com>
 * @date 09/02/2017
 */
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';

if(isset($_GET['id']))
{
	echo '<style type="text/css">.mytext {width: 136px;}</style>';

echo '<table id="simpleTable'.$_GET['id'].'"><tr><td>'.$lang['DATA_BASE'].'</td>';
echo '<td><input type="text" id="plug-'.$_GET['id'].'-configuration-parameter-DataBase" data-option="d" data-index="0" data-regex="-a\s+\S+\s+\S+\s+(\S+)" class="mytext"/></td></tr>';

echo '<tr><td>'.$lang['ADM_LOGIN'].'</td>';
echo '<td><input type="text" id="plug-'.$_GET['id'].'-configuration-parameter-Login" data-option="u" data-index="0" data-regex="-a\s+\S+\s+\S+\s+\S+\s+(\S+)" class="mytext"/></td></tr>';

echo '<tr><td>'.$lang['ADM_PWD' ].'</td>';
echo '<td><input type="text" id="plug-'.$_GET['id'].'-configuration-parameter-Pwd" data-option="p" data-index="0" data-regex="-a\s+\S+\s+\S+\s+\S+\s+\S+\s+(\S+)" class="mytext"/></td></tr>';

echo '<tr><td>'.$lang['LGD_WARN'].'</td>';
echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-Warning" data-option="w" data-index="0" data-regex="-a\s+\S+\s+\S+\s+\S+\s+\S+\s+\S+\s+(\S+)" min="1" max="100" class="mytext"/></td></tr>';

echo '<tr><td>'.$lang['LGD_CRI'].'</td>';
echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-Critical" data-option="c" data-index="0" data-regex="-a\s+\S+\s+\S+\s+\S+\s+\S+\s+\S+\s+\S+\s+(\S+)" min="1" max="100" class="mytext"/></td></tr>';
echo '</table>';

echo '<script type="text/javascript">eventSimplification('.$_GET['id'].',LoadOption,ModifyParam)</script>';
}
else
{
	header('HTTP/1.0 404 No Found');
	exit(0);
}

?>