<?php 
$ESIA_WIDGET_NOTREE=TRUE;
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';
?>
<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function LoadOption(regex,id,plugin)
{
	var elemRemplace = "";
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(new RegExp(regex));
	$(id).val(elemRemplace[1]);
}	

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

//function ModifyParam(plugin) 
//{   	
//	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
//	param = param.replace(/-a\s+.*/,'-a $IP $SNMP_COM '+ $('#Zone').val() + ' ' + $('#Warning').val() + ' ' + $('#Critical').val());
//	$("#plug-"+plugin+"-configuration-parameter").val(param);			
//}

function LoadContinent(idConti,plugin)
{
	var param = $("#plug-"+plugin+"-configuration-parameter").val();
	var inter = param.match(/-Z\s(\S+)/);
	var continent = inter[1].match(/(\S+)\/+/);
	var arrayContinent=["Africa","America","Asia","Australia","Europe","Indian","Pacific"];
	var options = "";

	for(var y=0; y<arrayContinent.length; y++)
	{
		if(arrayContinent[y]!=continent[1])
		{
			options += "<option value='"+arrayContinent[y]+"'>"+ arrayContinent[y] +"</option>";
		}
		else
		{
			options += "<option selected value='"+arrayContinent[y]+"'>"+ arrayContinent[y] +"</option>";
		}
	}
	document.getElementById(idConti).innerHTML = options;
}

function LoadZone(plugin)
{
	var param = $("#plug-"+plugin+"-configuration-parameter").val();
	var inter = param.match(/-Z\s(\S+)/);
	var continent = $("select#plug-"+plugin+"-configuration-parameter-Continent option:checked").val();

	if(continent=="Africa")
	{		
    	var myArray = ["Africa/Abidjan","Africa/Accra","Africa/Addis_Ababa","Africa/Algiers","Africa/Asmara",
        	           "Africa/Asmera","Africa/Bamako","Africa/Bangui","Africa/Banjul","Africa/Bissau",
	                   "Africa/Blantyre","Africa/Brazzaville","Africa/Bujumbura","Africa/Cairo","Africa/Casablanca",
	                   "Africa/Ceuta","Africa/Conakry","Africa/Dakar","Africa/Dar_es_Salaam","Africa/Djibouti",
	                   "Africa/Douala","Africa/El_Aaiun","Africa/Freetown","Africa/Gaborone","Africa/Harare",
	                   "Africa/Johannesburg","Africa/Juba","Africa/Kampala","Africa/Khartoum","Africa/Kigali",
	                   "Africa/Kinshasa","Africa/Lagos","Africa/Libreville","Africa/Lome","Africa/Luanda",
	                   "Africa/Lubumbashi","Africa/Lusaka","Africa/Malabo","Africa/Maputo","Africa/Maseru",
	                   "Africa/Mbabane","Africa/Mogadishu","Africa/Monrovia","Africa/Nairobi","Africa/Ndjamena",
	                   "Africa/Niamey","Africa/Nouakchott","Africa/Ouagadougou","Africa/Porto-Novo","Africa/Sao_Tome",
	                   "Africa/Timbuktu","Africa/Tripoli","Africa/Tunis","Africa/Windhoek"];
	}
	else if(continent=="America")
	{
		var myArray = ["America/Adak","America/Anchorage","America/Anguilla","America/Antigua","America/Araguaina",
	                   "America/Argentina/Buenos_Aires","America/Argentina/Catamarca","America/Argentina/ComodRivadavia","America/Argentina/Cordoba","America/Argentina/Jujuy",
	                   "America/Argentina/La_Rioja","America/Argentina/Mendoza","America/Argentina/Rio_Gallegos","America/Argentina/Salta","America/Argentina/San_Juan",
	                   "America/Argentina/San_Luis","America/Argentina/Tucuman","America/Argentina/Ushuaia","America/Aruba","America/Asuncion",
	                   "America/Atikokan","America/Atka","America/Bahia","America/Bahia_Banderas","America/Barbados",
	                   "America/Belem","America/Belize","America/Blanc-Sablon","America/Boa_Vista","America/Bogota",
	                   "America/Boise","America/Buenos_Aires","America/Cambridge_Bay","America/Campo_Grande","America/Cancun",
	                   "America/Caracas","America/Catamarca","America/Cayenne","America/Cayman","America/Chicago",
	                   "America/Chihuahua","America/Coral_Harbour","America/Cordoba","America/Costa_Rica","America/Creston",
	                   "America/Cuiaba","America/Curacao","America/Danmarkshavn","America/Dawson","America/Dawson_Creek",
	                   "America/Denver","America/Detroit","America/Dominica","America/Edmonton","America/Eirunepe",
	                   "America/El_Salvador","America/Ensenada","America/Fort_Wayne","America/Fortaleza","America/Glace_Bay",
	                   "America/Godthab","America/Goose_Bay","America/Grand_Turk","America/Grenada","America/Guadeloupe",
	                   "America/Guatemala","America/Guayaquil","America/Guyana","America/Halifax","America/Havana",
	                   "America/Hermosillo","America/Indiana/Indianapolis","America/Indiana/Knox","America/Indiana/Marengo","America/Indiana/Petersburg",
	                   "America/Indiana/Tell_City","America/Indiana/Vevay","America/Indiana/Vincennes","America/Indiana/Winamac","America/Indianapolis",
	                   "America/Inuvik","America/Iqaluit","America/Jamaica","America/Jujuy","America/Juneau",
	                   "America/Kentucky/Louisville","America/Kentucky/Monticello","America/Knox_IN	America/Kralendijk","America/La_Paz",
	                   "America/Lima","America/Los_Angeles","America/Louisville","America/Lower_Princes","America/Maceio",
	                   "America/Managua","America/Manaus","America/Marigot","America/Martinique","America/Matamoros",
	                   "America/Mazatlan","America/Mendoza","America/Menominee","America/Merida","America/Metlakatla",
	                   "America/Mexico_City","America/Miquelon","America/Moncton","America/Monterrey","America/Montevideo",
	                   "America/Montreal","America/Montserrat","America/Nassau","America/New_York","America/Nipigon",
	                   "America/Nome","America/Noronha","America/North_Dakota/Beulah","America/North_Dakota/Center","America/North_Dakota/New_Salem",
	                   "America/Ojinaga","America/Panama","America/Pangnirtung","America/Paramaribo","America/Phoenix",
	                   "America/Port-au-Prince","America/Port_of_Spain","America/Porto_Acre","America/Porto_Velho","America/Puerto_Rico",
	                   "America/Rainy_River","America/Rankin_Inlet","America/Recife","America/Regina","America/Resolute",
	                   "America/Rio_Branco","America/Rosario","America/Santa_Isabel","America/Santarem","America/Santiago",
	                   "America/Santo_Domingo","America/Sao_Paulo","America/Scoresbysund","America/Shiprock","America/Sitka",
	                   "America/St_Barthelemy","America/St_Johns","America/St_Kitts","America/St_Lucia","America/St_Thomas",
	                   "America/St_Vincent","America/Swift_Current","America/Tegucigalpa","America/Thule","America/Thunder_Bay",
	                   "America/Tijuana","America/Toronto","America/Tortola","America/Vancouver","America/Virgin",
	                   "America/Whitehorse","America/Winnipeg","America/Yakutat","America/Yellowknife"];
	}
	else if(continent=="Asia")       
	{        
	    var myArray = ["Asia/Aden","Asia/Almaty","Asia/Amman","Asia/Anadyr","Asia/Aqtau",
	                   "Asia/Aqtobe","Asia/Ashgabat","Asia/Ashkhabad","Asia/Baghdad","Asia/Bahrain",
	                   "Asia/Baku","Asia/Bangkok","Asia/Beirut","Asia/Bishkek","Asia/Brunei",
	                   "Asia/Calcutta","Asia/Chita","Asia/Choibalsan","Asia/Chongqing","Asia/Chungking",
	                   "Asia/Colombo","Asia/Dacca","Asia/Damascus","Asia/Dhaka","Asia/Dili",
	                   "Asia/Dubai","Asia/Dushanbe","Asia/Gaza","Asia/Harbin","Asia/Hebron",
	                   "Asia/Ho_Chi_Minh","Asia/Hong_Kong","Asia/Hovd","Asia/Irkutsk","Asia/Istanbul",
	                   "Asia/Jakarta","Asia/Jayapura","Asia/Jerusalem","Asia/Kabul","Asia/Kamchatka",
	                   "Asia/Karachi","Asia/Kashgar","Asia/Kathmandu","Asia/Katmandu","Asia/Khandyga",
	                   "Asia/Kolkata","Asia/Krasnoyarsk","Asia/Kuala_Lumpur","Asia/Kuching","Asia/Kuwait",
	                   "Asia/Macao","Asia/Macau","Asia/Magadan","Asia/Makassar","Asia/Manila",
	                   "Asia/Muscat","Asia/Nicosia","Asia/Novokuznetsk","Asia/Novosibirsk","Asia/Omsk",
	                   "Asia/Oral","Asia/Phnom_Penh","Asia/Pontianak","Asia/Pyongyang","Asia/Qatar",
	                   "Asia/Qyzylorda","Asia/Rangoon","Asia/Riyadh","Asia/Saigon","Asia/Sakhalin",
	                   "Asia/Samarkand","Asia/Seoul","Asia/Shanghai","Asia/Singapore","Asia/Srednekolymsk",
	                   "Asia/Taipei","Asia/Tashkent","Asia/Tbilisi","Asia/Tehran","Asia/Tel_Aviv",
	                   "Asia/Thimbu","Asia/Thimphu","Asia/Tokyo","Asia/Ujung_Pandang","Asia/Ulaanbaatar",
	                   "Asia/Ulan_Bator","Asia/Urumqi","Asia/Ust-Nera","Asia/Vientiane","Asia/Vladivostok",
	                   "Asia/Yakutsk","Asia/Yekaterinburg","Asia/Yerevan"];
	} 
	else if(continent=="Australia")       
	{           
	    var myArray = ["Australia/ACT","Australia/Adelaide","Australia/Brisbane","Australia/Broken_Hill","Australia/Canberra",
	                   "Australia/Currie","Australia/Darwin","Australia/Eucla","Australia/Hobart","Australia/LHI",
	                   "Australia/Lindeman","Australia/Lord_Howe","Australia/Melbourne","Australia/North","Australia/NSW",
	                   "Australia/Perth","Australia/Queensland","Australia/South","Australia/Sydney","Australia/Tasmania",
	                   "Australia/Victoria","Australia/West","Australia/Yancowinna"];
	}                  
    else if(continent=="Europe")       
	{               	
	    var myArray = ["Europe/Amsterdam","Europe/Andorra","Europe/Athens","Europe/Belfast","Europe/Belgrade",
				  	   "Europe/Berlin","Europe/Bratislava","Europe/Brussels","Europe/Bucharest","Europe/Budapest", 
				       "Europe/Busingen","Europe/Chisinau","Europe/Copenhagen","Europe/Dublin","Europe/Gibraltar",
				       "Europe/Guernsey","Europe/Helsinki","Europe/Isle_of_Man","Europe/Istanbul","Europe/Jersey",
				       "Europe/Kaliningrad","Europe/Kiev","Europe/Lisbon","Europe/Ljubljana","Europe/London",
				       "Europe/Luxembourg","Europe/Madrid","Europe/Malta","Europe/Mariehamn","Europe/Minsk",
				       "Europe/Monaco","Europe/Moscow","Europe/Nicosia","Europe/Oslo","Europe/Paris",
				       "Europe/Podgorica","Europe/Prague","Europe/Riga","Europe/Rome","Europe/Samara",
				       "Europe/San_Marino","Europe/Sarajevo","Europe/Simferopol","Europe/Skopje","Europe/Sofia",
				       "Europe/Stockholm","Europe/Tallinn","Europe/Tirane","Europe/Tiraspol","Europe/Uzhgorod",
				       "Europe/Vaduz","Europe/Vatican","Europe/Vienna","Europe/Vilnius","Europe/Volgograd",
				       "Europe/Warsaw","Europe/Zagreb","Europe/Zaporozhye","Europe/Zurich"];
	}
    else if(continent=="Indian")       
	{
	    var myArray = ["Indian/Antananarivo","Indian/Chagos","Indian/Christmas","Indian/Cocos","Indian/Comoro",
				       "Indian/Kerguelen","Indian/Mahe","Indian/Maldives","Indian/Mauritius","Indian/Mayotte",
				       "Indian/Reunion"];
	}
    else if(continent=="Pacific")       
    {
	    var myArray = ["Pacific/Apia","Pacific/Auckland","Pacific/Bougainville","Pacific/Chatham","Pacific/Chuuk",
				  	   "Pacific/Easter","Pacific/Efate","Pacific/Enderbury","Pacific/Fakaofo","Pacific/Fiji",
				       "Pacific/Funafuti","Pacific/Galapagos","Pacific/Gambier","Pacific/Guadalcanal","Pacific/Guam",
				       "Pacific/Honolulu","Pacific/Johnston","Pacific/Kiritimati","Pacific/Kosrae","Pacific/Kwajalein",
				       "Pacific/Majuro","Pacific/Marquesas","Pacific/Midway","Pacific/Nauru","Pacific/Niue",
				  	   "Pacific/Norfolk","Pacific/Noumea","Pacific/Pago_Pago","Pacific/Palau","Pacific/Pitcairn",
				       "Pacific/Pohnpei","Pacific/Ponape","Pacific/Port_Moresby","Pacific/Rarotonga","Pacific/Saipan",
				       "Pacific/Samoa","Pacific/Tahiti","Pacific/Tarawa","Pacific/Tongatapu","Pacific/Truk",
				       "Pacific/Wake","Pacific/Wallis","Pacific/Yap"];
	}
	
	var options = "";
	
	for(var y=0; y<myArray.length; y++)
	{
		if(myArray[y]!=inter[1])
		{
			options += "<option value='"+myArray[y]+"'>"+ myArray[y] +"</option>";
		}
		else
		{
			options += "<option selected value='"+myArray[y]+"'>"+ myArray[y] +"</option>";
		}
	}
	$('#plug-'+plugin+'-configuration-parameter-Zone').html(options);
}
</script>

<?php
/**
 * @name check_snmp_printer.
 * @description check permettant de modifier les paramètres.
 * @author Faes Nathan <n.faes@esia-sa.com>
 * @date 13/02/2017
 */
if(isset($_GET['id']))
{
	echo '<style type="text/css">.mytext {width: 136px;}</style>';	
	echo '<table id="simpleTable'.$_GET['id'].'">';
	echo '<tr><td>Zone</td>';
	echo '<td><select type="text" id="plug-'.$_GET['id'].'-configuration-parameter-Continent" onchange="LoadZone('.$_GET['id'].')" class="mytext"/></select></td>';
	echo '<script type="text/javascript">LoadContinent("plug-'.$_GET['id'].'-configuration-parameter-Continent",'.$_GET['id'].')</script>';
	echo '<td><select type="text" id="plug-'.$_GET['id'].'-configuration-parameter-Zone" data-option="Z" data-index="0" data-regex="-a\s+\S+\s+\S+\s+(\S+)" class="mytext"/></select></td></tr>';
	echo '<script type="text/javascript">LoadZone('.$_GET['id'].')</script>';
	echo '<tr><td>'.$lang['LGD_WARN'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-Warning" data-option="w" data-index="0" data-regex="-a\s+\S+\s+\S+\s+\S+\s+(\d+)" min="0" class="mytext"/></td><td>'.$lang['SECOND'].'</td></tr>';
	echo '<tr><td>'.$lang['LGD_CRI'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-Critical" data-option="c" data-index="0" data-regex="-a\s+\S+\s+\S+\s+\S+\s+\d+\s+(\d+)" min="1" class="mytext"/></td><td>'.$lang['SECOND'].'</td></tr>';
	echo '</table>';
	echo '<script type="text/javascript">eventSimplification('.$_GET['id'].',LoadOption,ModifyParam)</script>';
}
else
{
	header('HTTP/1.0 404 No Found');
	exit(0);
}
?>

