<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir
function LoadOption(regex,id,plugin)
{
	var elemRemplace = "";
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(new RegExp(regex));
	$(id).val(elemRemplace[1]);
}

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function ModifyParam(plugin)
{
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	param = param.replace(/-a\s+.*/,'-a $IP $SNMP_COM '+$('#plug-'+plugin+'-configuration-parameter-WarningMin').val()+','+$('#plug-'+plugin+'-configuration-parameter-WarningMax').val()+' '+$('#plug-'+plugin+'-configuration-parameter-CriticalMin').val()+','+$('#plug-'+plugin+'-configuration-parameter-CriticalMax').val());
	$("#plug-"+plugin+"-configuration-parameter").val(param);
}

</script>

<?php
/**
 * @name check_icmp
* @description check permettant de modifier les paramètres.
* @author Faes Nathan <n.faes@esia-sa.com>
* @date 17/01/2017
*/
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';

if(isset($_GET['id']))
{
	echo '<style type="text/css">.mytext {width: 136px;}</style>';
	
	echo '<table id="simpleTable'.$_GET['id'].'">';

	echo '<tr><td>'.$lang['LGD_WARN'].' Minimum</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-WarningMin" data-option="w" data-index="1" data-regex="-a\s+\S+\s+\S+\s+(\S+)," class="mytext" required/></td><td>VPN(s)</td></tr>';

	echo '<tr><td>'.$lang['LGD_CRI'].' Minimum</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-CriticalMin" data-option="c" data-index="1" data-regex="-a\s+\S+\s+\S+\s+\S+,\S+\s+(\S+)," class="mytext" required/></td><td>VPN(s)</td></tr>';

	echo '<tr><td>'.$lang['LGD_WARN'].' Maximum</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-WarningMax" data-option="w" data-index="2" data-regex="-a\s+\S+\s+\S+\s+\S+,(\S+)" class="mytext" required/></td><td>VPN(s)</td></tr>';

	echo '<tr><td>'.$lang['LGD_CRI'].' Maximum</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-CriticalMax" data-option="c" data-index="2" data-regex="-a\s+\S+\s+\S+\s+\S+,\S+\s+\S+,(\S+)" class="mytext" required/></td><td>VPN(s)</td></tr>';
	echo '</table>';
	echo '<script type="text/javascript">eventSimplification('.$_GET['id'].',LoadOption,ModifyParam)</script>';
}
else
{
	header('HTTP/1.0 404 No Found');
	exit(0);
}
?>