<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function LoadOption(regex,id)
{
	var elemRemplace = "";
	var param = $("#parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(regex);
	$(id).val(elemRemplace[1]);
}	

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function ModifyParam (regex,id) 
{   
	var param = $("#parameter").val(); // recuperation des defaut param
	id="#"+id;
		
	if($(id).val()=="")
	{	
		if($(id).attr('type')=='number')
		{
			$(id).val("0");
		}
		else
		{
			if($(id).attr('type')=='text')
			{
				$(id).val("to define");
			}
		}
	}	
	if(id =='#Disk')
	{
		param = param.replace(/-a\s\S+\s\S+\s(\S+)\s/,'-a $IP $SNMP_COM \"^'+$(id).val()+'$\" ');
	}	
	else if(id =='#WarningStorage')
	{
		param = param.replace(/-a\s\S+\s\S+\s\S+\s\d+/,'-a $IP $SNMP_COM "^'+$('#Disk').val()+'$" '+$(id).val()+'');
	}	
	else if(id =='#CriticalStorage')
	{
		param = param.replace(/-a\s\S+\s\S+\s\S+\s\d+\s\d+/,'-a $IP $SNMP_COM "^'+$('#Disk').val()+'$" '+ $('#WarningStorage').val()+' '+$(id).val()+'');
	}
	$("#parameter").val(param);
}
</script>

<?php
/**
 * @name gesa_snmp_linux_storage
 * @description check permettant de modifier les paramètres.
 * @author Nathan Faes <n.faes@esia-sa.com>
 * @date 17/01/2017
 */
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';

echo '<style type="text/css">
.mytext {
    width: 136px;
}</style>';

echo '<table>';

echo '<tr><td>'.$lang['LGD_DISK'].'</td>';
echo '<td><input type="text" id="Disk" class="mytext" onchange="ModifyParam(/-a\s\S+\s\S+\s\"\^(\.*\S*[^$])\$*\"/,id)"/></td></tr>';
echo '<script type="text/javascript">LoadOption(/-a\s\S+\s\S+\s\"\^(\.*\S*[^$])\$*\"/,"Disk");</script>';

echo '<tr><td>'.$lang['LGD_WARN'].' '.$lang['LGD_STOCK'].'</td>';
echo '<td><input type="number" id="WarningStorage" min="1" max="100" class="mytext" onchange="ModifyParam(/-a\s\S+\s\S+\s\S+\s(\d+)/,id)"/></td><td>%</td></tr>';
echo '<script type="text/javascript">LoadOption(/-a\s\S+\s\S+\s\S+\s(\d+)/,"WarningStorage");</script>';

echo '<tr><td>'.$lang['LGD_CRI'].' '.$lang['LGD_STOCK'].'</td>';
echo '<td><input type="number" id="CriticalStorage" min="1" max="100" class="mytext" onchange="ModifyParam(/-a\s\S+\s\S+\s\S+\s\d+\s(\d+)/,id)"/></td><td>%</td></tr>';
echo '<script type="text/javascript">LoadOption(/-a\s\S+\s\S+\s\S+\s\d+\s(\d+)/,"CriticalStorage");</script>';

echo '<table>';
?>


