<?php 
$ESIA_WIDGET_NOTREE=TRUE;
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';
?>
<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir
function LoadOption(regex,id,plugin)
{
	var elemRemplace = "";
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(new RegExp(regex));
	$(id).val(elemRemplace[1]);
}	

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function ModifyParam(plugin) 
{   	
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param

	var w1 = $('#plug-'+plugin+'-configuration-parameter-1-warn').val();
	var w5 = $('#plug-'+plugin+'-configuration-parameter-5-warn').val();
	var w15 = $('#plug-'+plugin+'-configuration-parameter-15-warn').val();
	var c1 = $('#plug-'+plugin+'-configuration-parameter-1-crit').val();
	var c5 = $('#plug-'+plugin+'-configuration-parameter-5-crit').val();
	var c15 = $('#plug-'+plugin+'-configuration-parameter-15-crit').val();

	var warn = w1 + ',' + w5 + ',' + w15;
	var crit = c1 + ',' + c5 + ',' + c15;

	param = param.replace(/-a\s+.*/,'-a $IP $SNMP_COM cisco '+ warn + ' ' + crit);
	$("#plug-"+plugin+"-configuration-parameter").val(param);			
}	

</script>

<?php
/**
 * @name check_icmp
 * @description check permettant de modifier les paramètres.
 * @author Faes Nathan <n.faes@esia-sa.com>
 * @date 17/01/2017
 */
if(isset($_GET['id']))
{
	echo '<style type="text/css">.mytext {width: 136px;}</style>';	
	echo '<table id="simpleTable'.$_GET['id'].'">';

	$loadTimes = explode(',','1,5,15');
	$regex = array();
	$regex[] = '-a\s\S+\s\S+\scisco\s(\d+)';
	$regex[] = '-a\s\S+\s\S+\scisco\s\d+,(\d+)';
	$regex[] = '-a\s\S+\s\S+\scisco\s\d+,\d+,(\d+)';
	$regex[] = '-a\s\S+\s\S+\scisco\s\d+,\d+,\d+ (\d+)';
	$regex[] = '-a\s\S+\s\S+\scisco\s\d+,\d+,\d+ \d+,(\d+)';
	$regex[] = '-a\s\S+\s\S+\scisco\s\d+,\d+,\d+ \d+,\d+,(\d+)';

	foreach($loadTimes as $idx => $lt){
		printf('<tr><td>%d %s %s</td>',$lt,$lang['MINUTE'],$lang['LGD_WARN']);
		printf('<td><input type="number" id="plug-%d-configuration-parameter-%d-warn" data-option="w" data-index="%d" data-regex="%s" min="1" class="mytext"/></td><td>%%</td></tr>',
			$_GET['id'],$lt,$idx,$regex[$idx]);
	}

	foreach($loadTimes as $idx => $lt){
                printf('<tr><td>%d %s %s</td>',$lt,$lang['MINUTE'],$lang['LGD_CRI']);
                printf('<td><input type="number" id="plug-%d-configuration-parameter-%d-crit" data-option="c" data-index="%d" data-regex="%s" min="1" class="mytext"/></td><td>%%</td></tr>',
                        $_GET['id'],$lt,$idx+3,$regex[$idx+3]);
        }
	echo '</table>';
	echo '<script type="text/javascript">eventSimplification('.$_GET['id'].',LoadOption,ModifyParam)</script>';
}
else
{
	header('HTTP/1.0 404 No Found');
	exit(0);
}

?>
