<script type="text/javascript">

/// @function LoadOption
/// A pour but de charger les inputs de la fenetre par les valeurs de defaut param
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function LoadOption(regex,id,plugin)
{
	var elemRemplace = "";
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	id="#"+id;
	elemRemplace = param.match(regex);
	$(id).val(elemRemplace[1]);
}	

/// @function ModifyParam
/// A pour but de modifier les valeurs de defaut param par celles des inputs
/// @param {String} regex à utiliser sur la chaine "defaut param" pour recuperer la valeur voulue
/// @param {String} id representant le champ à remplir

function ModifyParam (plugin) 
{   
	var param = $("#plug-"+plugin+"-configuration-parameter").val(); // recuperation de defaut param
	param = param.replace(/-a\s+.*/,'-a $IP '+ $('#plug-'+plugin+'-configuration-parameter-WarningEvents').val()+ ' ' + $('#plug-'+plugin+'-configuration-parameter-CriticalEvents').val()+ ' ' + $('#plug-'+plugin+'-configuration-parameter-LogName').val()+' ' + $('#plug-'+plugin+'-configuration-parameter-LogSeverity').val()+' ' + $('#plug-'+plugin+'-configuration-parameter-Hour').val()+'');
	$("#plug-"+plugin+"-configuration-parameter").val(param);
}

function LoadCombobox(id,plugin)
{	
	var param = $("#plug-"+plugin+"-configuration-parameter").val();
	var inter = param.match(/-a\s\S+\s\d+\s+\d+\s+\S+\s+(\d+)/);

	var myArray = ["Error","Warning","Information","Security Audit Success","Security Audit Failure"];	
	var valArray = ["1","2","3","4","5"];
    
	var options = "";
	for(var y=0; y<myArray.length; y++)
	{
		if(valArray[y]!=inter[1])
		{
			options += "<option value='"+valArray[y]+"'>"+ myArray[y] +"</option>";
		}
		else
		{
			options += "<option selected value='"+valArray[y]+"'>"+ myArray[y] +"</option>";
		}
	}
	document.getElementById(id).innerHTML = options;
}
</script>

<?php
/**
 * @name gesa_snmp_linux_storage
 * @description check permettant de modifier les paramètres.
 * @author Nathan Faes <n.faes@esia-sa.com>
 * @date 17/01/2017
 */
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';

if(isset($_GET['id']))
{
	echo '<style type="text/css">.mytext {width: 136px;}</style>';
	echo '<table id="simpleTable'.$_GET['id'].'">';
	echo '<tr><td>'.$lang['LGD_WARN'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-WarningEvents" data-option="w" data-index="0" data-regex="-a\s\S+\s(\d+)" class="mytext" /></td><td>'.$lang['EVENT_NUMBER'].'</td></tr>';
	echo '<tr><td>'.$lang['LGD_CRI'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-CriticalEvents" data-option="c" data-index="0" data-regex="-a\s\S+\s\d+\s+(\d+)" class="mytext" /></td><td>'.$lang['EVENT_NUMBER'].'</td></tr>';
	echo '<tr><td>'.$lang['LOG_NAME'].'</td>';
	echo '<td><input type="text" id="plug-'.$_GET['id'].'-configuration-parameter-LogName" data-option="c" data-index="1" data-regex="-a\s\S+\s\d+\s+\d+\s+(\S+)" class="mytext"/></td><td>(% = all, System, Application, ...)</td></tr>';
	echo '<tr><td>'.$lang['LOG_SEVERITY'].'</td>';
	echo '<td><select type="text" id="plug-'.$_GET['id'].'-configuration-parameter-LogSeverity" class="mytext" onchange="LoadCombobox("plug-'.$_GET['id'].'-configuration-parameter-LogSeverity",'.$_GET['id'].')"/></td></tr>';	
	echo '<script type="text/javascript">LoadCombobox("plug-'.$_GET['id'].'-configuration-parameter-LogSeverity",'.$_GET['id'].');</script>';
	echo '<tr><td>'.$lang['HOUR'].'</td>';
	echo '<td><input type="number" id="plug-'.$_GET['id'].'-configuration-parameter-Hour" data-option="c" data-index="1" data-regex="-a\s\S+\s\d+\s+\d+\s+\S+\s+\d+\s+(\d+)" class="mytext"/></td></tr>';
	echo '</table>';
	echo '<script type="text/javascript">eventSimplification('.$_GET['id'].',LoadOption,ModifyParam)</script>';
}
else
{
	header('HTTP/1.0 404 No Found');
	exit(0);
}
?>


